<?php
	
	require_once( get_template_directory(). '/functions/theme-data.php' );  								// Theme specific data can be configured here.
		
	// Load Extra Widgets Here
	
		require_once( get_template_directory(). '/widgets/widget-comments/recentcomments-widget.php' );		// Recent Comments Widget
		require_once( get_template_directory(). '/widgets/widget-contactform/contact-widget.php' );		    // Contact Form Widget
		require_once( get_template_directory(). '/widgets/widget-contactinfo/contactinfo-widget.php' );		// Contact Info Widget
		require_once( get_template_directory(). '/widgets/widget-gallery/gallery-widget.php' );				// Gallery Widget
		require_once( get_template_directory(). '/widgets/widget-login/login-widget.php' );					// Login Widget
		require_once( get_template_directory(). '/widgets/widget-posts/recentposts-widget.php' );			// Recent Posts Widget
		require_once( get_template_directory(). '/widgets/widget-twitter/twitter-widget.php' );				// Twitter Widget
	
	// Load Other Function Files in an attempt to organize this file a bit.
		
		require_once( get_template_directory(). '/functions/theme-banner.php' );			   	        	// This holds home banner display logic
		require_once( get_template_directory(). '/functions/theme-comments.php' );							// Custom comment form function ( basically a copy of the default one so we can style it).
		require_once( get_template_directory(). '/functions/theme-fonts.php' );			   	            	// This holds the logic to load web fonts for theme.
		require_once( get_template_directory(). '/functions/theme-navigation.php' );						// Controls how the menus and pagination appear.
		require_once( get_template_directory(). '/functions/theme-shortcodes.php' );			   	    	// This holds the shortcodes for the theme.
		require_once( get_template_directory(). '/functions/theme-utilities.php' );							// Misc. utilities used throughout the theme.
		require_once( get_template_directory(). '/functions/theme-widgets.php' );							// This holds the widget arrays, to define widget areas.
		
	// Administration Pages / Menu Items 
	
	if ( is_admin() ) {
	
		require_once( get_template_directory(). '/functions/admin/admin-functions.php' );					// Controls the administration forms for the theme control panel.
		require_once( get_template_directory(). '/functions/admin/admin-banner.php' );						// If the theme has a banner image for the homepage or all pages it is controlled here.
		require_once( get_template_directory(). '/functions/admin/admin-blog.php' );						// Controls the blog archive settings
		require_once( get_template_directory(). '/functions/admin/admin-cache.php' );						// Clears Thumbnail Cache
		require_once( get_template_directory(). '/functions/admin/admin-fonts.php' );						// Allows users to change specific fonts throughout the theme.
		require_once( get_template_directory(). '/functions/admin/admin-options.php' );						// The general theme options page.
		
	// Custom Meta Boxes for posts and pages.
	
		require_once( get_template_directory(). '/functions/meta/meta-class.php' );							// Class used to create custom meta boxes for posts or pages.
		require_once( get_template_directory(). '/functions/meta/meta-contactinfo.php' );					// Adds custom meta boxes to template-contact.php.
		require_once( get_template_directory(). '/functions/meta/meta-gallerax.php' );						// Adds custom meta boxes to template-gallerax.php.
		require_once( get_template_directory(). '/functions/meta/meta-poptrox.php' );						// Adds custom meta boxes to template-poptrox.php.
		require_once( get_template_directory(). '/functions/meta/meta-sitemap.php' );						// Adds custom meta boxes to template-sitemap.php.
		require_once( get_template_directory(). '/functions/meta/meta-post.php' );							// Adds custom meta boxes to posts.
		require_once( get_template_directory(). '/functions/meta/meta-page.php' );							// Adds custom meta boxes to pages.
		
	}
		
	// Required by wordpress, we don't use this. I just stuck it here so that the theme would pass the checks in that validation plugin.
	
	if ( ! isset( $content_width ) ) $content_width = '';
		
		
	// Load Scripts and Styles
	
	function arixwp_scripts() {
		
		// STYLES
		wp_enqueue_style( 'arixwp_default', get_template_directory_uri() . '/css/default.css' );
		wp_enqueue_style( 'arixwp_style', get_bloginfo( 'stylesheet_url' ) );
		
		// SCRIPTS
		
		wp_enqueue_script( 'jquery-poptrox', get_template_directory_uri() . '/js/nodethirtythree/jquery.poptrox-1.0.js', array('jquery'), '1.0');
		wp_enqueue_script( 'jquery-dropotron', get_template_directory_uri() . '/js/nodethirtythree/jquery.dropotron-1.0.js', array('jquery'), '1.0');
		wp_enqueue_script( 'jquery-formerize', get_template_directory_uri() . '/js/nodethirtythree/jquery.formerize-0.1.js', array('jquery'), '0.1');
		wp_enqueue_script( 'jquery-slidertron', get_template_directory_uri() . '/js/nodethirtythree/jquery.slidertron-1.1.js', array('jquery'), '1.1');
		wp_enqueue_script( 'arixwp_init', get_template_directory_uri() . '/js/nodethirtythree/init.js', array('jquery'), '1.0');
				
		if ( is_singular() )
			wp_enqueue_script( "comment-reply" );
		
		if (is_page_template( 'template-gallerax.php' ))
			wp_enqueue_script( 'jquery-gallerax', get_template_directory_uri() . '/js/nodethirtythree/jquery.gallerax-0.2.1.js', array('jquery'), '0.2.1');
		
		// loaded later with wp_enqueue
		
		wp_register_script( 'arixwp-google', 'http://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js');
		
	}
	add_action( 'wp_enqueue_scripts', 'arixwp_scripts' ); 
	
	// Setup
	
	function arixwp_setup() {
	
		// Setup Localization for Translations
	
			load_theme_textdomain( THEMENAME , get_template_directory() . '/languages' );

			$locale = get_locale();
			$locale_file = get_template_directory() . "/languages/$locale.php";
			if ( is_readable( $locale_file ) )
				require_once( $locale_file );		

		// This theme uses post thumbnails
		
			if ( function_exists( 'add_theme_support' ) ) {
			
				// Add Post Formats
				add_theme_support( 'post-formats', 	array( 
														'aside', 
														'audio',
														'chat',
														'gallery',
														'image',
														'link',
														'quote',
														'status',
														'video'
													) );
													
				add_theme_support( 'post-thumbnails' );
				set_post_thumbnail_size( ARIXWP_THUMB_W, ARIXWP_THUMB_H, ARIXWP_THUMB_CROP ); // default Post Thumbnail dimensions
			}
		
		// Add support for custom backgrounds
			
		
			if( is_wp_version( '3.4' ) ) {
			
				add_theme_support(
					'custom-background',
					array(
						'wp-head-callback'       => '_arixwp_custom_background_cb' ,
						'admin-head-callback'    => '',
						'admin-preview-callback' => '',
					)
				); 
				
			} else  {
			
			
				add_custom_background( '_arixwp_custom_background_cb' );
				
			}	

		// Add default posts and comments RSS feed links to head
		
			add_theme_support( 'automatic-feed-links' );

		// Add Editor Style
			
			add_editor_style();			
				
		// Add a way for the custom header to be styled in the admin panel that controls
		// custom headers. See arixwp_admin_header_style(), below.
		
			if( is_wp_version( '3.4' ) ) {
			
				add_theme_support(
					'custom-header',
					array( 'wp-head-callback'       => 'arixwp_admin_header_style' )
				); 
				
			} else  {
			
			
				add_custom_image_header( 'arixwp_admin_header_style', 'arixwp_admin_header_style' );
				
			}					

	}
		
	add_action( 'after_setup_theme', 'arixwp_setup' );
	
	// Set the default post thumbnail size.
	
		if ( is_admin() && isset($_GET['activated'] ) && $pagenow == 'themes.php' ){
		
			global $wpdb;

			$wpdb->query( 'UPDATE ' . $wpdb->options . ' SET option_value = ' . ARIXWP_POPTROX_W . ' WHERE option_name = "thumbnail_size_w" ' );
			$wpdb->query( 'UPDATE ' . $wpdb->options . ' SET option_value = ' . ARIXWP_POPTROX_H . ' WHERE option_name = "thumbnail_size_h" ' );
		 
		}	
		
	// Copy the style into the header
		
	function arixwp_admin_header_style() {
	
		if ( get_header_image() != get_template_directory_uri() . ARIXWP_HDR_DFLT ) {
		?>
	
			<style type="text/css">
				#logo {
					background: url(<?php header_image(); ?>) no-repeat left top!important;
				}
				#logo h1 {
					text-indent: -99999em;
				}
				#logo p {
					text-indent: -99999em;
				}
			</style>
			
		<?php
		}
		
	}
		
	// Gets Posts to display in random locations.
	
	function arixwp_latest_posts($num, $offset, $location) {
	
		global $post;

		$args = array( 
			'numberposts' 	=> $num, 
			'offset'        => $offset,
			'orderby'		=> 'post_date',
			'order' 		=> 'DESC',				
		);
			
		$recent_posts = get_posts( $args );
			
		$numposts = count($recent_posts);			
			
		foreach( $recent_posts as $post ) {
		
			setup_postdata($post);
												
			switch ($location) {
					
				// Post display options
			
					case 'homeSingle':
						break;
						
					case 'sidebar':
					
						// Limit the title to 25 characters to not cause ugly line breaks.
						
						if (strlen($post->post_title) > 25) {
							$title = substr( get_the_title( $before = '', $after = '', FALSE ), 0, 25 ) . '...'; 
						} else {
							$title = get_the_title();
						} 

						echo '<li>';
						
							
							if ( has_post_thumbnail( $post->ID ) ) {

								$args = array( 'post_type' => 'attachment', 'numberposts' => -1, 'post_status' => null, 'post_parent' => $post->ID );
								$attachments = get_posts( $args );
								
									if ($attachments) {
										
										foreach ( $attachments as $attachment ) {

											$featured_id = get_post_thumbnail_id( $post->ID );
								
											if ( $attachment->ID == $featured_id  ) {
											
												if ( is_multisite() ) {
															
													global $blog_id;
																														
													$string = '/files';
													$replace = '/wp-content/blogs.dir/' . $blog_id . '/files';
													$thumbnailsrc = str_replace( $string, $replace, $attachment->guid );
																														
												} else {
																			
													$thumbnailsrc = $attachment->guid;
																													
												}									
											
											}
										
										}
										
									}
									
									$realthumb = get_template_directory_uri() . '/libs/resizurr.php?m=shcw&amp;a=' . ARIXWP_POPTROX_ANCHOR . '&amp;w=83&amp;h=83&amp;q=' . ARIXWP_POPTROX_QUALITY . '&amp;src=' . $thumbnailsrc;
		
								
								echo '<a href="' . get_permalink() . '" title="">';
								
								echo '<img src="' . $realthumb . '" alt="" />'; 
								
								
								echo '</a>';
								
															
							}							
							
							$excerpt = limit_chars( get_the_excerpt(), 120 );
							
							echo '<p><a href="' . get_permalink() . '">' . $excerpt . '&hellip;</a></p>';
						
							
						
						echo '</li>';


						break;							
			}				
						
		}
		
	}

		
?>