<?php
	// Start Banner Plugin
	
	function arixwp_plugin_banner() {
	
		global $arixwp_bannerargs;
		
		$arixwp_post_id = get_option( '_arixwp_banner_parent', '' );
		
		if ( $arixwp_post_id == '' ) {
			
			$arixwp_post = array(
			   'post_title'    => 'Banner Post (not visible... do not remove)',
			   'post_content'  => '',
			   'post_status'   => 'inherit',
			   'post_type'     => 'revision'
			);
			
			$arixwp_post_id = wp_insert_post( $arixwp_post, false );
			
			if ( $arixwp_post_id == 0 ) {
				$arixwp_post_id = ARIXWP_BANNER_POST_ID;
			}
			
			add_option( '_arixwp_banner_parent', $arixwp_post_id, '', true );
		}		
		
		wp_enqueue_style( 'thickbox' );
		wp_enqueue_script( 'thickbox' );
			
		// The array containing the admin page option values.
			
			$args = array(
				
				'title' => __( ' Featured Posts', THEMENAME ),
				
				'description' => '', 					
				   
				'groups' => array(
				
					array (
					
						// Html to print before the group
						'before' 	=> '',
						
						// Html to print after the group
						'after' 	=> '',
												
						// This is the title of the option group.
						'title' => __( 'Featrued Posts', THEMENAME ),    
						   
						// This is the description of the option group.
						'description' => __( 'This controls where the featured posts will show up on your blog. You can choose either none, all pages or the home page only. ( note: if you choose home, it also applies to the homepage page template. )', THEMENAME ),    
						   
						// Define all the fields we want in the option group
						'fields' => array(
										
							array(
								'before' 	=> '',
								'after' 	=> '',
								'name' 		=> __( 'Show Featured Posts On', THEMENAME ),
								'desc' 		=> '',
								'id'		=> '_arixwp_featured_show',
								'type' 		=> 'radio', // text,textarea,select,radio,checkbox
								'default' 	=> 'home',
								'options' 	=> array(
									array('name' => __( ' None', THEMENAME ), 'value' => 'none'),
									array('name' => __( ' All', THEMENAME ), 'value' => 'all'),
									array('name' => __( ' Home', THEMENAME ), 'value' => 'home')
								)								
							),	

							array(
								'before' 	=> '',
								'after' 	=> '',
								'name' 		=> __( 'Featured Post Display', THEMENAME ),
								'desc' 		=> __( 'This controls how your featured posts are displayed. You can show one main feature and 3 normal features, one main feature only, three normal features only, or a jQuery slider that slides through the latest 4 posts in the featured category. ', THEMENAME ),
								'id'		=> '_arixwp_featured_display',
								'type' 		=> 'radio', // text,textarea,select,radio,checkbox
								'default' 	=> 'four',
								'options' 	=> array(
									array('name' => __( ' Main Feature &amp; 3 Normal Features', THEMENAME ), 'value' => 'four', 'class' => 'wparix_feature_four' ),
									array('name' => __( ' Main Feature Only', THEMENAME ), 'value' => 'one', 'class' => 'wparix_feature_one' ),
									array('name' => __( ' 3 Normal Features Only', THEMENAME ), 'value' => 'three', 'class' => 'wparix_feature_three' ),
									array('name' => __( ' Slidertron Slider', THEMENAME ), 'value' => 'slide', 'class' => 'wparix_feature_slide' )
								)								
							),	
							
							array(
								'before' 	=> '<p>',
								'after' 	=> '</p>',
								'name' 		=> __( 'Main Post ID', THEMENAME ),
								'desc' 		=> __( 'If you wish to display a specific post as the "Main Feature", enter a post ID below. ( Note: this only applies to the first two display options ).', THEMENAME ),
								'id'		=> '_arixwp_featured_main',
								'type' 		=> 'text', // text,textarea,select,radio,checkbox
								'default' 	=> ''							
							),	
							
							array(
								'before' 	=> '<p>',
								'after' 	=> '</p>',
								'name' 		=> __( 'Featured Posts Category', THEMENAME ),
								'desc' 		=> __( 'Here you can choose which category you would like to show in the featured posts banner. The default category is <strong>"Featured"</strong>.', THEMENAME ),
								'id'		=> '_arixwp_featured_category',
								'type' 		=> 'text', // text,textarea,select,radio,checkbox
								'default' 	=> 'Featured'							
							)								
						)
					),
					
					
					
					array (

						'before' 	=> '',
						'after' 	=> '',
						'title' => __( 'Wide Image Settings', THEMENAME ),    
						'description' => __( 'This controls the dimensions and crop location of the wide featured images.', THEMENAME ),    
						'fields' => array(
										
							array(
								'before' 	=> '',
								'after' 	=> '',
								'name' 		=> __( 'Crop Location', THEMENAME ),
								'desc' 		=> '',
								'id'		=> '_arixwp_featured_main_crop',
								'type' 		=> 'radio', // text,textarea,select,radio,checkbox
								'default' 	=> 'top',
								'options' 	=> array(
									array('name' => __( ' Bottom', THEMENAME ), 'value' => 'bottom'),
									array('name' => __( ' Center', THEMENAME ), 'value' => 'center'),
									array('name' => __( ' Left', THEMENAME ), 'value' => 'left'),
									array('name' => __( ' Right', THEMENAME ), 'value' => 'right'),
									array('name' => __( ' Top', THEMENAME ), 'value' => 'top')
								)								
							),	

							array(
								'before' 	=> '',
								'after' 	=> '',
								'name' 		=> __( 'Scaling Mode', THEMENAME ),
								'desc' 		=> __( 'This controls how the featured images are scaled.', THEMENAME ),
								'id'		=> '_arixwp_featured_main_scale',
								'type' 		=> 'radio', // text,textarea,select,radio,checkbox
								'default' 	=> 'swch',
								'options' 	=> array(
									array('name' => __( ' Crop Center', THEMENAME ), 'value' => 'cc'),
									array('name' => __( ' Scale Width Crop Height', THEMENAME ), 'value' => 'swch'),
									array('name' => __( ' Scale Width Scale Height', THEMENAME ), 'value' => 'swsh'),
									array('name' => __( ' Scale Height Crop Width', THEMENAME ), 'value' => 'shcw')
								)								
							),	
							
							array(
								'before' 	=> '<p>',
								'after' 	=> '</p>',
								'name' 		=> __( 'Image Width', THEMENAME ),
								'desc' 		=> __( 'The width of rhe featured image, the default is 1140.', THEMENAME ),
								'id'		=> '_arixwp_featured_main_width',
								'type' 		=> 'text', // text,textarea,select,radio,checkbox
								'default' 	=> '1140'							
							),	
							
							array(
								'before' 	=> '<p>',
								'after' 	=> '</p>',
								'name' 		=> __( 'Image Height', THEMENAME ),
								'desc' 		=> __( 'The height of the featured image, the default is 245.', THEMENAME ),
								'id'		=> '_arixwp_featured_main_height',
								'type' 		=> 'text', // text,textarea,select,radio,checkbox
								'default' 	=> '245'							
							)								
						)
					),	

					array (

						'before' 	=> '',
						'after' 	=> '',
						'title' => __( 'Small Image Settings', THEMENAME ),    
						'description' => __( 'This controls the dimensions and crop location of the small featured images.', THEMENAME ),    
						'fields' => array(
										
							array(
								'before' 	=> '',
								'after' 	=> '',
								'name' 		=> __( 'Crop Location', THEMENAME ),
								'desc' 		=> '',
								'id'		=> '_arixwp_featured_small_crop',
								'type' 		=> 'radio', // text,textarea,select,radio,checkbox
								'default' 	=> 'top',
								'options' 	=> array(
									array('name' => __( ' Bottom', THEMENAME ), 'value' => 'bottom'),
									array('name' => __( ' Center', THEMENAME ), 'value' => 'center'),
									array('name' => __( ' Left', THEMENAME ), 'value' => 'left'),
									array('name' => __( ' Right', THEMENAME ), 'value' => 'right'),
									array('name' => __( ' Top', THEMENAME ), 'value' => 'top')
								)								
							),	

							array(
								'before' 	=> '',
								'after' 	=> '',
								'name' 		=> __( 'Scaling Mode', THEMENAME ),
								'desc' 		=> __( 'This controls how the featured images are scaled.', THEMENAME ),
								'id'		=> '_arixwp_featured_small_scale',
								'type' 		=> 'radio', // text,textarea,select,radio,checkbox
								'default' 	=> 'swch',
								'options' 	=> array(
									array('name' => __( ' Crop Center', THEMENAME ), 'value' => 'cc'),
									array('name' => __( ' Scale Width Crop Height', THEMENAME ), 'value' => 'swch'),
									array('name' => __( ' Scale Width Scale Height', THEMENAME ), 'value' => 'swsh'),
									array('name' => __( ' Scale Height Crop Width', THEMENAME ), 'value' => 'shcw')
								)								
							),	
							
							array(
								'before' 	=> '<p>',
								'after' 	=> '</p>',
								'name' 		=> __( 'Image Width', THEMENAME ),
								'desc' 		=> __( 'The width of rhe featured image, the default is 370.', THEMENAME ),
								'id'		=> '_arixwp_featured_small_width',
								'type' 		=> 'text', // text,textarea,select,radio,checkbox
								'default' 	=> '370'							
							),	
							
							array(
								'before' 	=> '<p>',
								'after' 	=> '</p>',
								'name' 		=> __( 'Image Height', THEMENAME ),
								'desc' 		=> __( 'The height of the featured image, the default is 240.', THEMENAME ),
								'id'		=> '_arixwp_featured_small_height',
								'type' 		=> 'text', // text,textarea,select,radio,checkbox
								'default' 	=> '240'							
							)								
						)
					)					
					

				)

			);
			
			// Load the Form
			
			arixwp_adminpage($args);

	}	
?>