<?php

	// Start Typography Admin
	
	function arixwp_plugin_fonts() {

		// load font admin specific CSS
		wp_enqueue_style( 'colorpicker' );
		
		// load font admin specific JS
		wp_enqueue_script( 'arixwp_colorpicker' );
		wp_enqueue_script( 'eye' );
		wp_enqueue_script( 'utils' );
		wp_enqueue_script( 'layout' );
		wp_enqueue_script( 'arixwp_init' );
		wp_enqueue_script( 'arixwp_google' );
		
		$fonts         = arixwp_load_fonts();
		$fallbacklist  = arixwp_load_fallback_font();
		$fonts_sizes   = arixwp_load_fontsize();
		$fonts_weights = arixwp_load_fontweight();
		$fonts_styles  = arixwp_load_fontstyle();
		
	// Extract font data from theme-data.php
	
		if ( isset( $fonts ) ) {
		
			foreach ( $fonts as $font ) {
			
			   $fname        	= $font[ 'font-name' ];
			   $fcssname     	= str_replace( " ", "+", $font[ 'font-name' ] );
			   $fontfamily[] 	= array( 
										'name' => $fname, 
										'value' => $fcssname 
									);
								
			}
			
		}
		
		if ( isset( $fallbacklist ) ) {
		
			foreach ( $fallbacklist as $fallback ) {
			
			   $fbname         	= $fallback[ 'font-name' ];
			   $fontfallback[] 	= array( 
										'name' => $fbname, 
										'value' => $fbname 
									);
									
			}
			
		}
		
		foreach ( $fonts_sizes as $font_size ) {
		
		   $fsize 				= $font_size[ 'font-size' ];
		   $fontsize[] 			= array(
										'name' => $fsize, 
										'value' => $fsize
									);
		   
		}		
		
		foreach ( $fonts_weights as $font_weight ) {
		
		   $fweight 			= $font_weight[ 'font-weight' ];
		   $fontweight[] 		= array(
										'name' => $fweight, 
										'value' => $fweight
									);
		   
		}	
		
		foreach ( $fonts_styles as $font_style ) {
		
		   $fstyle 				= $font_style[ 'font-style' ];
		   $fontstyle[] 		= array(
										'name' => $fstyle, 
										'value' => $fstyle
									);
		   
		}
		
		// The array containing the admin page option values.
			
			$args = array(
				
				'title' => __( ' Typography', THEMENAME ),
				
				'description' => __( 'This allows you to change the default fonts used throughout the theme.', THEMENAME ),
				
				'groups' => array(

				// General fonts Array
				
					array (
					
					// Html to print before the group
						'before' 	=> '<div class="arixwp_group">',
					// Html to print after the group
						'after' 	=> '</div>',
					// This is the title of the option group.
						'title' => __( 'General Font', THEMENAME ),    
					// This is the description of the option group.
						'description' => '',    
					// Define all the fields we want in the option group
						'fields' => array(
							
						// Font Name
							array(
								'before' 		=> '<p class="arixwp_select_group">',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontfamily_general',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontfamily
							),
						// Font Fallback
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontfamily_fallback_general',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontfallback
							),
						// Font Size
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontsize_general',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontsize
							),	
						// Font Weight
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontweight_general',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontweight
							),	
						// Font Style
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontstyle_general',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontstyle
							),
						// Font Color
							array(
								'before' 		=> '',
								'after' 		=> '</p>',
								'colorpicker' 	=> 'colorpicker_general',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontcolor_general',
								'type' 			=> 'colorpicker' // text,textarea,select,radio,checkbox
							),
						// Enable or Disable
							array(
								'before' 	=> '',
								'after' 	=> '',
								'name' 		=> '',
								'desc' 		=> '',
								'id' 		=> 'arixwp_generalfont',
								'type' 		=> 'radio', // text,textarea,select,radio,checkbox
								'default' 	=> 'disabled',
								'options' 	=> array(
									array('name' => ' Enable', 'value' => 'enabled'),
									array('name' => ' Disable', 'value' => 'disabled')
								)							
							)
						)
					),
					
				// Logo fonts Array
					array (
						'before' 	=> '<div class="arixwp_group">',
						'after' 	=> '</div>',
						'title' => __( 'Site Logo Font', THEMENAME ),    
						'description' => '',    
						'fields' => array(
							
						// Font Name
							array(
								'before' 		=> '<p class="arixwp_select_group">',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontfamily_logo',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontfamily
							),
						// Font Fallback
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontfamily_fallback_logo',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontfallback
							),
						// Font Size
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontsize_logo',
								'type' 			=> 'select', 
								'options' 		=> $fontsize
							),	
						// Font Weight
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontweight_logo',
								'type' 			=> 'select',
								'options' 		=> $fontweight
							),	
						// Font Style
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontstyle_logo',
								'type' 			=> 'select',
								'options' 		=> $fontstyle
							),
						// Font Color
							array(
								'before' 		=> '',
								'after' 		=> '</p>',
								'colorpicker' 	=> 'colorpicker_logo',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontcolor_logo',
								'type' 			=> 'colorpicker'
							),
						// Enable or Disable
							array(
								'before' 	=> '',
								'after' 	=> '',
								'name' 		=> '',
								'desc' 		=> '',
								'id' 		=> 'arixwp_logofont',
								'type' 		=> 'radio', // text,textarea,select,radio,checkbox
								'default' 	=> 'disabled',
								'options' 	=> array(
									array('name' => ' Enable', 'value' => 'enabled'),
									array('name' => ' Disable', 'value' => 'disabled')
								)							
							)											
						)
					),	
											
				
				// Menu fonts Array
					array (
						'before' 	=> '<div class="arixwp_group">',
						'after' 	=> '</div>',
						'title' => __( 'Menu Font', THEMENAME ),    
						'description' => '',    
						'fields' => array(
							
						// Font Name
							array(
								'before' 		=> '<p class="arixwp_select_group">',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontfamily_menu',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontfamily
							),
						// Font Fallback
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontfamily_fallback_menu',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontfallback
							),
						// Font Size
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontsize_menu',
								'type' 			=> 'select', 
								'options' 		=> $fontsize
							),	
						// Font Weight
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontweight_menu',
								'type' 			=> 'select',
								'options' 		=> $fontweight
							),	
						// Font Style
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontstyle_menu',
								'type' 			=> 'select',
								'options' 		=> $fontstyle
							),
						// Font Color
							array(
								'before' 		=> '',
								'after' 		=> '</p>',
								'colorpicker' 	=> 'colorpicker_menu',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontcolor_menu',
								'type' 			=> 'colorpicker'
							),
						// Enable or Disable
							array(
								'before' 	=> '',
								'after' 	=> '',
								'name' 		=> '',
								'desc' 		=> '',
								'id' 		=> 'arixwp_menufont',
								'type' 		=> 'radio', // text,textarea,select,radio,checkbox
								'default' 	=> 'disabled',
								'options' 	=> array(
									array('name' => ' Enable', 'value' => 'enabled'),
									array('name' => ' Disable', 'value' => 'disabled')
								)							
							)											
						)
					),	
					
					
				// Main Featured fonts Array
					array (
						'before' 	=> '<div class="arixwp_group">',
						'after' 	=> '</div>',
						'title' => __( 'Large Featured Post Title Font', THEMENAME ),    
						'description' => '',    
						'fields' => array(
							
						// Font Name
							array(
								'before' 		=> '<p class="arixwp_select_group">',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontfamily_featuredtitle',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontfamily
							),
						// Font Fallback
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontfamily_fallback_featuredtitle',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontfallback
							),
						// Font Size
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontsize_featuredtitle',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontsize
							),	
						// Font Weight
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontweight_featuredtitle',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontweight
							),	
						// Font Style
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontstyle_featuredtitle',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontstyle
							),
						// Font Color
							array(
								'before' 		=> '',
								'after' 		=> '</p>',
								'colorpicker' 	=> 'colorpicker_featuredtitle',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontcolor_featuredtitle',
								'type' 			=> 'colorpicker' // text,textarea,select,radio,checkbox
							),
						// Enable or Disable
							array(
								'before' 	=> '',
								'after' 	=> '',
								'name' 		=> '',
								'desc' 		=> '',
								'id' 		=> 'arixwp_featuredtitlefont',
								'type' 		=> 'radio', // text,textarea,select,radio,checkbox
								'default' 	=> 'disabled',
								'options' 	=> array(
									array('name' => ' Enable', 'value' => 'enabled'),
									array('name' => ' Disable', 'value' => 'disabled')
								)							
							)										
						)
					),	

				// Main Featured fonts Array
					array (
						'before' 	=> '<div class="arixwp_group">',
						'after' 	=> '</div>',
						'title' => __( 'Large Featured Post Excerpt Font', THEMENAME ),    
						'description' => '',    
						'fields' => array(
							
						// Font Name
							array(
								'before' 		=> '<p class="arixwp_select_group">',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontfamily_featuredexcerpt',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontfamily
							),
						// Font Fallback
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontfamily_fallback_featuredexcerpt',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontfallback
							),
						// Font Size
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontsize_featuredexcerpt',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontsize
							),	
						// Font Weight
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontweight_featuredexcerpt',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontweight
							),	
						// Font Style
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontstyle_featuredexcerpt',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontstyle
							),
						// Font Color
							array(
								'before' 		=> '',
								'after' 		=> '</p>',
								'colorpicker' 	=> 'colorpicker_featuredexcerpt',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontcolor_featuredexcerpt',
								'type' 			=> 'colorpicker' // text,textarea,select,radio,checkbox
							),
						// Enable or Disable
							array(
								'before' 	=> '',
								'after' 	=> '',
								'name' 		=> '',
								'desc' 		=> '',
								'id' 		=> 'arixwp_featuredexcerptfont',
								'type' 		=> 'radio', // text,textarea,select,radio,checkbox
								'default' 	=> 'disabled',
								'options' 	=> array(
									array('name' => ' Enable', 'value' => 'enabled'),
									array('name' => ' Disable', 'value' => 'disabled')
								)							
							)										
						)
					),	

				// Main Featured fonts Array
					array (
						'before' 	=> '<div class="arixwp_group">',
						'after' 	=> '</div>',
						'title' => __( 'Small Featured Post Title Font', THEMENAME ),    
						'description' => '',    
						'fields' => array(
							
						// Font Name
							array(
								'before' 		=> '<p class="arixwp_select_group">',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontfamily_smfeaturedtitle',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontfamily
							),
						// Font Fallback
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontfamily_fallback_smfeaturedtitle',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontfallback
							),
						// Font Size
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontsize_smfeaturedtitle',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontsize
							),	
						// Font Weight
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontweight_smfeaturedtitle',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontweight
							),	
						// Font Style
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontstyle_smfeaturedtitle',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontstyle
							),
						// Font Color
							array(
								'before' 		=> '',
								'after' 		=> '</p>',
								'colorpicker' 	=> 'colorpicker_smfeaturedtitle',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontcolor_smfeaturedtitle',
								'type' 			=> 'colorpicker' // text,textarea,select,radio,checkbox
							),
						// Enable or Disable
							array(
								'before' 	=> '',
								'after' 	=> '',
								'name' 		=> '',
								'desc' 		=> '',
								'id' 		=> 'arixwp_smfeaturedtitlefont',
								'type' 		=> 'radio', // text,textarea,select,radio,checkbox
								'default' 	=> 'disabled',
								'options' 	=> array(
									array('name' => ' Enable', 'value' => 'enabled'),
									array('name' => ' Disable', 'value' => 'disabled')
								)							
							)										
						)
					),	

				// Main Featured fonts Array
					array (
						'before' 	=> '<div class="arixwp_group">',
						'after' 	=> '</div>',
						'title' => __( 'Small Featured Post Excerpt Font', THEMENAME ),    
						'description' => '',    
						'fields' => array(
							
						// Font Name
							array(
								'before' 		=> '<p class="arixwp_select_group">',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontfamily_smfeaturedexcerpt',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontfamily
							),
						// Font Fallback
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontfamily_fallback_smfeaturedexcerpt',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontfallback
							),
						// Font Size
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontsize_smfeaturedexcerpt',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontsize
							),	
						// Font Weight
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontweight_smfeaturedexcerpt',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontweight
							),	
						// Font Style
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontstyle_smfeaturedexcerpt',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontstyle
							),
						// Font Color
							array(
								'before' 		=> '',
								'after' 		=> '</p>',
								'colorpicker' 	=> 'colorpicker_smfeaturedexcerpt',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontcolor_smfeaturedexcerpt',
								'type' 			=> 'colorpicker' // text,textarea,select,radio,checkbox
							),
						// Enable or Disable
							array(
								'before' 	=> '',
								'after' 	=> '',
								'name' 		=> '',
								'desc' 		=> '',
								'id' 		=> 'arixwp_smfeaturedexcerptfont',
								'type' 		=> 'radio', // text,textarea,select,radio,checkbox
								'default' 	=> 'disabled',
								'options' 	=> array(
									array('name' => ' Enable', 'value' => 'enabled'),
									array('name' => ' Disable', 'value' => 'disabled')
								)							
							)										
						)
					),							
					
				// Post Title fonts Array
					array (
						'before' 	=> '<div class="arixwp_group">',
						'after' 	=> '</div>',
						'title' => __( 'Post and Page Title Font', THEMENAME ),    
						'description' => '',    
						'fields' => array(
							
						// Font Name
							array(
								'before' 		=> '<p class="arixwp_select_group">',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontfamily_post',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontfamily
							),
						// Font Fallback
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontfamily_fallback_post',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontfallback
							),
						// Font Size
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontsize_post',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontsize
							),	
						// Font Weight
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontweight_post',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontweight
							),	
						// Font Style
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontstyle_post',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontstyle
							),
						// Font Color
							array(
								'before' 		=> '',
								'after' 		=> '</p>',
								'colorpicker' 	=> 'colorpicker_post',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontcolor_post',
								'type' 			=> 'colorpicker' // text,textarea,select,radio,checkbox
							),
						// Enable or Disable
							array(
								'before' 	=> '',
								'after' 	=> '',
								'name' 		=> '',
								'desc' 		=> '',
								'id' 		=> 'arixwp_postfont',
								'type' 		=> 'radio', // text,textarea,select,radio,checkbox
								'default' 	=> 'disabled',
								'options' 	=> array(
									array('name' => ' Enable', 'value' => 'enabled'),
									array('name' => ' Disable', 'value' => 'disabled')
								)							
							)										
						)
					),
								

				// Widget Title fonts Array
					array (
						'before' 	=> '<div class="arixwp_group">',
						'after' 	=> '</div>',
						'title' => __( 'Widget Title Font', THEMENAME ),    
						'description' => '',    
						'fields' => array(
							
						// Font Name
							array(
								'before' 		=> '<p class="arixwp_select_group">',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontfamily_widget',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontfamily
							),
						// Font Fallback
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontfamily_fallback_widget',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontfallback
							),
						// Font Size
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontsize_widget',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontsize
							),	
						// Font Weight
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontweight_widget',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontweight
							),	
						// Font Style
							array(
								'before' 		=> '',
								'after' 		=> '',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontstyle_widget',
								'type' 			=> 'select', // text,textarea,select,radio,checkbox
								'options' 		=> $fontstyle
							),
						// Font Color
							array(
								'before' 		=> '',
								'after' 		=> '</p>',
								'colorpicker' 	=> 'colorpicker_widget',
								'name' 			=> '',
								'desc' 			=> '',
								'id' 			=> 'arixwp_fontcolor_widget',
								'type' 			=> 'colorpicker' // text,textarea,select,radio,checkbox
							),
						// Enable or Disable
							array(
								'before' 	=> '',
								'after' 	=> '',
								'name' 		=> '',
								'desc' 		=> '',
								'id' 		=> 'arixwp_widgetfont',
								'type' 		=> 'radio', // text,textarea,select,radio,checkbox
								'default' 	=> 'disabled',
								'options' 	=> array(
									array('name' => ' Enable', 'value' => 'enabled'),
									array('name' => ' Disable', 'value' => 'disabled')
								)							
							)
						)
					)						

				)

			);
			
			// Load the Form
			
			arixwp_adminpage($args);

	}
		
	function arixwp_load_fonts() {
		
		$defaultfonts = array(
			array("font-family" => "", "font-name" => "Font Family ", "css-name" => ""),
			array("font-family" => "font-family: 'Abel'", "font-name" => "Abel", "css-name" => "Abel"),
			array("font-family" => "font-family: 'Abril Fatface'", "font-name" => "Abril Fatface", "css-name" => "Abril Fatface"),
			array("font-family" => "font-family: 'Aclonica'", "font-name" => "Aclonica", "css-name" => "Aclonica"),
			array("font-family" => "font-family: 'Acme'", "font-name" => "Acme", "css-name" => "Acme"),
			array("font-family" => "font-family: 'Actor'", "font-name" => "Actor", "css-name" => "Actor"),
			array("font-family" => "font-family: 'Adamina'", "font-name" => "Adamina", "css-name" => "Adamina"),
			array("font-family" => "font-family: 'Advent Pro'", "font-name" => "Advent Pro", "css-name" => "Advent Pro"),
			array("font-family" => "font-family: 'Aguafina Script'", "font-name" => "Aguafina Script", "css-name" => "Aguafina Script"),
			array("font-family" => "font-family: 'Aladin'", "font-name" => "Aladin", "css-name" => "Aladin"),
			array("font-family" => "font-family: 'Aldrich'", "font-name" => "Aldrich", "css-name" => "Aldrich"),
			array("font-family" => "font-family: 'Alegreya'", "font-name" => "Alegreya", "css-name" => "Alegreya"),
			array("font-family" => "font-family: 'Alegreya SC'", "font-name" => "Alegreya SC", "css-name" => "Alegreya SC"),
			array("font-family" => "font-family: 'Alex Brush'", "font-name" => "Alex Brush", "css-name" => "Alex Brush"),
			array("font-family" => "font-family: 'Alfa Slab One'", "font-name" => "Alfa Slab One", "css-name" => "Alfa Slab One"),
			array("font-family" => "font-family: 'Alice'", "font-name" => "Alice", "css-name" => "Alice"),
			array("font-family" => "font-family: 'Alike'", "font-name" => "Alike", "css-name" => "Alike"),
			array("font-family" => "font-family: 'Alike Angular'", "font-name" => "Alike Angular", "css-name" => "Alike Angular"),
			array("font-family" => "font-family: 'Allan'", "font-name" => "Allan", "css-name" => "Allan"),
			array("font-family" => "font-family: 'Allerta'", "font-name" => "Allerta", "css-name" => "Allerta"),
			array("font-family" => "font-family: 'Allerta Stencil'", "font-name" => "Allerta Stencil", "css-name" => "Allerta Stencil"),
			array("font-family" => "font-family: 'Allura'", "font-name" => "Allura", "css-name" => "Allura"),
			array("font-family" => "font-family: 'Almendra'", "font-name" => "Almendra", "css-name" => "Almendra"),
			array("font-family" => "font-family: 'Almendra SC'", "font-name" => "Almendra SC", "css-name" => "Almendra SC"),
			array("font-family" => "font-family: 'Amarante'", "font-name" => "Amarante", "css-name" => "Amarante"),
			array("font-family" => "font-family: 'Amaranth'", "font-name" => "Amaranth", "css-name" => "Amaranth"),
			array("font-family" => "font-family: 'Amatic SC'", "font-name" => "Amatic SC", "css-name" => "Amatic SC"),
			array("font-family" => "font-family: 'Amethysta'", "font-name" => "Amethysta", "css-name" => "Amethysta"),
			array("font-family" => "font-family: 'Andada'", "font-name" => "Andada", "css-name" => "Andada"),
			array("font-family" => "font-family: 'Andika'", "font-name" => "Andika", "css-name" => "Andika"),
			array("font-family" => "font-family: 'Angkor'", "font-name" => "Angkor", "css-name" => "Angkor"),
			array("font-family" => "font-family: 'Annie Use Your Telescope'", "font-name" => "Annie Use Your Telescope", "css-name" => "Annie Use Your Telescope"),
			array("font-family" => "font-family: 'Anonymous Pro'", "font-name" => "Anonymous Pro", "css-name" => "Anonymous Pro"),
			array("font-family" => "font-family: 'Antic'", "font-name" => "Antic", "css-name" => "Antic"),
			array("font-family" => "font-family: 'Antic Didone'", "font-name" => "Antic Didone", "css-name" => "Antic Didone"),
			array("font-family" => "font-family: 'Antic Slab'", "font-name" => "Antic Slab", "css-name" => "Antic Slab"),
			array("font-family" => "font-family: 'Anton'", "font-name" => "Anton", "css-name" => "Anton"),
			array("font-family" => "font-family: 'Arapey'", "font-name" => "Arapey", "css-name" => "Arapey"),
			array("font-family" => "font-family: 'Arbutus'", "font-name" => "Arbutus", "css-name" => "Arbutus"),
			array("font-family" => "font-family: 'Architects Daughter'", "font-name" => "Architects Daughter", "css-name" => "Architects Daughter"),
			array("font-family" => "font-family: 'Arimo'", "font-name" => "Arimo", "css-name" => "Arimo"),
			array("font-family" => "font-family: 'Arizonia'", "font-name" => "Arizonia", "css-name" => "Arizonia"),
			array("font-family" => "font-family: 'Armata'", "font-name" => "Armata", "css-name" => "Armata"),
			array("font-family" => "font-family: 'Artifika'", "font-name" => "Artifika", "css-name" => "Artifika"),
			array("font-family" => "font-family: 'Arvo'", "font-name" => "Arvo", "css-name" => "Arvo"),
			array("font-family" => "font-family: 'Asap'", "font-name" => "Asap", "css-name" => "Asap"),
			array("font-family" => "font-family: 'Asset'", "font-name" => "Asset", "css-name" => "Asset"),
			array("font-family" => "font-family: 'Astloch'", "font-name" => "Astloch", "css-name" => "Astloch"),
			array("font-family" => "font-family: 'Asul'", "font-name" => "Asul", "css-name" => "Asul"),
			array("font-family" => "font-family: 'Atomic Age'", "font-name" => "Atomic Age", "css-name" => "Atomic Age"),
			array("font-family" => "font-family: 'Aubrey'", "font-name" => "Aubrey", "css-name" => "Aubrey"),
			array("font-family" => "font-family: 'Audiowide'", "font-name" => "Audiowide", "css-name" => "Audiowide"),
			array("font-family" => "font-family: 'Average'", "font-name" => "Average", "css-name" => "Average"),
			array("font-family" => "font-family: 'Averia Gruesa Libre'", "font-name" => "Averia Gruesa Libre", "css-name" => "Averia Gruesa Libre"),
			array("font-family" => "font-family: 'Averia Libre'", "font-name" => "Averia Libre", "css-name" => "Averia Libre"),
			array("font-family" => "font-family: 'Averia Sans Libre'", "font-name" => "Averia Sans Libre", "css-name" => "Averia Sans Libre"),
			array("font-family" => "font-family: 'Averia Serif Libre'", "font-name" => "Averia Serif Libre", "css-name" => "Averia Serif Libre"),
			array("font-family" => "font-family: 'Bad Script'", "font-name" => "Bad Script", "css-name" => "Bad Script"),
			array("font-family" => "font-family: 'Balthazar'", "font-name" => "Balthazar", "css-name" => "Balthazar"),
			array("font-family" => "font-family: 'Bangers'", "font-name" => "Bangers", "css-name" => "Bangers"),
			array("font-family" => "font-family: 'Basic'", "font-name" => "Basic", "css-name" => "Basic"),
			array("font-family" => "font-family: 'Battambang'", "font-name" => "Battambang", "css-name" => "Battambang"),
			array("font-family" => "font-family: 'Baumans'", "font-name" => "Baumans", "css-name" => "Baumans"),
			array("font-family" => "font-family: 'Bayon'", "font-name" => "Bayon", "css-name" => "Bayon"),
			array("font-family" => "font-family: 'Belgrano'", "font-name" => "Belgrano", "css-name" => "Belgrano"),
			array("font-family" => "font-family: 'Belleza'", "font-name" => "Belleza", "css-name" => "Belleza"),
			array("font-family" => "font-family: 'Bentham'", "font-name" => "Bentham", "css-name" => "Bentham"),
			array("font-family" => "font-family: 'Berkshire Swash'", "font-name" => "Berkshire Swash", "css-name" => "Berkshire Swash"),
			array("font-family" => "font-family: 'Bevan'", "font-name" => "Bevan", "css-name" => "Bevan"),
			array("font-family" => "font-family: 'Bigshot One'", "font-name" => "Bigshot One", "css-name" => "Bigshot One"),
			array("font-family" => "font-family: 'Bilbo'", "font-name" => "Bilbo", "css-name" => "Bilbo"),
			array("font-family" => "font-family: 'Bilbo Swash Caps'", "font-name" => "Bilbo Swash Caps", "css-name" => "Bilbo Swash Caps"),
			array("font-family" => "font-family: 'Bitter'", "font-name" => "Bitter", "css-name" => "Bitter"),
			array("font-family" => "font-family: 'Black Ops One'", "font-name" => "Black Ops One", "css-name" => "Black Ops One"),
			array("font-family" => "font-family: 'Bokor'", "font-name" => "Bokor", "css-name" => "Bokor"),
			array("font-family" => "font-family: 'Bonbon'", "font-name" => "Bonbon", "css-name" => "Bonbon"),
			array("font-family" => "font-family: 'Boogaloo'", "font-name" => "Boogaloo", "css-name" => "Boogaloo"),
			array("font-family" => "font-family: 'Bowlby One'", "font-name" => "Bowlby One", "css-name" => "Bowlby One"),
			array("font-family" => "font-family: 'Bowlby One SC'", "font-name" => "Bowlby One SC", "css-name" => "Bowlby One SC"),
			array("font-family" => "font-family: 'Brawler'", "font-name" => "Brawler", "css-name" => "Brawler"),
			array("font-family" => "font-family: 'Bree Serif'", "font-name" => "Bree Serif", "css-name" => "Bree Serif"),
			array("font-family" => "font-family: 'Bubblegum Sans'", "font-name" => "Bubblegum Sans", "css-name" => "Bubblegum Sans"),
			array("font-family" => "font-family: 'Buda'", "font-name" => "Buda", "css-name" => "Buda"),
			array("font-family" => "font-family: 'Buenard'", "font-name" => "Buenard", "css-name" => "Buenard"),
			array("font-family" => "font-family: 'Butcherman'", "font-name" => "Butcherman", "css-name" => "Butcherman"),
			array("font-family" => "font-family: 'Butterfly Kids'", "font-name" => "Butterfly Kids", "css-name" => "Butterfly Kids"),
			array("font-family" => "font-family: 'Cabin'", "font-name" => "Cabin", "css-name" => "Cabin"),
			array("font-family" => "font-family: 'Cabin Condensed'", "font-name" => "Cabin Condensed", "css-name" => "Cabin Condensed"),
			array("font-family" => "font-family: 'Cabin Sketch'", "font-name" => "Cabin Sketch", "css-name" => "Cabin Sketch"),
			array("font-family" => "font-family: 'Caesar Dressing'", "font-name" => "Caesar Dressing", "css-name" => "Caesar Dressing"),
			array("font-family" => "font-family: 'Cagliostro'", "font-name" => "Cagliostro", "css-name" => "Cagliostro"),
			array("font-family" => "font-family: 'Calligraffitti'", "font-name" => "Calligraffitti", "css-name" => "Calligraffitti"),
			array("font-family" => "font-family: 'Cambo'", "font-name" => "Cambo", "css-name" => "Cambo"),
			array("font-family" => "font-family: 'Candal'", "font-name" => "Candal", "css-name" => "Candal"),
			array("font-family" => "font-family: 'Cantarell'", "font-name" => "Cantarell", "css-name" => "Cantarell"),
			array("font-family" => "font-family: 'Cantata One'", "font-name" => "Cantata One", "css-name" => "Cantata One"),
			array("font-family" => "font-family: 'Capriola'", "font-name" => "Capriola", "css-name" => "Capriola"),
			array("font-family" => "font-family: 'Cardo'", "font-name" => "Cardo", "css-name" => "Cardo"),
			array("font-family" => "font-family: 'Carme'", "font-name" => "Carme", "css-name" => "Carme"),
			array("font-family" => "font-family: 'Carter One'", "font-name" => "Carter One", "css-name" => "Carter One"),
			array("font-family" => "font-family: 'Caudex'", "font-name" => "Caudex", "css-name" => "Caudex"),
			array("font-family" => "font-family: 'Cedarville Cursive'", "font-name" => "Cedarville Cursive", "css-name" => "Cedarville Cursive"),
			array("font-family" => "font-family: 'Ceviche One'", "font-name" => "Ceviche One", "css-name" => "Ceviche One"),
			array("font-family" => "font-family: 'Changa One'", "font-name" => "Changa One", "css-name" => "Changa One"),
			array("font-family" => "font-family: 'Chango'", "font-name" => "Chango", "css-name" => "Chango"),
			array("font-family" => "font-family: 'Chau Philomene One'", "font-name" => "Chau Philomene One", "css-name" => "Chau Philomene One"),
			array("font-family" => "font-family: 'Chelsea Market'", "font-name" => "Chelsea Market", "css-name" => "Chelsea Market"),
			array("font-family" => "font-family: 'Chenla'", "font-name" => "Chenla", "css-name" => "Chenla"),
			array("font-family" => "font-family: 'Cherry Cream Soda'", "font-name" => "Cherry Cream Soda", "css-name" => "Cherry Cream Soda"),
			array("font-family" => "font-family: 'Chewy'", "font-name" => "Chewy", "css-name" => "Chewy"),
			array("font-family" => "font-family: 'Chicle'", "font-name" => "Chicle", "css-name" => "Chicle"),
			array("font-family" => "font-family: 'Chivo'", "font-name" => "Chivo", "css-name" => "Chivo"),
			array("font-family" => "font-family: 'Coda'", "font-name" => "Coda", "css-name" => "Coda"),
			array("font-family" => "font-family: 'Coda Caption'", "font-name" => "Coda Caption", "css-name" => "Coda Caption"),
			array("font-family" => "font-family: 'Codystar'", "font-name" => "Codystar", "css-name" => "Codystar"),
			array("font-family" => "font-family: 'Comfortaa'", "font-name" => "Comfortaa", "css-name" => "Comfortaa"),
			array("font-family" => "font-family: 'Coming Soon'", "font-name" => "Coming Soon", "css-name" => "Coming Soon"),
			array("font-family" => "font-family: 'Concert One'", "font-name" => "Concert One", "css-name" => "Concert One"),
			array("font-family" => "font-family: 'Condiment'", "font-name" => "Condiment", "css-name" => "Condiment"),
			array("font-family" => "font-family: 'Content'", "font-name" => "Content", "css-name" => "Content"),
			array("font-family" => "font-family: 'Contrail One'", "font-name" => "Contrail One", "css-name" => "Contrail One"),
			array("font-family" => "font-family: 'Convergence'", "font-name" => "Convergence", "css-name" => "Convergence"),
			array("font-family" => "font-family: 'Cookie'", "font-name" => "Cookie", "css-name" => "Cookie"),
			array("font-family" => "font-family: 'Copse'", "font-name" => "Copse", "css-name" => "Copse"),
			array("font-family" => "font-family: 'Corben'", "font-name" => "Corben", "css-name" => "Corben"),
			array("font-family" => "font-family: 'Courgette'", "font-name" => "Courgette", "css-name" => "Courgette"),
			array("font-family" => "font-family: 'Cousine'", "font-name" => "Cousine", "css-name" => "Cousine"),
			array("font-family" => "font-family: 'Coustard'", "font-name" => "Coustard", "css-name" => "Coustard"),
			array("font-family" => "font-family: 'Covered By Your Grace'", "font-name" => "Covered By Your Grace", "css-name" => "Covered By Your Grace"),
			array("font-family" => "font-family: 'Crafty Girls'", "font-name" => "Crafty Girls", "css-name" => "Crafty Girls"),
			array("font-family" => "font-family: 'Creepster'", "font-name" => "Creepster", "css-name" => "Creepster"),
			array("font-family" => "font-family: 'Crete Round'", "font-name" => "Crete Round", "css-name" => "Crete Round"),
			array("font-family" => "font-family: 'Crimson Text'", "font-name" => "Crimson Text", "css-name" => "Crimson Text"),
			array("font-family" => "font-family: 'Crushed'", "font-name" => "Crushed", "css-name" => "Crushed"),
			array("font-family" => "font-family: 'Cuprum'", "font-name" => "Cuprum", "css-name" => "Cuprum"),
			array("font-family" => "font-family: 'Cutive'", "font-name" => "Cutive", "css-name" => "Cutive"),
			array("font-family" => "font-family: 'Damion'", "font-name" => "Damion", "css-name" => "Damion"),
			array("font-family" => "font-family: 'Dancing Script'", "font-name" => "Dancing Script", "css-name" => "Dancing Script"),
			array("font-family" => "font-family: 'Dangrek'", "font-name" => "Dangrek", "css-name" => "Dangrek"),
			array("font-family" => "font-family: 'Dawning of a New Day'", "font-name" => "Dawning of a New Day", "css-name" => "Dawning of a New Day"),
			array("font-family" => "font-family: 'Days One'", "font-name" => "Days One", "css-name" => "Days One"),
			array("font-family" => "font-family: 'Delius'", "font-name" => "Delius", "css-name" => "Delius"),
			array("font-family" => "font-family: 'Delius Swash Caps'", "font-name" => "Delius Swash Caps", "css-name" => "Delius Swash Caps"),
			array("font-family" => "font-family: 'Delius Unicase'", "font-name" => "Delius Unicase", "css-name" => "Delius Unicase"),
			array("font-family" => "font-family: 'Della Respira'", "font-name" => "Della Respira", "css-name" => "Della Respira"),
			array("font-family" => "font-family: 'Devonshire'", "font-name" => "Devonshire", "css-name" => "Devonshire"),
			array("font-family" => "font-family: 'Didact Gothic'", "font-name" => "Didact Gothic", "css-name" => "Didact Gothic"),
			array("font-family" => "font-family: 'Diplomata'", "font-name" => "Diplomata", "css-name" => "Diplomata"),
			array("font-family" => "font-family: 'Diplomata SC'", "font-name" => "Diplomata SC", "css-name" => "Diplomata SC"),
			array("font-family" => "font-family: 'Doppio One'", "font-name" => "Doppio One", "css-name" => "Doppio One"),
			array("font-family" => "font-family: 'Dorsa'", "font-name" => "Dorsa", "css-name" => "Dorsa"),
			array("font-family" => "font-family: 'Dosis'", "font-name" => "Dosis", "css-name" => "Dosis"),
			array("font-family" => "font-family: 'Dr Sugiyama'", "font-name" => "Dr Sugiyama", "css-name" => "Dr Sugiyama"),
			array("font-family" => "font-family: 'Droid Sans'", "font-name" => "Droid Sans", "css-name" => "Droid Sans"),
			array("font-family" => "font-family: 'Droid Sans Mono'", "font-name" => "Droid Sans Mono", "css-name" => "Droid Sans Mono"),
			array("font-family" => "font-family: 'Droid Serif'", "font-name" => "Droid Serif", "css-name" => "Droid Serif"),
			array("font-family" => "font-family: 'Duru Sans'", "font-name" => "Duru Sans", "css-name" => "Duru Sans"),
			array("font-family" => "font-family: 'Dynalight'", "font-name" => "Dynalight", "css-name" => "Dynalight"),
			array("font-family" => "font-family: 'EB Garamond'", "font-name" => "EB Garamond", "css-name" => "EB Garamond"),
			array("font-family" => "font-family: 'Eagle Lake'", "font-name" => "Eagle Lake", "css-name" => "Eagle Lake"),
			array("font-family" => "font-family: 'Eater'", "font-name" => "Eater", "css-name" => "Eater"),
			array("font-family" => "font-family: 'Economica'", "font-name" => "Economica", "css-name" => "Economica"),
			array("font-family" => "font-family: 'Electrolize'", "font-name" => "Electrolize", "css-name" => "Electrolize"),
			array("font-family" => "font-family: 'Emblema One'", "font-name" => "Emblema One", "css-name" => "Emblema One"),
			array("font-family" => "font-family: 'Emilys Candy'", "font-name" => "Emilys Candy", "css-name" => "Emilys Candy"),
			array("font-family" => "font-family: 'Engagement'", "font-name" => "Engagement", "css-name" => "Engagement"),
			array("font-family" => "font-family: 'Enriqueta'", "font-name" => "Enriqueta", "css-name" => "Enriqueta"),
			array("font-family" => "font-family: 'Erica One'", "font-name" => "Erica One", "css-name" => "Erica One"),
			array("font-family" => "font-family: 'Esteban'", "font-name" => "Esteban", "css-name" => "Esteban"),
			array("font-family" => "font-family: 'Euphoria Script'", "font-name" => "Euphoria Script", "css-name" => "Euphoria Script"),
			array("font-family" => "font-family: 'Ewert'", "font-name" => "Ewert", "css-name" => "Ewert"),
			array("font-family" => "font-family: 'Exo'", "font-name" => "Exo", "css-name" => "Exo"),
			array("font-family" => "font-family: 'Expletus Sans'", "font-name" => "Expletus Sans", "css-name" => "Expletus Sans"),
			array("font-family" => "font-family: 'Fanwood Text'", "font-name" => "Fanwood Text", "css-name" => "Fanwood Text"),
			array("font-family" => "font-family: 'Fascinate'", "font-name" => "Fascinate", "css-name" => "Fascinate"),
			array("font-family" => "font-family: 'Fascinate Inline'", "font-name" => "Fascinate Inline", "css-name" => "Fascinate Inline"),
			array("font-family" => "font-family: 'Federant'", "font-name" => "Federant", "css-name" => "Federant"),
			array("font-family" => "font-family: 'Federo'", "font-name" => "Federo", "css-name" => "Federo"),
			array("font-family" => "font-family: 'Felipa'", "font-name" => "Felipa", "css-name" => "Felipa"),
			array("font-family" => "font-family: 'Fjord One'", "font-name" => "Fjord One", "css-name" => "Fjord One"),
			array("font-family" => "font-family: 'Flamenco'", "font-name" => "Flamenco", "css-name" => "Flamenco"),
			array("font-family" => "font-family: 'Flavors'", "font-name" => "Flavors", "css-name" => "Flavors"),
			array("font-family" => "font-family: 'Fondamento'", "font-name" => "Fondamento", "css-name" => "Fondamento"),
			array("font-family" => "font-family: 'Fontdiner Swanky'", "font-name" => "Fontdiner Swanky", "css-name" => "Fontdiner Swanky"),
			array("font-family" => "font-family: 'Forum'", "font-name" => "Forum", "css-name" => "Forum"),
			array("font-family" => "font-family: 'Francois One'", "font-name" => "Francois One", "css-name" => "Francois One"),
			array("font-family" => "font-family: 'Fredericka the Great'", "font-name" => "Fredericka the Great", "css-name" => "Fredericka the Great"),
			array("font-family" => "font-family: 'Fredoka One'", "font-name" => "Fredoka One", "css-name" => "Fredoka One"),
			array("font-family" => "font-family: 'Freehand'", "font-name" => "Freehand", "css-name" => "Freehand"),
			array("font-family" => "font-family: 'Fresca'", "font-name" => "Fresca", "css-name" => "Fresca"),
			array("font-family" => "font-family: 'Frijole'", "font-name" => "Frijole", "css-name" => "Frijole"),
			array("font-family" => "font-family: 'Fugaz One'", "font-name" => "Fugaz One", "css-name" => "Fugaz One"),
			array("font-family" => "font-family: 'GFS Didot'", "font-name" => "GFS Didot", "css-name" => "GFS Didot"),
			array("font-family" => "font-family: 'GFS Neohellenic'", "font-name" => "GFS Neohellenic", "css-name" => "GFS Neohellenic"),
			array("font-family" => "font-family: 'Galdeano'", "font-name" => "Galdeano", "css-name" => "Galdeano"),
			array("font-family" => "font-family: 'Gentium Basic'", "font-name" => "Gentium Basic", "css-name" => "Gentium Basic"),
			array("font-family" => "font-family: 'Gentium Book Basic'", "font-name" => "Gentium Book Basic", "css-name" => "Gentium Book Basic"),
			array("font-family" => "font-family: 'Geo'", "font-name" => "Geo", "css-name" => "Geo"),
			array("font-family" => "font-family: 'Geostar'", "font-name" => "Geostar", "css-name" => "Geostar"),
			array("font-family" => "font-family: 'Geostar Fill'", "font-name" => "Geostar Fill", "css-name" => "Geostar Fill"),
			array("font-family" => "font-family: 'Germania One'", "font-name" => "Germania One", "css-name" => "Germania One"),
			array("font-family" => "font-family: 'Give You Glory'", "font-name" => "Give You Glory", "css-name" => "Give You Glory"),
			array("font-family" => "font-family: 'Glass Antiqua'", "font-name" => "Glass Antiqua", "css-name" => "Glass Antiqua"),
			array("font-family" => "font-family: 'Glegoo'", "font-name" => "Glegoo", "css-name" => "Glegoo"),
			array("font-family" => "font-family: 'Gloria Hallelujah'", "font-name" => "Gloria Hallelujah", "css-name" => "Gloria Hallelujah"),
			array("font-family" => "font-family: 'Goblin One'", "font-name" => "Goblin One", "css-name" => "Goblin One"),
			array("font-family" => "font-family: 'Gochi Hand'", "font-name" => "Gochi Hand", "css-name" => "Gochi Hand"),
			array("font-family" => "font-family: 'Gorditas'", "font-name" => "Gorditas", "css-name" => "Gorditas"),
			array("font-family" => "font-family: 'Goudy Bookletter 1911'", "font-name" => "Goudy Bookletter 1911", "css-name" => "Goudy Bookletter 1911"),
			array("font-family" => "font-family: 'Graduate'", "font-name" => "Graduate", "css-name" => "Graduate"),
			array("font-family" => "font-family: 'Gravitas One'", "font-name" => "Gravitas One", "css-name" => "Gravitas One"),
			array("font-family" => "font-family: 'Great Vibes'", "font-name" => "Great Vibes", "css-name" => "Great Vibes"),
			array("font-family" => "font-family: 'Gruppo'", "font-name" => "Gruppo", "css-name" => "Gruppo"),
			array("font-family" => "font-family: 'Gudea'", "font-name" => "Gudea", "css-name" => "Gudea"),
			array("font-family" => "font-family: 'Habibi'", "font-name" => "Habibi", "css-name" => "Habibi"),
			array("font-family" => "font-family: 'Hammersmith One'", "font-name" => "Hammersmith One", "css-name" => "Hammersmith One"),
			array("font-family" => "font-family: 'Handlee'", "font-name" => "Handlee", "css-name" => "Handlee"),
			array("font-family" => "font-family: 'Hanuman'", "font-name" => "Hanuman", "css-name" => "Hanuman"),
			array("font-family" => "font-family: 'Happy Monkey'", "font-name" => "Happy Monkey", "css-name" => "Happy Monkey"),
			array("font-family" => "font-family: 'Henny Penny'", "font-name" => "Henny Penny", "css-name" => "Henny Penny"),
			array("font-family" => "font-family: 'Herr Von Muellerhoff'", "font-name" => "Herr Von Muellerhoff", "css-name" => "Herr Von Muellerhoff"),
			array("font-family" => "font-family: 'Holtwood One SC'", "font-name" => "Holtwood One SC", "css-name" => "Holtwood One SC"),
			array("font-family" => "font-family: 'Homemade Apple'", "font-name" => "Homemade Apple", "css-name" => "Homemade Apple"),
			array("font-family" => "font-family: 'Homenaje'", "font-name" => "Homenaje", "css-name" => "Homenaje"),
			array("font-family" => "font-family: 'IM Fell DW Pica'", "font-name" => "IM Fell DW Pica", "css-name" => "IM Fell DW Pica"),
			array("font-family" => "font-family: 'IM Fell DW Pica SC'", "font-name" => "IM Fell DW Pica SC", "css-name" => "IM Fell DW Pica SC"),
			array("font-family" => "font-family: 'IM Fell Double Pica'", "font-name" => "IM Fell Double Pica", "css-name" => "IM Fell Double Pica"),
			array("font-family" => "font-family: 'IM Fell Double Pica SC'", "font-name" => "IM Fell Double Pica SC", "css-name" => "IM Fell Double Pica SC"),
			array("font-family" => "font-family: 'IM Fell English'", "font-name" => "IM Fell English", "css-name" => "IM Fell English"),
			array("font-family" => "font-family: 'IM Fell English SC'", "font-name" => "IM Fell English SC", "css-name" => "IM Fell English SC"),
			array("font-family" => "font-family: 'IM Fell French Canon'", "font-name" => "IM Fell French Canon", "css-name" => "IM Fell French Canon"),
			array("font-family" => "font-family: 'IM Fell French Canon SC'", "font-name" => "IM Fell French Canon SC", "css-name" => "IM Fell French Canon SC"),
			array("font-family" => "font-family: 'IM Fell Great Primer'", "font-name" => "IM Fell Great Primer", "css-name" => "IM Fell Great Primer"),
			array("font-family" => "font-family: 'IM Fell Great Primer SC'", "font-name" => "IM Fell Great Primer SC", "css-name" => "IM Fell Great Primer SC"),
			array("font-family" => "font-family: 'Iceberg'", "font-name" => "Iceberg", "css-name" => "Iceberg"),
			array("font-family" => "font-family: 'Iceland'", "font-name" => "Iceland", "css-name" => "Iceland"),
			array("font-family" => "font-family: 'Imprima'", "font-name" => "Imprima", "css-name" => "Imprima"),
			array("font-family" => "font-family: 'Inconsolata'", "font-name" => "Inconsolata", "css-name" => "Inconsolata"),
			array("font-family" => "font-family: 'Inder'", "font-name" => "Inder", "css-name" => "Inder"),
			array("font-family" => "font-family: 'Indie Flower'", "font-name" => "Indie Flower", "css-name" => "Indie Flower"),
			array("font-family" => "font-family: 'Inika'", "font-name" => "Inika", "css-name" => "Inika"),
			array("font-family" => "font-family: 'Irish Grover'", "font-name" => "Irish Grover", "css-name" => "Irish Grover"),
			array("font-family" => "font-family: 'Istok Web'", "font-name" => "Istok Web", "css-name" => "Istok Web"),
			array("font-family" => "font-family: 'Italiana'", "font-name" => "Italiana", "css-name" => "Italiana"),
			array("font-family" => "font-family: 'Italianno'", "font-name" => "Italianno", "css-name" => "Italianno"),
			array("font-family" => "font-family: 'Jim Nightshade'", "font-name" => "Jim Nightshade", "css-name" => "Jim Nightshade"),
			array("font-family" => "font-family: 'Jockey One'", "font-name" => "Jockey One", "css-name" => "Jockey One"),
			array("font-family" => "font-family: 'Jolly Lodger'", "font-name" => "Jolly Lodger", "css-name" => "Jolly Lodger"),
			array("font-family" => "font-family: 'Josefin Sans'", "font-name" => "Josefin Sans", "css-name" => "Josefin Sans"),
			array("font-family" => "font-family: 'Josefin Slab'", "font-name" => "Josefin Slab", "css-name" => "Josefin Slab"),
			array("font-family" => "font-family: 'Judson'", "font-name" => "Judson", "css-name" => "Judson"),
			array("font-family" => "font-family: 'Julee'", "font-name" => "Julee", "css-name" => "Julee"),
			array("font-family" => "font-family: 'Junge'", "font-name" => "Junge", "css-name" => "Junge"),
			array("font-family" => "font-family: 'Jura'", "font-name" => "Jura", "css-name" => "Jura"),
			array("font-family" => "font-family: 'Just Another Hand'", "font-name" => "Just Another Hand", "css-name" => "Just Another Hand"),
			array("font-family" => "font-family: 'Just Me Again Down Here'", "font-name" => "Just Me Again Down Here", "css-name" => "Just Me Again Down Here"),
			array("font-family" => "font-family: 'Kameron'", "font-name" => "Kameron", "css-name" => "Kameron"),
			array("font-family" => "font-family: 'Karla'", "font-name" => "Karla", "css-name" => "Karla"),
			array("font-family" => "font-family: 'Kaushan Script'", "font-name" => "Kaushan Script", "css-name" => "Kaushan Script"),
			array("font-family" => "font-family: 'Kelly Slab'", "font-name" => "Kelly Slab", "css-name" => "Kelly Slab"),
			array("font-family" => "font-family: 'Kenia'", "font-name" => "Kenia", "css-name" => "Kenia"),
			array("font-family" => "font-family: 'Khmer'", "font-name" => "Khmer", "css-name" => "Khmer"),
			array("font-family" => "font-family: 'Knewave'", "font-name" => "Knewave", "css-name" => "Knewave"),
			array("font-family" => "font-family: 'Kotta One'", "font-name" => "Kotta One", "css-name" => "Kotta One"),
			array("font-family" => "font-family: 'Koulen'", "font-name" => "Koulen", "css-name" => "Koulen"),
			array("font-family" => "font-family: 'Kranky'", "font-name" => "Kranky", "css-name" => "Kranky"),
			array("font-family" => "font-family: 'Kreon'", "font-name" => "Kreon", "css-name" => "Kreon"),
			array("font-family" => "font-family: 'Kristi'", "font-name" => "Kristi", "css-name" => "Kristi"),
			array("font-family" => "font-family: 'Krona One'", "font-name" => "Krona One", "css-name" => "Krona One"),
			array("font-family" => "font-family: 'La Belle Aurore'", "font-name" => "La Belle Aurore", "css-name" => "La Belle Aurore"),
			array("font-family" => "font-family: 'Lancelot'", "font-name" => "Lancelot", "css-name" => "Lancelot"),
			array("font-family" => "font-family: 'Lato'", "font-name" => "Lato", "css-name" => "Lato"),
			array("font-family" => "font-family: 'League Script'", "font-name" => "League Script", "css-name" => "League Script"),
			array("font-family" => "font-family: 'Leckerli One'", "font-name" => "Leckerli One", "css-name" => "Leckerli One"),
			array("font-family" => "font-family: 'Ledger'", "font-name" => "Ledger", "css-name" => "Ledger"),
			array("font-family" => "font-family: 'Lekton'", "font-name" => "Lekton", "css-name" => "Lekton"),
			array("font-family" => "font-family: 'Lemon'", "font-name" => "Lemon", "css-name" => "Lemon"),
			array("font-family" => "font-family: 'Lilita One'", "font-name" => "Lilita One", "css-name" => "Lilita One"),
			array("font-family" => "font-family: 'Limelight'", "font-name" => "Limelight", "css-name" => "Limelight"),
			array("font-family" => "font-family: 'Linden Hill'", "font-name" => "Linden Hill", "css-name" => "Linden Hill"),
			array("font-family" => "font-family: 'Lobster'", "font-name" => "Lobster", "css-name" => "Lobster"),
			array("font-family" => "font-family: 'Lobster Two'", "font-name" => "Lobster Two", "css-name" => "Lobster Two"),
			array("font-family" => "font-family: 'Londrina Outline'", "font-name" => "Londrina Outline", "css-name" => "Londrina Outline"),
			array("font-family" => "font-family: 'Londrina Shadow'", "font-name" => "Londrina Shadow", "css-name" => "Londrina Shadow"),
			array("font-family" => "font-family: 'Londrina Sketch'", "font-name" => "Londrina Sketch", "css-name" => "Londrina Sketch"),
			array("font-family" => "font-family: 'Londrina Solid'", "font-name" => "Londrina Solid", "css-name" => "Londrina Solid"),
			array("font-family" => "font-family: 'Lora'", "font-name" => "Lora", "css-name" => "Lora"),
			array("font-family" => "font-family: 'Love Ya Like A Sister'", "font-name" => "Love Ya Like A Sister", "css-name" => "Love Ya Like A Sister"),
			array("font-family" => "font-family: 'Loved by the King'", "font-name" => "Loved by the King", "css-name" => "Loved by the King"),
			array("font-family" => "font-family: 'Lovers Quarrel'", "font-name" => "Lovers Quarrel", "css-name" => "Lovers Quarrel"),
			array("font-family" => "font-family: 'Luckiest Guy'", "font-name" => "Luckiest Guy", "css-name" => "Luckiest Guy"),
			array("font-family" => "font-family: 'Lusitana'", "font-name" => "Lusitana", "css-name" => "Lusitana"),
			array("font-family" => "font-family: 'Lustria'", "font-name" => "Lustria", "css-name" => "Lustria"),
			array("font-family" => "font-family: 'Macondo'", "font-name" => "Macondo", "css-name" => "Macondo"),
			array("font-family" => "font-family: 'Macondo Swash Caps'", "font-name" => "Macondo Swash Caps", "css-name" => "Macondo Swash Caps"),
			array("font-family" => "font-family: 'Magra'", "font-name" => "Magra", "css-name" => "Magra"),
			array("font-family" => "font-family: 'Maiden Orange'", "font-name" => "Maiden Orange", "css-name" => "Maiden Orange"),
			array("font-family" => "font-family: 'Mako'", "font-name" => "Mako", "css-name" => "Mako"),
			array("font-family" => "font-family: 'Marck Script'", "font-name" => "Marck Script", "css-name" => "Marck Script"),
			array("font-family" => "font-family: 'Marko One'", "font-name" => "Marko One", "css-name" => "Marko One"),
			array("font-family" => "font-family: 'Marmelad'", "font-name" => "Marmelad", "css-name" => "Marmelad"),
			array("font-family" => "font-family: 'Marvel'", "font-name" => "Marvel", "css-name" => "Marvel"),
			array("font-family" => "font-family: 'Mate'", "font-name" => "Mate", "css-name" => "Mate"),
			array("font-family" => "font-family: 'Mate SC'", "font-name" => "Mate SC", "css-name" => "Mate SC"),
			array("font-family" => "font-family: 'Maven Pro'", "font-name" => "Maven Pro", "css-name" => "Maven Pro"),
			array("font-family" => "font-family: 'Meddon'", "font-name" => "Meddon", "css-name" => "Meddon"),
			array("font-family" => "font-family: 'MedievalSharp'", "font-name" => "MedievalSharp", "css-name" => "MedievalSharp"),
			array("font-family" => "font-family: 'Medula One'", "font-name" => "Medula One", "css-name" => "Medula One"),
			array("font-family" => "font-family: 'Megrim'", "font-name" => "Megrim", "css-name" => "Megrim"),
			array("font-family" => "font-family: 'Merienda One'", "font-name" => "Merienda One", "css-name" => "Merienda One"),
			array("font-family" => "font-family: 'Merriweather'", "font-name" => "Merriweather", "css-name" => "Merriweather"),
			array("font-family" => "font-family: 'Metal'", "font-name" => "Metal", "css-name" => "Metal"),
			array("font-family" => "font-family: 'Metal Mania'", "font-name" => "Metal Mania", "css-name" => "Metal Mania"),
			array("font-family" => "font-family: 'Metamorphous'", "font-name" => "Metamorphous", "css-name" => "Metamorphous"),
			array("font-family" => "font-family: 'Metrophobic'", "font-name" => "Metrophobic", "css-name" => "Metrophobic"),
			array("font-family" => "font-family: 'Michroma'", "font-name" => "Michroma", "css-name" => "Michroma"),
			array("font-family" => "font-family: 'Miltonian'", "font-name" => "Miltonian", "css-name" => "Miltonian"),
			array("font-family" => "font-family: 'Miltonian Tattoo'", "font-name" => "Miltonian Tattoo", "css-name" => "Miltonian Tattoo"),
			array("font-family" => "font-family: 'Miniver'", "font-name" => "Miniver", "css-name" => "Miniver"),
			array("font-family" => "font-family: 'Miss Fajardose'", "font-name" => "Miss Fajardose", "css-name" => "Miss Fajardose"),
			array("font-family" => "font-family: 'Modern Antiqua'", "font-name" => "Modern Antiqua", "css-name" => "Modern Antiqua"),
			array("font-family" => "font-family: 'Molengo'", "font-name" => "Molengo", "css-name" => "Molengo"),
			array("font-family" => "font-family: 'Monofett'", "font-name" => "Monofett", "css-name" => "Monofett"),
			array("font-family" => "font-family: 'Monoton'", "font-name" => "Monoton", "css-name" => "Monoton"),
			array("font-family" => "font-family: 'Monsieur La Doulaise'", "font-name" => "Monsieur La Doulaise", "css-name" => "Monsieur La Doulaise"),
			array("font-family" => "font-family: 'Montaga'", "font-name" => "Montaga", "css-name" => "Montaga"),
			array("font-family" => "font-family: 'Montez'", "font-name" => "Montez", "css-name" => "Montez"),
			array("font-family" => "font-family: 'Montserrat'", "font-name" => "Montserrat", "css-name" => "Montserrat"),
			array("font-family" => "font-family: 'Moul'", "font-name" => "Moul", "css-name" => "Moul"),
			array("font-family" => "font-family: 'Moulpali'", "font-name" => "Moulpali", "css-name" => "Moulpali"),
			array("font-family" => "font-family: 'Mountains of Christmas'", "font-name" => "Mountains of Christmas", "css-name" => "Mountains of Christmas"),
			array("font-family" => "font-family: 'Mr Bedfort'", "font-name" => "Mr Bedfort", "css-name" => "Mr Bedfort"),
			array("font-family" => "font-family: 'Mr Dafoe'", "font-name" => "Mr Dafoe", "css-name" => "Mr Dafoe"),
			array("font-family" => "font-family: 'Mr De Haviland'", "font-name" => "Mr De Haviland", "css-name" => "Mr De Haviland"),
			array("font-family" => "font-family: 'Mrs Saint Delafield'", "font-name" => "Mrs Saint Delafield", "css-name" => "Mrs Saint Delafield"),
			array("font-family" => "font-family: 'Mrs Sheppards'", "font-name" => "Mrs Sheppards", "css-name" => "Mrs Sheppards"),
			array("font-family" => "font-family: 'Muli'", "font-name" => "Muli", "css-name" => "Muli"),
			array("font-family" => "font-family: 'Mystery Quest'", "font-name" => "Mystery Quest", "css-name" => "Mystery Quest"),
			array("font-family" => "font-family: 'Neucha'", "font-name" => "Neucha", "css-name" => "Neucha"),
			array("font-family" => "font-family: 'Neuton'", "font-name" => "Neuton", "css-name" => "Neuton"),
			array("font-family" => "font-family: 'News Cycle'", "font-name" => "News Cycle", "css-name" => "News Cycle"),
			array("font-family" => "font-family: 'Niconne'", "font-name" => "Niconne", "css-name" => "Niconne"),
			array("font-family" => "font-family: 'Nixie One'", "font-name" => "Nixie One", "css-name" => "Nixie One"),
			array("font-family" => "font-family: 'Nobile'", "font-name" => "Nobile", "css-name" => "Nobile"),
			array("font-family" => "font-family: 'Nokora'", "font-name" => "Nokora", "css-name" => "Nokora"),
			array("font-family" => "font-family: 'Norican'", "font-name" => "Norican", "css-name" => "Norican"),
			array("font-family" => "font-family: 'Nosifer'", "font-name" => "Nosifer", "css-name" => "Nosifer"),
			array("font-family" => "font-family: 'Nothing You Could Do'", "font-name" => "Nothing You Could Do", "css-name" => "Nothing You Could Do"),
			array("font-family" => "font-family: 'Noticia Text'", "font-name" => "Noticia Text", "css-name" => "Noticia Text"),
			array("font-family" => "font-family: 'Nova Cut'", "font-name" => "Nova Cut", "css-name" => "Nova Cut"),
			array("font-family" => "font-family: 'Nova Flat'", "font-name" => "Nova Flat", "css-name" => "Nova Flat"),
			array("font-family" => "font-family: 'Nova Mono'", "font-name" => "Nova Mono", "css-name" => "Nova Mono"),
			array("font-family" => "font-family: 'Nova Oval'", "font-name" => "Nova Oval", "css-name" => "Nova Oval"),
			array("font-family" => "font-family: 'Nova Round'", "font-name" => "Nova Round", "css-name" => "Nova Round"),
			array("font-family" => "font-family: 'Nova Script'", "font-name" => "Nova Script", "css-name" => "Nova Script"),
			array("font-family" => "font-family: 'Nova Slim'", "font-name" => "Nova Slim", "css-name" => "Nova Slim"),
			array("font-family" => "font-family: 'Nova Square'", "font-name" => "Nova Square", "css-name" => "Nova Square"),
			array("font-family" => "font-family: 'Numans'", "font-name" => "Numans", "css-name" => "Numans"),
			array("font-family" => "font-family: 'Nunito'", "font-name" => "Nunito", "css-name" => "Nunito"),
			array("font-family" => "font-family: 'Odor Mean Chey'", "font-name" => "Odor Mean Chey", "css-name" => "Odor Mean Chey"),
			array("font-family" => "font-family: 'Old Standard TT'", "font-name" => "Old Standard TT", "css-name" => "Old Standard TT"),
			array("font-family" => "font-family: 'Oldenburg'", "font-name" => "Oldenburg", "css-name" => "Oldenburg"),
			array("font-family" => "font-family: 'Oleo Script'", "font-name" => "Oleo Script", "css-name" => "Oleo Script"),
			array("font-family" => "font-family: 'Open Sans'", "font-name" => "Open Sans", "css-name" => "Open Sans"),
			array("font-family" => "font-family: 'Open Sans Condensed'", "font-name" => "Open Sans Condensed", "css-name" => "Open Sans Condensed"),
			array("font-family" => "font-family: 'Orbitron'", "font-name" => "Orbitron", "css-name" => "Orbitron"),
			array("font-family" => "font-family: 'Original Surfer'", "font-name" => "Original Surfer", "css-name" => "Original Surfer"),
			array("font-family" => "font-family: 'Oswald'", "font-name" => "Oswald", "css-name" => "Oswald"),
			array("font-family" => "font-family: 'Over the Rainbow'", "font-name" => "Over the Rainbow", "css-name" => "Over the Rainbow"),
			array("font-family" => "font-family: 'Overlock'", "font-name" => "Overlock", "css-name" => "Overlock"),
			array("font-family" => "font-family: 'Overlock SC'", "font-name" => "Overlock SC", "css-name" => "Overlock SC"),
			array("font-family" => "font-family: 'Ovo'", "font-name" => "Ovo", "css-name" => "Ovo"),
			array("font-family" => "font-family: 'Oxygen'", "font-name" => "Oxygen", "css-name" => "Oxygen"),
			array("font-family" => "font-family: 'PT Mono'", "font-name" => "PT Mono", "css-name" => "PT Mono"),
			array("font-family" => "font-family: 'PT Sans'", "font-name" => "PT Sans", "css-name" => "PT Sans"),
			array("font-family" => "font-family: 'PT Sans Caption'", "font-name" => "PT Sans Caption", "css-name" => "PT Sans Caption"),
			array("font-family" => "font-family: 'PT Sans Narrow'", "font-name" => "PT Sans Narrow", "css-name" => "PT Sans Narrow"),
			array("font-family" => "font-family: 'PT Serif'", "font-name" => "PT Serif", "css-name" => "PT Serif"),
			array("font-family" => "font-family: 'PT Serif Caption'", "font-name" => "PT Serif Caption", "css-name" => "PT Serif Caption"),
			array("font-family" => "font-family: 'Pacifico'", "font-name" => "Pacifico", "css-name" => "Pacifico"),
			array("font-family" => "font-family: 'Parisienne'", "font-name" => "Parisienne", "css-name" => "Parisienne"),
			array("font-family" => "font-family: 'Passero One'", "font-name" => "Passero One", "css-name" => "Passero One"),
			array("font-family" => "font-family: 'Passion One'", "font-name" => "Passion One", "css-name" => "Passion One"),
			array("font-family" => "font-family: 'Patrick Hand'", "font-name" => "Patrick Hand", "css-name" => "Patrick Hand"),
			array("font-family" => "font-family: 'Patua One'", "font-name" => "Patua One", "css-name" => "Patua One"),
			array("font-family" => "font-family: 'Paytone One'", "font-name" => "Paytone One", "css-name" => "Paytone One"),
			array("font-family" => "font-family: 'Permanent Marker'", "font-name" => "Permanent Marker", "css-name" => "Permanent Marker"),
			array("font-family" => "font-family: 'Petrona'", "font-name" => "Petrona", "css-name" => "Petrona"),
			array("font-family" => "font-family: 'Philosopher'", "font-name" => "Philosopher", "css-name" => "Philosopher"),
			array("font-family" => "font-family: 'Piedra'", "font-name" => "Piedra", "css-name" => "Piedra"),
			array("font-family" => "font-family: 'Pinyon Script'", "font-name" => "Pinyon Script", "css-name" => "Pinyon Script"),
			array("font-family" => "font-family: 'Plaster'", "font-name" => "Plaster", "css-name" => "Plaster"),
			array("font-family" => "font-family: 'Play'", "font-name" => "Play", "css-name" => "Play"),
			array("font-family" => "font-family: 'Playball'", "font-name" => "Playball", "css-name" => "Playball"),
			array("font-family" => "font-family: 'Playfair Display'", "font-name" => "Playfair Display", "css-name" => "Playfair Display"),
			array("font-family" => "font-family: 'Podkova'", "font-name" => "Podkova", "css-name" => "Podkova"),
			array("font-family" => "font-family: 'Poiret One'", "font-name" => "Poiret One", "css-name" => "Poiret One"),
			array("font-family" => "font-family: 'Poller One'", "font-name" => "Poller One", "css-name" => "Poller One"),
			array("font-family" => "font-family: 'Poly'", "font-name" => "Poly", "css-name" => "Poly"),
			array("font-family" => "font-family: 'Pompiere'", "font-name" => "Pompiere", "css-name" => "Pompiere"),
			array("font-family" => "font-family: 'Pontano Sans'", "font-name" => "Pontano Sans", "css-name" => "Pontano Sans"),
			array("font-family" => "font-family: 'Port Lligat Sans'", "font-name" => "Port Lligat Sans", "css-name" => "Port Lligat Sans"),
			array("font-family" => "font-family: 'Port Lligat Slab'", "font-name" => "Port Lligat Slab", "css-name" => "Port Lligat Slab"),
			array("font-family" => "font-family: 'Prata'", "font-name" => "Prata", "css-name" => "Prata"),
			array("font-family" => "font-family: 'Preahvihear'", "font-name" => "Preahvihear", "css-name" => "Preahvihear"),
			array("font-family" => "font-family: 'Press Start 2P'", "font-name" => "Press Start 2P", "css-name" => "Press Start 2P"),
			array("font-family" => "font-family: 'Princess Sofia'", "font-name" => "Princess Sofia", "css-name" => "Princess Sofia"),
			array("font-family" => "font-family: 'Prociono'", "font-name" => "Prociono", "css-name" => "Prociono"),
			array("font-family" => "font-family: 'Prosto One'", "font-name" => "Prosto One", "css-name" => "Prosto One"),
			array("font-family" => "font-family: 'Puritan'", "font-name" => "Puritan", "css-name" => "Puritan"),
			array("font-family" => "font-family: 'Quando'", "font-name" => "Quando", "css-name" => "Quando"),
			array("font-family" => "font-family: 'Quantico'", "font-name" => "Quantico", "css-name" => "Quantico"),
			array("font-family" => "font-family: 'Quattrocento'", "font-name" => "Quattrocento", "css-name" => "Quattrocento"),
			array("font-family" => "font-family: 'Quattrocento Sans'", "font-name" => "Quattrocento Sans", "css-name" => "Quattrocento Sans"),
			array("font-family" => "font-family: 'Questrial'", "font-name" => "Questrial", "css-name" => "Questrial"),
			array("font-family" => "font-family: 'Quicksand'", "font-name" => "Quicksand", "css-name" => "Quicksand"),
			array("font-family" => "font-family: 'Qwigley'", "font-name" => "Qwigley", "css-name" => "Qwigley"),
			array("font-family" => "font-family: 'Radley'", "font-name" => "Radley", "css-name" => "Radley"),
			array("font-family" => "font-family: 'Raleway'", "font-name" => "Raleway", "css-name" => "Raleway"),
			array("font-family" => "font-family: 'Rammetto One'", "font-name" => "Rammetto One", "css-name" => "Rammetto One"),
			array("font-family" => "font-family: 'Rancho'", "font-name" => "Rancho", "css-name" => "Rancho"),
			array("font-family" => "font-family: 'Rationale'", "font-name" => "Rationale", "css-name" => "Rationale"),
			array("font-family" => "font-family: 'Redressed'", "font-name" => "Redressed", "css-name" => "Redressed"),
			array("font-family" => "font-family: 'Reenie Beanie'", "font-name" => "Reenie Beanie", "css-name" => "Reenie Beanie"),
			array("font-family" => "font-family: 'Revalia'", "font-name" => "Revalia", "css-name" => "Revalia"),
			array("font-family" => "font-family: 'Ribeye'", "font-name" => "Ribeye", "css-name" => "Ribeye"),
			array("font-family" => "font-family: 'Ribeye Marrow'", "font-name" => "Ribeye Marrow", "css-name" => "Ribeye Marrow"),
			array("font-family" => "font-family: 'Righteous'", "font-name" => "Righteous", "css-name" => "Righteous"),
			array("font-family" => "font-family: 'Rochester'", "font-name" => "Rochester", "css-name" => "Rochester"),
			array("font-family" => "font-family: 'Rock Salt'", "font-name" => "Rock Salt", "css-name" => "Rock Salt"),
			array("font-family" => "font-family: 'Rokkitt'", "font-name" => "Rokkitt", "css-name" => "Rokkitt"),
			array("font-family" => "font-family: 'Ropa Sans'", "font-name" => "Ropa Sans", "css-name" => "Ropa Sans"),
			array("font-family" => "font-family: 'Rosario'", "font-name" => "Rosario", "css-name" => "Rosario"),
			array("font-family" => "font-family: 'Rosarivo'", "font-name" => "Rosarivo", "css-name" => "Rosarivo"),
			array("font-family" => "font-family: 'Rouge Script'", "font-name" => "Rouge Script", "css-name" => "Rouge Script"),
			array("font-family" => "font-family: 'Ruda'", "font-name" => "Ruda", "css-name" => "Ruda"),
			array("font-family" => "font-family: 'Ruge Boogie'", "font-name" => "Ruge Boogie", "css-name" => "Ruge Boogie"),
			array("font-family" => "font-family: 'Ruluko'", "font-name" => "Ruluko", "css-name" => "Ruluko"),
			array("font-family" => "font-family: 'Ruslan Display'", "font-name" => "Ruslan Display", "css-name" => "Ruslan Display"),
			array("font-family" => "font-family: 'Russo One'", "font-name" => "Russo One", "css-name" => "Russo One"),
			array("font-family" => "font-family: 'Ruthie'", "font-name" => "Ruthie", "css-name" => "Ruthie"),
			array("font-family" => "font-family: 'Sail'", "font-name" => "Sail", "css-name" => "Sail"),
			array("font-family" => "font-family: 'Salsa'", "font-name" => "Salsa", "css-name" => "Salsa"),
			array("font-family" => "font-family: 'Sancreek'", "font-name" => "Sancreek", "css-name" => "Sancreek"),
			array("font-family" => "font-family: 'Sansita One'", "font-name" => "Sansita One", "css-name" => "Sansita One"),
			array("font-family" => "font-family: 'Sarina'", "font-name" => "Sarina", "css-name" => "Sarina"),
			array("font-family" => "font-family: 'Satisfy'", "font-name" => "Satisfy", "css-name" => "Satisfy"),
			array("font-family" => "font-family: 'Schoolbell'", "font-name" => "Schoolbell", "css-name" => "Schoolbell"),
			array("font-family" => "font-family: 'Seaweed Script'", "font-name" => "Seaweed Script", "css-name" => "Seaweed Script"),
			array("font-family" => "font-family: 'Sevillana'", "font-name" => "Sevillana", "css-name" => "Sevillana"),
			array("font-family" => "font-family: 'Shadows Into Light'", "font-name" => "Shadows Into Light", "css-name" => "Shadows Into Light"),
			array("font-family" => "font-family: 'Shadows Into Light Two'", "font-name" => "Shadows Into Light Two", "css-name" => "Shadows Into Light Two"),
			array("font-family" => "font-family: 'Shanti'", "font-name" => "Shanti", "css-name" => "Shanti"),
			array("font-family" => "font-family: 'Share'", "font-name" => "Share", "css-name" => "Share"),
			array("font-family" => "font-family: 'Shojumaru'", "font-name" => "Shojumaru", "css-name" => "Shojumaru"),
			array("font-family" => "font-family: 'Short Stack'", "font-name" => "Short Stack", "css-name" => "Short Stack"),
			array("font-family" => "font-family: 'Siemreap'", "font-name" => "Siemreap", "css-name" => "Siemreap"),
			array("font-family" => "font-family: 'Sigmar One'", "font-name" => "Sigmar One", "css-name" => "Sigmar One"),
			array("font-family" => "font-family: 'Signika'", "font-name" => "Signika", "css-name" => "Signika"),
			array("font-family" => "font-family: 'Signika Negative'", "font-name" => "Signika Negative", "css-name" => "Signika Negative"),
			array("font-family" => "font-family: 'Simonetta'", "font-name" => "Simonetta", "css-name" => "Simonetta"),
			array("font-family" => "font-family: 'Sirin Stencil'", "font-name" => "Sirin Stencil", "css-name" => "Sirin Stencil"),
			array("font-family" => "font-family: 'Six Caps'", "font-name" => "Six Caps", "css-name" => "Six Caps"),
			array("font-family" => "font-family: 'Slackey'", "font-name" => "Slackey", "css-name" => "Slackey"),
			array("font-family" => "font-family: 'Smokum'", "font-name" => "Smokum", "css-name" => "Smokum"),
			array("font-family" => "font-family: 'Smythe'", "font-name" => "Smythe", "css-name" => "Smythe"),
			array("font-family" => "font-family: 'Sniglet'", "font-name" => "Sniglet", "css-name" => "Sniglet"),
			array("font-family" => "font-family: 'Snippet'", "font-name" => "Snippet", "css-name" => "Snippet"),
			array("font-family" => "font-family: 'Sofia'", "font-name" => "Sofia", "css-name" => "Sofia"),
			array("font-family" => "font-family: 'Sonsie One'", "font-name" => "Sonsie One", "css-name" => "Sonsie One"),
			array("font-family" => "font-family: 'Sorts Mill Goudy'", "font-name" => "Sorts Mill Goudy", "css-name" => "Sorts Mill Goudy"),
			array("font-family" => "font-family: 'Source Sans Pro'", "font-name" => "Source Sans Pro", "css-name" => "Source Sans Pro"),
			array("font-family" => "font-family: 'Special Elite'", "font-name" => "Special Elite", "css-name" => "Special Elite"),
			array("font-family" => "font-family: 'Spicy Rice'", "font-name" => "Spicy Rice", "css-name" => "Spicy Rice"),
			array("font-family" => "font-family: 'Spinnaker'", "font-name" => "Spinnaker", "css-name" => "Spinnaker"),
			array("font-family" => "font-family: 'Spirax'", "font-name" => "Spirax", "css-name" => "Spirax"),
			array("font-family" => "font-family: 'Squada One'", "font-name" => "Squada One", "css-name" => "Squada One"),
			array("font-family" => "font-family: 'Stardos Stencil'", "font-name" => "Stardos Stencil", "css-name" => "Stardos Stencil"),
			array("font-family" => "font-family: 'Stint Ultra Condensed'", "font-name" => "Stint Ultra Condensed", "css-name" => "Stint Ultra Condensed"),
			array("font-family" => "font-family: 'Stint Ultra Expanded'", "font-name" => "Stint Ultra Expanded", "css-name" => "Stint Ultra Expanded"),
			array("font-family" => "font-family: 'Stoke'", "font-name" => "Stoke", "css-name" => "Stoke"),
			array("font-family" => "font-family: 'Sue Ellen Francisco'", "font-name" => "Sue Ellen Francisco", "css-name" => "Sue Ellen Francisco"),
			array("font-family" => "font-family: 'Sunshiney'", "font-name" => "Sunshiney", "css-name" => "Sunshiney"),
			array("font-family" => "font-family: 'Supermercado One'", "font-name" => "Supermercado One", "css-name" => "Supermercado One"),
			array("font-family" => "font-family: 'Suwannaphum'", "font-name" => "Suwannaphum", "css-name" => "Suwannaphum"),
			array("font-family" => "font-family: 'Swanky and Moo Moo'", "font-name" => "Swanky and Moo Moo", "css-name" => "Swanky and Moo Moo"),
			array("font-family" => "font-family: 'Syncopate'", "font-name" => "Syncopate", "css-name" => "Syncopate"),
			array("font-family" => "font-family: 'Tangerine'", "font-name" => "Tangerine", "css-name" => "Tangerine"),
			array("font-family" => "font-family: 'Taprom'", "font-name" => "Taprom", "css-name" => "Taprom"),
			array("font-family" => "font-family: 'Telex'", "font-name" => "Telex", "css-name" => "Telex"),
			array("font-family" => "font-family: 'Tenor Sans'", "font-name" => "Tenor Sans", "css-name" => "Tenor Sans"),
			array("font-family" => "font-family: 'The Girl Next Door'", "font-name" => "The Girl Next Door", "css-name" => "The Girl Next Door"),
			array("font-family" => "font-family: 'Tienne'", "font-name" => "Tienne", "css-name" => "Tienne"),
			array("font-family" => "font-family: 'Tinos'", "font-name" => "Tinos", "css-name" => "Tinos"),
			array("font-family" => "font-family: 'Titan One'", "font-name" => "Titan One", "css-name" => "Titan One"),
			array("font-family" => "font-family: 'Trade Winds'", "font-name" => "Trade Winds", "css-name" => "Trade Winds"),
			array("font-family" => "font-family: 'Trocchi'", "font-name" => "Trocchi", "css-name" => "Trocchi"),
			array("font-family" => "font-family: 'Trochut'", "font-name" => "Trochut", "css-name" => "Trochut"),
			array("font-family" => "font-family: 'Trykker'", "font-name" => "Trykker", "css-name" => "Trykker"),
			array("font-family" => "font-family: 'Tulpen One'", "font-name" => "Tulpen One", "css-name" => "Tulpen One"),
			array("font-family" => "font-family: 'Ubuntu'", "font-name" => "Ubuntu", "css-name" => "Ubuntu"),
			array("font-family" => "font-family: 'Ubuntu Condensed'", "font-name" => "Ubuntu Condensed", "css-name" => "Ubuntu Condensed"),
			array("font-family" => "font-family: 'Ubuntu Mono'", "font-name" => "Ubuntu Mono", "css-name" => "Ubuntu Mono"),
			array("font-family" => "font-family: 'Ultra'", "font-name" => "Ultra", "css-name" => "Ultra"),
			array("font-family" => "font-family: 'Uncial Antiqua'", "font-name" => "Uncial Antiqua", "css-name" => "Uncial Antiqua"),
			array("font-family" => "font-family: 'UnifrakturCook'", "font-name" => "UnifrakturCook", "css-name" => "UnifrakturCook"),
			array("font-family" => "font-family: 'UnifrakturMaguntia'", "font-name" => "UnifrakturMaguntia", "css-name" => "UnifrakturMaguntia"),
			array("font-family" => "font-family: 'Unkempt'", "font-name" => "Unkempt", "css-name" => "Unkempt"),
			array("font-family" => "font-family: 'Unlock'", "font-name" => "Unlock", "css-name" => "Unlock"),
			array("font-family" => "font-family: 'Unna'", "font-name" => "Unna", "css-name" => "Unna"),
			array("font-family" => "font-family: 'VT323'", "font-name" => "VT323", "css-name" => "VT323"),
			array("font-family" => "font-family: 'Varela'", "font-name" => "Varela", "css-name" => "Varela"),
			array("font-family" => "font-family: 'Varela Round'", "font-name" => "Varela Round", "css-name" => "Varela Round"),
			array("font-family" => "font-family: 'Vast Shadow'", "font-name" => "Vast Shadow", "css-name" => "Vast Shadow"),
			array("font-family" => "font-family: 'Vibur'", "font-name" => "Vibur", "css-name" => "Vibur"),
			array("font-family" => "font-family: 'Vidaloka'", "font-name" => "Vidaloka", "css-name" => "Vidaloka"),
			array("font-family" => "font-family: 'Viga'", "font-name" => "Viga", "css-name" => "Viga"),
			array("font-family" => "font-family: 'Voces'", "font-name" => "Voces", "css-name" => "Voces"),
			array("font-family" => "font-family: 'Volkhov'", "font-name" => "Volkhov", "css-name" => "Volkhov"),
			array("font-family" => "font-family: 'Vollkorn'", "font-name" => "Vollkorn", "css-name" => "Vollkorn"),
			array("font-family" => "font-family: 'Voltaire'", "font-name" => "Voltaire", "css-name" => "Voltaire"),
			array("font-family" => "font-family: 'Waiting for the Sunrise'", "font-name" => "Waiting for the Sunrise", "css-name" => "Waiting for the Sunrise"),
			array("font-family" => "font-family: 'Wallpoet'", "font-name" => "Wallpoet", "css-name" => "Wallpoet"),
			array("font-family" => "font-family: 'Walter Turncoat'", "font-name" => "Walter Turncoat", "css-name" => "Walter Turncoat"),
			array("font-family" => "font-family: 'Wellfleet'", "font-name" => "Wellfleet", "css-name" => "Wellfleet"),
			array("font-family" => "font-family: 'Wire One'", "font-name" => "Wire One", "css-name" => "Wire One"),
			array("font-family" => "font-family: 'Yanone Kaffeesatz'", "font-name" => "Yanone Kaffeesatz", "css-name" => "Yanone Kaffeesatz"),
			array("font-family" => "font-family: 'Yellowtail'", "font-name" => "Yellowtail", "css-name" => "Yellowtail"),
			array("font-family" => "font-family: 'Yeseva One'", "font-name" => "Yeseva One", "css-name" => "Yeseva One"),
			array("font-family" => "font-family: 'Yesteryear'", "font-name" => "Yesteryear", "css-name" => "Yesteryear"),
			array("font-family" => "font-family: 'Zeyada'", "font-name" => "Zeyada", "css-name" => "Zeyada"),
		);
		

		$fonts = $defaultfonts;
		
		return $fonts;
	}

	
	function arixwp_load_fallback_font() {
	// Font Family
		$fallbacklist = array(
			array(
				'font-name' => 'Fallback Font '
			),
			array(
				'font-name' => 'serif'
			),
			array(
				'font-name' => 'sans-serif'
			),
			array(
				'font-name' => 'cursive'
			)
		);
		
		return $fallbacklist;
	}
	
	function arixwp_load_fontsize() {
	// Font Size Array
	
		$fonts_sizes = array(
			array( 'font-size' => 'Font Size ' ),
			array( 'font-size' => '6px' ),
			array( 'font-size' => '7px' ),
			array( 'font-size' => '8px' ),
			array( 'font-size' => '9px' ),
			array( 'font-size' => '10px' ),
			array( 'font-size' => '11px' ),
			array( 'font-size' => '12px' ),
			array( 'font-size' => '13px' ),
			array( 'font-size' => '14px' ),
			array( 'font-size' => '15px' ),
			array( 'font-size' => '16px' ),
			array( 'font-size' => '17px' ),
			array( 'font-size' => '18px' ),
			array( 'font-size' => '19px' ),
			array( 'font-size' => '20px' ),
			array( 'font-size' => '21px' ),
			array( 'font-size' => '22px' ),
			array( 'font-size' => '23px' ),
			array( 'font-size' => '24px' ),
			array( 'font-size' => '25px' ),
			array( 'font-size' => '26px' ),
			array( 'font-size' => '27px' ),
			array( 'font-size' => '28px' ),
			array( 'font-size' => '29px' ),
			array( 'font-size' => '30px' ),
			array( 'font-size' => '31px' ),
			array( 'font-size' => '32px' ),
			array( 'font-size' => '33px' ),
			array( 'font-size' => '34px' ),
			array( 'font-size' => '35px' ),
			array( 'font-size' => '36px' ),
			array( 'font-size' => '37px' ),
			array( 'font-size' => '38px' ),
			array( 'font-size' => '39px' ),
			array( 'font-size' => '40px' ),
			array( 'font-size' => '41px' ),
			array( 'font-size' => '42px' ),
			array( 'font-size' => '43px' ),
			array( 'font-size' => '44px' ),
			array( 'font-size' => '45px' ),
			array( 'font-size' => '46px' ),
			array( 'font-size' => '47px' ),
			array( 'font-size' => '48px' ),
			array( 'font-size' => '49px' ),
			array( 'font-size' => '50px' ),
			array( 'font-size' => '51px' ),
			array( 'font-size' => '52px' ),
			array( 'font-size' => '53px' ),
			array( 'font-size' => '54px' ),
			array( 'font-size' => '55px' ),
			array( 'font-size' => '56px' ),
			array( 'font-size' => '57px' ),
			array( 'font-size' => '58px' ),
			array( 'font-size' => '59px' ),
			array( 'font-size' => '60px' ),
			array( 'font-size' => '61px' ),
			array( 'font-size' => '62px' ),
			array( 'font-size' => '63px' ),
			array( 'font-size' => '64px' ),
			array( 'font-size' => '65px' ),
			array( 'font-size' => '66px' ),
			array( 'font-size' => '67px' ),
			array( 'font-size' => '68px' ),
			array( 'font-size' => '69px' ),
			array( 'font-size' => '70px' ),
			array( 'font-size' => '71px' ),
			array( 'font-size' => '72px' )						
		);
		
		return $fonts_sizes;
	}
	
	function arixwp_load_fontweight() {
	// Font Weight Array
	
		$fonts_weights = array(
			array( 'font-weight' => 'Font Weight ' ),
			array( 'font-weight' => 'normal' ),
			array( 'font-weight' => 'bold' ),	
			array( 'font-weight' => 'bolder' ),	
			array( 'font-weight' => 'lighter' ),
			array( 'font-weight' => '100' ),
			array( 'font-weight' => '200' ),
			array( 'font-weight' => '300' ),
			array( 'font-weight' => '400' ),
			array( 'font-weight' => '500' ),
			array( 'font-weight' => '600' ),
			array( 'font-weight' => '700' ),
			array( 'font-weight' => '800' ),
			array( 'font-weight' => '900' )				
		);
		
		return $fonts_weights;
	}
	
	function arixwp_load_fontstyle() {
	// Font Style Array
	
		$fonts_styles = array(
			array( 'font-style' => 'Font Style ' ),
			array( 'font-style' => 'normal' ),
			array( 'font-style' => 'italic' ),
			array( 'font-style' => 'oblique' )
		);
		
		return $fonts_styles;
	}
?>