<?php
		
	// Theme Admin Menu
		
	function arixwp_plugin_menu() {			
		add_theme_page( __( 'Axiom: Options',THEMENAME ), __( 'Axiom: Options',THEMENAME ), 'edit_theme_options', 'arixwp-options', 'arixwp_plugin_options' );
		add_theme_page( __( 'Axiom: Blog',THEMENAME ), __( 'Axiom: Blog',THEMENAME ), 'edit_theme_options', 'arixwpblog', 'arixwp_blog_options' );
		add_theme_page( __( 'Axiom: Featured',THEMENAME ), __( 'Axiom: Featured',THEMENAME ), 'edit_theme_options', 'arixwpbanner', 'arixwp_plugin_banner' );
		add_theme_page( __( 'Axiom: Typography',THEMENAME ), __( 'Axiom: Typography',THEMENAME ), 'edit_theme_options', 'arixwpfonts', 'arixwp_plugin_fonts' );
		add_theme_page( __( 'Axiom: Cache',THEMENAME ), __( 'Axiom: Cache',THEMENAME ), 'edit_theme_options', 'arixwpcache', 'arixwp_cache_options' );
	}
	
	add_action('admin_menu', 'arixwp_plugin_menu');		
		
	// Admin scripts and styles 
	
		add_action( 'admin_enqueue_scripts', 'arixwp_adminscripts' );
	
		function arixwp_adminscripts() {
		
			wp_enqueue_style( 'arixwp_admin_css', get_template_directory_uri() . '/css/admin/admin.css' );
			
			// load font admin specific CSS
			wp_register_style( 'colorpicker', get_template_directory_uri() . '/css/admin/colorpicker.css' );
			
			wp_enqueue_script( 'arixwp_admin_init', get_template_directory_uri() . '/js/admin.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-widget', 'jquery-ui-button' ));

			// load font admin specific JS
			wp_register_script( 'arixwp_colorpicker', get_template_directory_uri() . '/js/typography/colorpicker.js', array('jquery'));
			wp_register_script( 'eye', get_template_directory_uri() . '/js/typography/eye.js', array('jquery','arixwp_colorpicker'));
			wp_register_script( 'utils', get_template_directory_uri() . '/js/typography/utils.js', array('jquery','arixwp_colorpicker'));
			wp_register_script( 'layout', get_template_directory_uri() . '/js/typography/layout.js', array('jquery','arixwp_colorpicker'),'1.0.2');
			wp_register_script( 'arixwp_init', get_template_directory_uri() . '/js/typography/arixwp_typography.js', array('jquery'));
			wp_register_script( 'arixwp_google', 'http://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js');
			
			
		}
		
	// Builds the admin page based on array input.
		
	function arixwp_adminpage( $args ) {
	
		if ( current_user_can( 'edit_theme_options' ) ) {

			$hidden_field_name 	= 'arixwp_submit_hidden';		
		
			// See if the user has posted us some information
			// If they did, this hidden field will be set to 'Y'
			
			if( isset( $_POST[ $hidden_field_name ] ) && $_POST[ $hidden_field_name ] == 'Y' ) {
				
				foreach ( $_POST as $key => $value ) {
					
					if ( $key != 'arixwp_submit_hidden' && $key != 'Submit' ) 
						// Save the posted value in the database
						update_option( $key, esc_attr( $value ) );
					
				}
						
			// Put an settings updated message on the screen 
					
				echo '<div class="updated"><p><strong>' . __( 'Settings Saved',THEMENAME ) . '</strong></p></div>';
						
			}
			
			// The form header
			
			echo '<div id="arixwp_form" class="wrap">'.
					'<div id="icon-themes" class="icon32"><br /></div>'.
					'<h2>' . THEMENAME . $args[ 'title' ] . '</h2>';
					
			if ( $args['description'] ) 
				echo '<p>' . $args[ 'description' ] . '</p>';		
					
			echo '<form name="form1" method="post" action="">'.
					'<input type="hidden" name="' . $hidden_field_name . '" value="Y" />';			
			
			// Print each option group
			
			foreach ( $args[ 'groups' ] as $group ) {
				
				if ( $group[ 'before' ] ) 
					echo $group[ 'before' ];
				
				if ( $group[ 'title' ] ) 
					echo '<h3>' . $group[ 'title' ] . '</h3>';
					
				if ( $group[ 'description' ] ) 
					echo '<p>' . $group[ 'description' ] . '</p>';			
			 
				if ( $group[ 'title' ] == __( 'General Font', THEMENAME ) ) {
					arixwp_showprev( 'general' );
				}

				if ( $group[ 'title' ] == __( 'Site Logo Font', THEMENAME ) ) {
					arixwp_showprev( 'logo' );
				}
				
				if ( $group[ 'title' ] == __( 'Menu Font', THEMENAME ) ) {
					arixwp_showprev( 'menu' );
				}

				if ( $group[ 'title' ] == __( 'Post and Page Title Font', THEMENAME ) ) {
					arixwp_showprev( 'post' );
				}

				if ( $group[ 'title' ] == __( 'Widget Title Font', THEMENAME ) ) {
					arixwp_showprev( 'widget' );
				}
				
				if ( $group[ 'title' ] == __( 'Large Featured Post Title Font', THEMENAME ) ) {
					arixwp_showprev( 'featuredtitle' );
				}
				
				if ( $group[ 'title' ] == __( 'Large Featured Post Excerpt Font', THEMENAME ) ) {
					arixwp_showprev( 'featuredexcerpt' );
				}
				
				if ( $group[ 'title' ] == __( 'Small Featured Post Title Font', THEMENAME ) ) {
					arixwp_showprev( 'smfeaturedtitle' );
				}
				
				if ( $group[ 'title' ] == __( 'Small Featured Post Excerpt Font', THEMENAME ) ) {
					arixwp_showprev( 'smfeaturedexcerpt' );
				}
				
				// Print each field within the option group
				
				foreach ( $group[ 'fields' ] as $field ) {
					  
					// get the value of the current field.
					$formargs = get_option( $field[ 'id' ] );
					
					if ( $field[ 'name' ] ) 
						echo '<p><strong>' . $field[ 'name' ] . '</strong></p>';					

					if ( $field[ 'desc' ] ) 
						echo '<p>' . $field[ 'desc' ] . '</p>';	
						
					if ( $field['type'] == 'radio' )
						echo '<div class="arixwp_radio">';
					
					switch ( $field[ 'type' ] ) {
					
						case 'text':
						  
							echo $field[ 'before' ] . '<input type="text" name="'. $field[ 'id' ] . '" id="'. $field[ 'id' ] .'" value="'. ( $formargs ? $formargs : $field[ 'default' ] ) . '" class="arixwp_input" />' . $field[ 'after' ];
							break;
							  
						case 'textarea':
						  
							echo $field[ 'before' ] . '<textarea name="'. $field[ 'id' ] . '" id="'. $field[ 'id' ] . '" cols="60" rows="4" class="arixwp_input" >'. ( $formargs ? $formargs : $field[ 'default' ] ) . '</textarea>' . $field[ 'after' ];
							break;
							  
						case 'select':
							
						  
							echo $field[ 'before' ] . '<select name="'. $field[ 'id' ] . '" id="'. $field[ 'id' ] . '" class="arixwp_select">';
							foreach ( $field[ 'options' ] as $option ) {
								echo '<option value="'. $option[ 'value' ] . '" '. ( $formargs == $option[ 'value' ] ? ' selected="selected"' : '' ) . '>'. $option[ 'name' ] . '</option>';
							}
							echo '</select>' . $field[ 'after' ];
							print_r( $field[ 'after' ] );
							break;
							  
						case 'radio':
						  
							foreach ( $field['options'] as $option ) {
								echo $field[ 'before' ] . '<input type="radio" id="' . $field[ 'id' ] . $option['value'] . '" name="' . $field[ 'id' ] . '" value="' . $option['value'] . '"' . ( $formargs == $option[ 'value' ] ? ' checked="checked"' : '' ) . ' /><label for="' . $field[ 'id' ] . $option['value'] . '" class="' . $field[ 'id' ] . $option['value'] . '">' . $option[ 'name' ] . '</label>' . $field[ 'after' ];
							}
							break;
							  
						case 'checkbox':
						  
							echo $field[ 'before' ] . '<input type="checkbox" name="' . $field[ 'id' ] . '" value="' . $field[ 'value' ] . '" ' . ( $formargs == $field[ 'value' ] ? ' checked="checked"' : '' ) . ' /> ' . $field[ 'title' ] . $field[ 'after' ];
							break;
							
						case 'hidden':
						
							echo '<input type="hidden" name="'. $field[ 'id' ] . '" id="'. $field[ 'id' ] .'" value="'. ( $formargs ? $formargs : $field[ 'default' ] ) . '"  />';
							break;
							
						case 'banner':

							arixwp_header_image();
							break;
							  
						case 'colorpicker':
						
							$value[ 'color' ] = '#';
							
						  
							echo $field[ 'before' ] . '<input type="text" name="'. $field[ 'id' ] . '" id="'. $field[ 'id' ] .'" value="'. ( $formargs ? $formargs : $value[ 'color' ] ) . '" class="arixwp_colorpicker" />' . $field[ 'after' ];
							echo '<div id="' . $field[ 'colorpicker' ] . '"></div>';
							break;						
							  
					}
					
					if ( $field['type'] == 'radio' )
						echo '</div>';					
					  
				} // End Fields
				
				if ( $group[ 'after' ] ) 
					echo $group[ 'after' ];
				
			} // End Group
			
			echo '<p class="submit"><input type="submit" name="Submit" class="button-primary" value="' . __( 'Save Changes', THEMENAME) . '" /></p>'.
					'</form>'.						
					'</div>';
					
		} else {
		
			wp_die( __( 'You do not have sufficient permissions to access this page.', THEMENAME ) );
		
		}

	}

	// Navigates the font previews
	
		function arixwp_showprev( $group_type ) {
		
			echo '
				<div class="font_prev_content">
					<p><strong>Web Font Preview</strong></p>
					<p id="font_prev_' . $group_type . '">Lorem ipsum dolor sit amet, consectetur adipisicing elit</p>
					<p><strong>FallBack Font Preview</strong></p>
					<p id="font_fallback_prev_' . $group_type . '">Ut enim ad minim veniam, quis nostrud exercitation</p>
				</div>
				<br style="clear: both;" />
			';
			
		}

?>