<?php
    
    $meta_template = "template-contact.php";
    $meta_posttype = "page";
    $meta_title    = "Contact Info & Options";
    $meta_context  = "normal";
    $meta_priority = "high";
    $meta_id       = "arixwpcontact-meta";
    $meta_nonce    = $meta_id . "-nonce";
    $arixwp_meta       = new ARIXWP_Meta();
    
    $arixwp_meta->set_postId();
    $arixwp_meta->set_template();
    $arixwp_template  = $arixwp_meta->get_template();
    
    if ($arixwp_template == $meta_template) {
		
        $arixwp_meta->set_meta(array(
       
            //This is the id applied to the meta box
            'id'         => $meta_id,
            
            //This is the post type the meta is for
            'post_type'  => $meta_posttype,
            
            //This is the template to show the meta for
            'template'   => $meta_template,
            
            //This is the nonce for this meta
            'nonce_name' => $meta_nonce,
           
            //This is the title that appears on the meta box container
            'title'      => $meta_title,
    
            //This defines the part of the page where the edit screen section should be shown
            'context'    => $meta_context,    
           
            //This sets the priority within the context where the boxes should show
            'priority'   => $meta_priority,
       
			//Here we define all the fields we want in the meta box
			'fields' => array(
			
			// Show or hide featured posts
						
				array(
					'before' 	=> '',
					'after' 	=> '',
					'name' 		=> __( 'Show Featured Posts', THEMENAME ),
					'desc' 		=> __( 'This allows you to show or hide the featured posts banner on this page. ( Note: this will override the setting in the themes control panel. )', THEMENAME ),
					'id'		=> '_arixwp_featured_show_page',
					'type' 		=> 'radio', // text,textarea,select,radio,checkbox
					'default' 	=> 'home',
					'options' 	=> array(
						array('name' => __( ' Yes', THEMENAME ), 'value' => 'yes'),
						array('name' => __( ' No', THEMENAME ), 'value' => 'no')
					)								
				),	
						
			// Featured Posts Display Method
						
				array(
					'before' 	=> '',
					'after' 	=> '',
					'name' 		=> __( 'Featured Post Display', THEMENAME ),
					'desc' 		=> __( 'This controls how your featured posts are displayed. You can show one main feature and 3 normal features, one main feature only, three normal features only, or a jQuery slider that slides through the latest 4 posts in the featured category. ', THEMENAME ),
					'id'		=> '_arixwp_featured_display_page',
					'type' 		=> 'radio', // text,textarea,select,radio,checkbox
					'default' 	=> 'four',
					'options' 	=> array(
						array('name' => __( ' Main Feature &amp; 3 Normal Features', THEMENAME ), 'value' => 'four', 'class' => 'wparix_feature_four' ),
						array('name' => __( ' Main Feature Only', THEMENAME ), 'value' => 'one', 'class' => 'wparix_feature_one' ),
						array('name' => __( ' 3 Normal Features Only', THEMENAME ), 'value' => 'three', 'class' => 'wparix_feature_three' ),
						array('name' => __( ' Slidertron Slider', THEMENAME ), 'value' => 'slide', 'class' => 'wparix_feature_slide' )
					)								
				),
							
			// Sidebar Location
						
				array (
					'before' 	=> '',
					'after' 	=> '',
					'name' 		=> __( 'Sidebar Location', THEMENAME ),
					'desc' 		=> __( 'This allows you to override the default sidebar settings.', THEMENAME ),
					'id' 		=> '_arixwp_sidebar_page',
					'type' 		=> 'radio', // text,textarea,select,radio,checkbox
					'default' 	=> 'left',
					'options' 	=> array(
						array('name' => ' Left', 'value' => 'left'),
						array('name' => ' Right', 'value' => 'right'),
						array('name' => ' None', 'value' => 'none')
					)								
				),			
			
			// Contact Form Options
			
				array(
					'before'    => __( 'This sets up the theme\'s built in contact form.', THEMENAME ),
					'name' 		=> __( 'Email (comma-separated)', THEMENAME ),
					'desc' 		=> '',
					'id' 		=> '_arixwp_mailto',
					'type' 		=> 'text',
					'default' 	=> ''
					),
				array(
					'name' 		=> __( 'Department (comma-separated)', THEMENAME ),
					'desc' 		=> __('Department is not required if single email used. When multiple emails, each entry matches corresponding Department below.', THEMENAME),
					'id' 		=> '_arixwp_mailtodept',
					'type' 		=> 'text',
					'default' 	=> ''
					),
				array(
					'name' 		=> __( 'Subject', THEMENAME ),
					'desc' 		=> '',
					'id' 		=> '_arixwp_mailsubject',
					'type' 		=> 'text',
					'default' 	=> ''
					),
					
			// Contact Information
			
				array(
					'before'    => __( 'Enter your default contact information. Anything left blank will not be used.', THEMENAME ),
					'name' 		=> __( 'Business Name', THEMENAME ),
					'desc' 		=> '',
					'id' 		=> '_arixwp_bizname',
					'type' 		=> 'text',
					'default' 	=> ''
					),
				array(
					'name' 		=> __( 'Your Name', THEMENAME ),
					'desc' 		=> '',
					'id' 		=> '_arixwp_yourname',
					'type' 		=> 'text',
					'default' 	=> ''
					),
				array(
					'name' 		=> __( 'Address 1', THEMENAME ),
					'desc' 		=> '',
					'id' 		=> '_arixwp_address1',
					'type' 		=> 'text',
					'default' 	=> ''
					),
				array(
					'name' 		=> __( 'Address 2', THEMENAME ),
					'desc' 		=> '',
					'id' 		=> '_arixwp_address2',
					'type' 		=> 'text',
					'default' 	=> ''
					),
				array(
					'name' 		=> __( 'City', THEMENAME ),
					'desc' 		=> '',
					'id' 		=> '_arixwp_city',
					'type' 		=> 'text',
					'default' 	=> ''
					),
				array(
					'name' 		=> __( 'State', THEMENAME ),
					'desc' 		=> '',
					'id' 		=> '_arixwp_state',
					'type' 		=> 'text',
					'default' 	=> ''
					),
				array(
					'name' 		=> __( 'Country', THEMENAME ),
					'desc' 		=> '',
					'id' 		=> '_arixwp_country',
					'type' 		=> 'text',
					'default' 	=> ''
					),
				array(
					'name' 		=> __( 'Postal Code', THEMENAME ),
					'desc' 		=> '',
					'id' 		=> '_arixwp_postal',
					'type' 		=> 'text',
					'default' 	=> ''
					),
				array(
					'name' 		=> __( 'Phone', THEMENAME ),
					'desc' 		=> '',
					'id' 		=> '_arixwp_phone',
					'type' 		=> 'text',
					'default' 	=> ''
					),
				array(
					'name' 		=> __( 'Mobile', THEMENAME ),
					'desc' 		=> '',
					'id' 		=> '_arixwp_mobile',
					'type' 		=> 'text',
					'default' 	=> ''
					),
				array(
					'name' 		=> __( 'Fax', THEMENAME ),
					'desc' 		=> '',
					'id' 		=> '_arixwp_fax',
					'type' 		=> 'text',
					'default' 	=> ''
					),
					
			// Social Media Options
			
				array(
					'before'    => __( 'Enter social media information below.', THEMENAME ),
					'name' 		=> __( 'Facebook', THEMENAME ),
					'desc' 		=> __( 'Enter your facebook URL', THEMENAME ),
					'id' 		=> '_arixwp_facebook',
					'type' 		=> 'text',
					'default' 	=> ''
					),
				array(
					'name' 		=> __( 'Twitter', THEMENAME ),
					'desc' 		=> __( 'Enter your twitter URL', THEMENAME ),
					'id' 		=> '_arixwp_twitter',
					'type' 		=> 'text',
					'default' 	=> ''
					),
				array(
					'name' 		=> __( 'Google Plus', THEMENAME ),
					'desc' 		=> __( 'Enter your Google Plus URL', THEMENAME ),
					'id' 		=> '_arixwp_googleplus',
					'type' 		=> 'text',
					'default' 	=> ''
					),
				array(
					'name' 		=> __( 'LinkedIn', THEMENAME ),
					'desc' 		=> __( 'Enter your LinkedIn URL', THEMENAME ),
					'id' 		=> '_arixwp_linkedin',
					'type' 		=> 'text',
					'default' 	=> ''
					)
			)
		));
        
        $arixwp_meta->init_meta();
    }
    
    $arixwp_meta = null;