<?php

	// Comment
	
		if ( !function_exists( 'arixwp_comment' ) ) {
		
			function arixwp_comment( $comment, $args, $depth ) {
			
				$GLOBALS['comment'] = $comment;
				
				switch ( $comment->comment_type ) {
				
					case '':
						?>
							<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">

							
							<div id="comment-<?php comment_ID(); ?>" class="entry">							

								<div class="comment-author">
									<?php echo get_avatar( $comment, ARIXWP_GRAVATAR_SIZE ); ?>
								</div><!-- .comment-author .vcard -->
																	
								<div class="comment-body">
								
									<div class="comment-meta commentmetadata entry-utility">
										<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
										<?php edit_comment_link( __( 'Edit', THEMENAME ), ' ' ); ?>
									</div><!-- .reply -->									
								
									<p class="credit">
										<a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>"><?php echo human_time_diff(get_comment_time('U'), current_time('timestamp')) . ' ago'; ?> </a> by <?php echo get_comment_author_link(); ?> 
									</p>			
									
									<?php comment_text(); ?>
									
									<div class="arixwp_recent_comments_arrow_border"></div>
									<div class="arixwp_recent_comments_arrow"></div>
									
								</div>
								<br class="clearfix" />
									
							</div>
														
							
						<?php
						break;
					case 'pingback':
					case 'trackback':
						?>
							<li class="post pingback">
								<p><?php _e( 'Pingback:', THEMENAME ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __('(Edit)', THEMENAME), ' ' ); ?></p>
							</li>
						<?php
						break;
					default:
						break;
						
				}
			}
		}
			

// Comment Form

	function arixwp_commentform( $args = array(), $post_id = null ) {
	
		global $id;

		if ( null === $post_id )
			$post_id = $id;
		else
			$id = $post_id;

		$commenter 		= wp_get_current_commenter();
		$user 			= wp_get_current_user();
		$user_identity 	= ! empty( $user->ID ) ? $user->display_name : '';
		$req 			= get_option( 'require_name_email' );
	
		$fields 		=  array(
							'author' => '<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="' . ARIXWP_INPUT_SIZE . '" title="' . __( 'Name', THEMENAME ) . '" class="arixwp_input" />',
							'email'  => '<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="' . ARIXWP_INPUT_SIZE . '" title="' . __( 'Email', THEMENAME ) . '" class="arixwp_input" />',
							'url'    => '<input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="' . ARIXWP_INPUT_SIZE . '" title="' . __( 'Website', THEMENAME ) . '" class="arixwp_input" />',
						);

		$required_text 	= sprintf( ' ' . __('Required fields are marked %s', THEMENAME), '<span class="required">*</span>' );
		$defaults 		= array(
							'fields'               => apply_filters( 'comment_form_default_fields', $fields ),
							'comment_field'        => '<textarea id="comment" name="comment" cols="' . ARIXWP_TEXTAREA_W . '" rows="' . ARIXWP_TEXTAREA_H . '" title="' . __( 'Your Comment', THEMENAME ) . '" class="arixwp_textarea" ></textarea>',
							'must_log_in'          => '<p class="must-log-in">' .  sprintf( __( 'You must be <a href="%s">logged in</a> to post a comment.', THEMENAME ), wp_login_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
							'logged_in_as'         => '<p class="logged-in-as">' . sprintf( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>', THEMENAME ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
							'comment_notes_before' => '<p class="comment-notes">' . __( 'Your email address will not be published.', THEMENAME ) . ( $req ? $required_text : '' ) . '</p>',
							'comment_notes_after'  => '<p class="form-allowed-tags">' . sprintf( __( 'You may use these <abbr title="HyperText Markup Language">HTML</abbr> tags and attributes: %s', THEMENAME ), ' <code>' . allowed_tags() . '</code>' ) . '</p>',
							'id_form'              => 'arixwp_commentForm',
							'id_submit'            => 'submit',
							'title_reply'          => __( 'Leave a Reply', THEMENAME ),
							'title_reply_to'       => __( 'Leave a Reply to %s', THEMENAME ),
							'cancel_reply_link'    => __( 'Cancel reply', THEMENAME ),
							'label_submit'         => __( 'Comment', THEMENAME ),
						);

		$args 			= wp_parse_args( $args, apply_filters( 'comment_form_defaults', $defaults ) );

		if ( comments_open() ) { 
		
			do_action( 'comment_form_before' ); 
			
			echo '<div id="respond" class="content">';
			echo '<h2 class="title">';
			comment_form_title( $args['title_reply'], $args['title_reply_to'] );
			echo '<small>';
			cancel_comment_reply_link( $args['cancel_reply_link'] );
			echo '</small></h2>';
			
			
			if ( get_option( 'comment_registration' ) && !is_user_logged_in() ) { 
			
				echo $args['must_log_in']; 
				do_action( 'comment_form_must_log_in_after' ); 
				
			} else { 
						
				echo '<form action="' . site_url( '/wp-comments-post.php' ) . '" method="post" id="' . esc_attr( $args['id_form'] ) . '">';
				
				do_action( 'comment_form_top' ); 
				
				if ( is_user_logged_in() ) { 
					
					echo apply_filters( 'comment_form_logged_in', $args['logged_in_as'], $commenter, $user_identity );
					do_action( 'comment_form_logged_in_after', $commenter, $user_identity ); 
					
				}else { 
					
					//echo $args['comment_notes_before'];
					do_action( 'comment_form_before_fields' );
					
					foreach ( (array) $args['fields'] as $name => $field ) {
						echo apply_filters( "comment_form_field_{$name}", $field ) . "\n";
					}
					
					do_action( 'comment_form_after_fields' );
				
				} 
				
				echo apply_filters( 'comment_form_field_comment', $args['comment_field'] ); 
				echo $args['comment_notes_after']; 
				
				echo '
					<p class="form-submit">
						<input name="submit" type="submit" id="' . esc_attr( $args['id_submit'] ) . '" value="' . esc_attr( $args['label_submit'] ) . '" class="arixwp_button" />
				';
				comment_id_fields( $post_id ); 
				
				echo '</p>';
				
				do_action( 'comment_form', $post_id ); 
						
				echo '</form>';
		
			} 
			
			echo '</div><!-- #respond -->';
			
			?>
			<script type="text/javascript">
				jQuery('#arixwp_commentForm').formerize();
			</script>
			
			<?php
		
			do_action( 'comment_form_after' ); 
		
		} else {
			
			do_action( 'comment_form_comments_closed' ); 

		} 

	}
	
?>