<?php

	// Register Custom Menus
	
		register_nav_menus( array ( 
			'primary' => __( 'Primary Navigation', THEMENAME ), 
		) );
		
	// If custom menu exists print it, otherwise show the default wp_page_menu
	
		function arixwp_menu($amt) {
		
			if ( function_exists( 'wp_nav_menu' ) ) {
			
			wp_nav_menu( array( 
				'container_class' 	=> '', 
				'container_id' 		=> 'menu',
				'menu_id' 			=> 'dropmenu',
				'menu_class' 		=> '',
				'theme_location' 	=> 'primary', 
				'link_before' 		=> '<span>',
				'link_after' 		=> '</span>',
				'number'			=> $amt ,
				'fallback_cb'     	=> 'arixwp_fallbackMenu'
			) );
				
			} else {
			
				arixwp_fallbackMenu( $amt );
				
			}
			
		}
		
	// Arguments for wp_page_menu
	
		function arixwp_fallbackMenu( $amt ) {
		
			wp_page_menu( array( 
				'show_home'			=> __( 'Home',THEMENAME ), 
				'link_before' 		=> '<span>',
				'link_after' 		=> '</span>',
				'sort_column' 		=> 'menu_order' 
			) );
			
		}		
		
	// Add CLASS attributes to the first <li> occurence in wp_page_menu
	
		function arixwp_menuclass( $liclass ) {
		
			if ( !is_front_page() ) {
			
				return preg_replace( '<li>', 'li class="first"', $liclass, 1 );
				
			} else {
			
				return preg_replace( '<li class=">', 'li class="first ', $liclass, 1 );
				
			}
			
		}
		add_filter( 'wp_page_menu','arixwp_menuclass' );

	// Add ID attributes to the first <div> occurence in wp_page_menu
		
		function arixwp_dropclass( $liclass ) {
		
			return preg_replace( '<div class="menu">', 'div id="menu" class="container"', $liclass, 1 );
			
		}
		add_filter( 'wp_page_menu','arixwp_dropclass' );	
		
	// Add ID attributes to the first <ul> occurence in wp_page_menu
	
		function arixwp_dropclass2( $liclass ) {
		
			return preg_replace( '<ul>', 'ul id="dropmenu"', $liclass, 1 );
			
		}
		add_filter('wp_page_menu','arixwp_dropclass2');
		
	// Add CLASS attributes to the first <li> occurence in wp_nav_menu
		
		function arixwp_menuclass2( $liclass ) {
			
			return preg_replace( "/class*=*\"menu-item/", "class=\"first menu-item", $liclass, 1 );
			
		}
		add_filter( 'wp_nav_menu','arixwp_menuclass2' );			

	// Paginate
	
		function arixwp_paginate( $args = array() ) {
		
			$defaults = array(
				'range' 			=> ARIXWP_PAGINATE_RANGE,
				'custom_query' 		=> FALSE,
				'previous_string' 	=> ARIXWP_PAGINATE_PREV,
				'next_string' 		=> ARIXWP_PAGINATE_NEXT,
				'view_fp' 			=> TRUE,
				'view_lp' 			=> TRUE,
				'before_output' 	=> ARIXWP_PAGINATE_BEFORE,
				'after_output' 		=> ARIXWP_PAGINATE_AFTER
			);
		 
			$args = wp_parse_args(
				$args,
				apply_filters( 'fb_paging_bar_defaults', $defaults )
			);
		 
			$args[ 'range' ] = (int) $args[ 'range' ] - 1;
			
			if ( !$args[ 'custom_query' ] )
				$args[ 'custom_query' ] = @$GLOBALS[ 'wp_query' ];
				$count = (int) $args[ 'custom_query' ]->max_num_pages;
				$page = intval( get_query_var( 'paged' ) );
				$ceil = ceil( $args[ 'range' ] / 2 );
		 
			if ( $count <= 1 )
				return FALSE;
			 
			if ( !$page )
				$page = 1;
		 
			if ( $count > $args[ 'range' ] ) {
			
				if ( $page <= $args[ 'range' ] ) {
					$min = 1;
					$max = $args[ 'range' ] + 1;
				} else if ( $page >= ( $count - $ceil ) ) {
					$min = $count - $args[ 'range' ];
					$max = $count;
				} else if ( $page >= $args[ 'range' ] && $page < ( $count - $ceil ) ) {
					$min = $page - $ceil;
					$max = $page + $ceil;
				}
				
			} else {
				$min = 1;
				$max = $count;
			}
			 
			$echo = '';
			$previous = intval( $page ) - 1;
			$previous = esc_attr( get_pagenum_link( $previous ) );
			$firstpage = esc_attr( get_pagenum_link( 1 ) );
			 
			if ( $args['view_fp'] && $firstpage && ( 1 != $page ) )
				$echo .= '<li><a href="' . $firstpage . '" title="first" class="first">' . __('First',THEMENAME) . '</a></li>';			
			
			if ( $previous && ( 1 != $page ) )
				$echo .= '<li><a href="' . $previous . '" title="previous" class="prev">' . $args[ 'previous_string' ] . '</a></li>';

			if ( !empty( $min ) && !empty( $max ) ) {
			
				for( $i = $min; $i <= $max; $i++ ) {
				
					if ($page == $i)
						$echo .= '<li><span class="active">' . str_pad( (int)$i, 2, '0', STR_PAD_LEFT ) . '</span></li>';
					else
						$echo .= sprintf( '<li><a href="%s" class="paged">%002d</a></li>', esc_attr( get_pagenum_link( $i ) ), $i );
				}
				
			}
			
			$next = intval( $page ) + 1;
			$next = esc_attr( get_pagenum_link( $next ) );
			
			if ( $next && ( $count != $page ) )
				$echo .= '<li><a href="' . $next . '" title="next" class="next">' . $args[ 'next_string' ] . '</a></li>';			
			 
			if ( $args[ 'view_lp' ] ) {
			
				$lastpage = esc_attr( get_pagenum_link( $count ) );
				
				if ( $lastpage && ( $count != $page ) ) {
					$count = str_pad( (int)$count, 2, '0', STR_PAD_LEFT );
					$echo .= '<li><a href="' . $lastpage . '" title="last" class="last">' . __( 'Last',THEMENAME ) . '</a></li>';
				}
				
			}
			 

			 
			if ( isset( $echo ) )
				echo $args[ 'before_output' ] . $echo . $args[ 'after_output' ];
				
		}
		
?>