<?php

// Flickr Shortcode
function arixWP_flickr_sc( $atts, $content = null ) {

   // USAGE
   // [axFlickr title="My Photos From Flickr" type="publicphoto" number="9"]
   
   extract( shortcode_atts( array(
      'title'       => ARIXWP_FLICKR_WIDGET_TITLE,
      'user'        => '',
      'type'        => ARIXWP_FLICKR_WIDGET_TYPE,
      'width'       => ARIXWP_FLICKR_WIDGET_W,
      'height'      => ARIXWP_FLICKR_WIDGET_H,
      'number'      => ARIXWP_FLICKR_WIDGET_NUM,
      'tags'        => '',
      'tagmode'     => ARIXWP_FLICKR_WIDGET_TAGMODE,
      'allcontacts' => ARIXWP_FLICKR_WIDGET_DISPALL,
      'onlyfriends' => ARIXWP_FLICKR_WIDGET_FRIENDSONLY,
      'language'    => ARIXWP_FLICKR_WIDGET_LANG,
      'class'       => ARIXWP_FLICKR_SHORTCODE_CLASS
      ), $atts ) );
   
    $args = array(
        'before_widget' => '<div class="box box-style1 widget">',
        'after_widget'  => '</div>',
        'before_title'  => '<h2 class="title">',
        'after_title'   => '</h2>',
        'widget_id'     => $class
    );
    
    $instance = array (
        'title'                    => $title,
        'flickrUser'               => $user,
        'flickrMultiUser'          => $user,
        'flickrType'               => $type,
        'flickrWidth'              => $width,
        'flickrHeight'             => $height,
        'flickrNumber'             => $number,
        'flickrTags'               => $tags,
        'flickrTagMode'            => $tagmode,
        'flickrDisplayAll'         => $allcontacts,
        'flickrLanguage'           => $language,
        'flickrDisplayOnlyFriends' => $onlyfriends
    );
    
    ob_start();
    the_widget('axFlickr_Widget', $instance, $args);
    $scContent = ob_get_contents();
    ob_end_clean();
    return $scContent;
}

add_shortcode( 'axFlickr', 'arixWP_flickr_sc' );


// Google Maps ShortCode
function arixWP_maps_sc( $atts, $content = null ) {

   // USAGE
   // [axMaps title="My Map" address="" city="atlanta" state="ga" zip="" width="" height="" show_directions="" address_header="Find Us Here" your_address_header=""]
   
   extract( shortcode_atts( array(
      'title'                => ARIXWP_MAPS_WIDGET_TITLE,
      'address'              => '',
      'city'                 => ARIXWP_MAPS_WIDGET_CTY,
      'state'                => '',
      'zip'                  => '',
      'zoom'                 => ARIXWP_MAPS_WIDGET_ZOOM,
      'height'               => ARIXWP_MAPS_WIDGET_H,
      'width'                => ARIXWP_MAPS_WIDGET_W,
      'show_directions'      => ARIXWP_MAPS_WIDGET_SHOW_DIR,
      'address_header'       => ARIXWP_MAPS_WIDGET_ADDR_HDR,
      'your_address_header'  => ARIXWP_MAPS_WIDGET_YOURADDR_HDR,
      'class'                => ARIXWP_MAPS_SHORTCODE_CLASS
      ), $atts ) );
   
    $args = array(
        'before_widget' => '<div class="box box-style1 widget">',
        'after_widget'  => '</div>',
        'before_title'  => '<h2 class="title">',
        'after_title'   => '</h2>',
        'widget_id'     => $class
    );
    
    $instance = array (
        'title'              => $title,
        'axAddrLine'         => $address,
        'axAddrCity'         => $city,
        'axAddrState'        => $state,
        'axAddrZip'          => $zip,
        'axShowDirections'   => $show_directions,
        'axAddrHead'         => $address_header,
        'axYourAddrHead'     => $your_address_header,
        'axMapHeight'        => $height,
        'axMapWidth'         => $width,
        'axMapDefaultZoom'   => $zoom
    );
    
    ob_start();
    the_widget('axMaps_Widget', $instance, $args);
    $scContent = ob_get_contents();
    ob_end_clean();
    return $scContent;
}

add_shortcode( 'axMaps', 'arixWP_maps_sc' );

// Contact Form ShortCode
function arixWP_contact_sc( $atts, $content = null ) {

   // USAGE
   // [axContact title="My Map"]
   
   extract( shortcode_atts( array(
      'title'                => ARIXWP_CONTACT_WIDGET_TITLE,
      'mailto'               => '',
      'subject_prefix'       => '',
      'public_key'           => '',
      'private_key'          => '',
      'class'                => ARIXWP_CONTACT_SHORTCODE_CLASS
      ), $atts ) );
   
    $args = array(
        'before_widget' => '<div class="box box-style1 widget">',
        'after_widget'  => '</div>',
        'before_title'  => '<h2 class="title">',
        'after_title'   => '</h2>',
        'widget_id'     => $class
    );
    
    $instance = array (
        'title'           => $title,
        'axMailTo'        => $mailto,
        'axMailSubject'   => $subject_prefix,
        'axPublicKey'     => $public_key,
        'axPrivateKey'    => $private_key
    );
    
    ob_start();
    the_widget('axContact_Widget', $instance, $args);
    $scContent = ob_get_contents();
    ob_end_clean();
    return $scContent;
}

add_shortcode( 'axContact', 'arixWP_contact_sc' );

// Gallery ShortCode
function arixWP_gallery_sc( $atts, $content = null ) {

   // USAGE
   // [axGallery title="Test Gallery" id="1" width="150" height="150" quality="100"]
   
   extract( shortcode_atts( array(
      'title'     => ARIXWP_GAL_WIDGET_TITLE,
      'width'     => ARIXWP_GAL_WIDGET_W,
      'height'    => ARIXWP_GAL_WIDGET_H,
      'total'     => ARIXWP_GAL_WIDGET_TTL,
      'quality'   => ARIXWP_GAL_WIDGET_QUALITY,
      'id'        => '',
      'class'     => ARIXWP_GAL_SHORTCODE_CLASS
      ), $atts ) );
   
    $args = array(
        'before_widget' => '<div class="box box-style1 widget">',
        'after_widget'  => '</div>',
        'before_title'  => '<h2 class="title">',
        'after_title'   => '</h2>',
        'widget_id'     => $class
    );
    
    $instance = array (
        'title'            => $title,
        'axGalleryID'      => $id,
        'axGalleryWidth'   => $width,
        'axGalleryHeight'  => $height,
        'axGalleryQuality' => $quality,
        'axGalleryTotal'   => $total
    );
    
    ob_start();
    the_widget('axGallery_Widget', $instance, $args);
    $scContent = ob_get_contents();
    ob_end_clean();
    return $scContent;
}

add_shortcode( 'axGallery', 'arixWP_gallery_sc' );