<?php

	// Remove Wordpress Version
	
		function arixwp_RemoveGen() {
			return '';
		}
		add_filter( 'the_generator','arixwp_RemoveGen' );

	//remove p from excerpt
	
		remove_filter( 'the_excerpt', 'wpautop' ); 

	// Sets the post excerpt length to 30 characters.
	
		function arixwp_excerpt_length( $length ) {
		
			return ARIXWP_EXCERPT_L;
			
		}
		add_filter( 'excerpt_length', 'arixwp_excerpt_length' );

	// Function to Limit words of string.

		function limit_words( $string, $word_limit ) {
		 
			$string = preg_replace( "/&#?[a-z0-9]{2,8};/i", "", strip_tags( $string ) );
			$words 	= explode( ' ', $string );
			
			if ( count( $words ) > $word_limit ) {
			
				return implode( ' ', array_slice($words, 0, $word_limit ) ) . " [...]";
				
			} else {
			
				return implode( ' ', array_slice( $words, 0, $word_limit ) );
				
			}
		 
		}	

	// Function to Limit characters of string.

		function limit_chars( $string, $word_limit ) {
		 
			$string = preg_replace( "/&#?[a-z0-9]{2,8};/i", "", strip_tags( $string ) );
			$words 	= explode( ' ', $string );
			
			$new_string = substr( $string, 0, $word_limit );
			
			return $new_string;
		 
		}
		
	// Display a temporary title for widgets that do not have one.
	
		if ( !function_exists( 'arixwp_widget_title' ) ) {
		
			function arixwp_widget_title( $title = NULL ) {
				
				return $title == '' ? '( No Title Assigned )' : $title;
				
			}
			
			add_filter( 'widget_title', 'arixwp_widget_title' );
		}
		
	// Print the date
	
		if ( !function_exists( 'arixwp_date_format' ) ) {
			
			function arixwp_date_format() {
			
				$arixwp_month 	= get_the_date('M');
				$arixwp_day 	= get_the_date('d');
				// Print the Month
				
					echo '<p class="date">' . $arixwp_month . '<b>' . $arixwp_day . '</b></p>';
				
			}
		}		
		
	// Determines position of the sidebar.
	
		if ( !function_exists( 'arixwp_sidebar_location' ) ) {	
		
			function arixwp_sidebar_location() {
			
				$arixwp_sidebar	 		= get_option( 'arixwp_sidebar' );
				$arixwp_sidebar_page	= trim( get_post_meta( get_the_ID(),'_arixwp_sidebar_page',TRUE ) );

				if ( !$arixwp_sidebar_page || $arixwp_sidebar_page == '' )
					$arixwp_sidebar_page = '';					
				
				if ( !is_home() && !is_archive() ) {
				
					if( $arixwp_sidebar_page ) {
					
						if ( $arixwp_sidebar_page == 'left' ) {
						?>
						
								<style type="text/css">
								
									#sidebar {
										float: left;
									}
									#content {
										float: right;
									}
								</style>	
								
						<?php
						} 
					
					} else {
					
						if ( $arixwp_sidebar == 'left' ) {
						?>
						
								<style type="text/css">
								
									#sidebar {
										float: left;
									}
									#content {
										float: right;
									}
								</style>	
								
						<?php
						}
					
					}
					
				} else {
				
					if ( $arixwp_sidebar == 'left' ) {
					?>
					
							<style type="text/css">
							
								#sidebar {
									float: left;
								}
								#content {
									float: right;
								}
							</style>	
							
					<?php
					} 				
				}
				
			}
			add_action( 'wp_head', 'arixwp_sidebar_location' );	
		}
				
	// Custom Background Callback
				
		function _arixwp_custom_background_cb() {

			
			$image = get_background_image();
			$color = get_background_color();

			if ( ! $image && ! $color )
				return;
		 
		 
			if ( $image ) {
			
		 
				$repeat = get_theme_mod( 'background_repeat', 'repeat' );
				if ( ! in_array( $repeat, array( 'no-repeat', 'repeat-x', 'repeat-y', 'repeat' ) ) )
					$repeat = 'repeat';
				
		 
				$position = get_theme_mod( 'background_position_x', 'left' );
				if ( ! in_array( $position, array( 'center', 'right', 'left' ) ) )
					$position = 'left';
				
		 
				$attachment = get_theme_mod( 'background_attachment', 'scroll' );
				if ( ! in_array( $attachment, array( 'fixed', 'scroll' ) ) )
					$attachment = 'scroll';
				
		
			}

			if ( !$color ) 
				$color = '';

			?>
			
				<style type="text/css">
				
					<?php if ( $image ) { ?>
					
						body.custom-background {
							background: <?php if ($color) { echo '#' . $color; } ?> url(<?php echo $image; ?>) <?php echo $repeat; ?> <?php echo $position; ?> <?php echo $attachment; ?>;
						}
						
					<?php } else { ?>
					
						<?php if ($color) { ?>
						
							body.custom-background {
								background: #<?php echo $color; ?>;
							}	
							
						<?php } ?>
						
					<?php } ?>				
						
				</style>
				
			<?php


		}	

	// Check The wordpress version 
	
		function is_wp_version( $is_ver ) {
		
			$wp_ver = explode( '.', get_bloginfo( 'version' ) );
			$is_ver = explode( '.', $is_ver );
			
			for( $i=0; $i<=count( $is_ver ); $i++ )
				if( !isset( $wp_ver[$i] ) ) array_push( $wp_ver, 0 );
		 
			foreach( $is_ver as $i => $is_val )
				if( $wp_ver[$i] < $is_val ) return false;
				
			return true;
			
		}	
		
	// Insert Google Analytics Code into theme.

		function arixwp_analytics() { 
		
			$arixwp_googleid 	= get_option( 'arixwp_googleid' );
			
			if ( isset( $arixwp_googleid ) && $arixwp_googleid != "" ) {
			
				?>
				
				<script type="text/javascript">

				  var _gaq = _gaq || [];
				  _gaq.push(['_setAccount', '<?php echo $arixwp_googleid; ?>']);
				  _gaq.push(['_trackPageview']);

				  (function() {
					var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
					ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
					var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
				  })();

				</script>
				
				<?php
				
			}
			
		}
		add_action( 'wp_footer', 'arixwp_analytics' );
		
	// Uses resizurr to create thumbnails

		function arixWP_thumbnail($w, $h, $m, $a, $q) {
		
			global $post;
			
			$src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 300,300 ), false, '' ); 
														
			if ( is_multisite() ) {
															
				global $blog_id;
															
					$wp = 'mu';
					$string = '/files';
					$replace = '/wp-content/blogs.dir/' . $blog_id . '/files';
					$thumbnailSrc = str_replace( $string, $replace, $src[0] );
															
			} else {
				
				$wp = 'y';
				$thumbnailSrc = $src[0];
														
			}
														

			$realThumb = get_template_directory_uri() . '/libs/resizurr.php?m=' . $m . '&amp;w=' . $w . '&amp;h=' . $h . '&amp;a=' . $a . '&amp;q=' . $q . '&amp;src=' . $thumbnailSrc;
														
			$thumbnail = '<a href="' . get_permalink() . '" title="' . get_the_title() . '" rel="bookmark"><img src="' . $realThumb . '" class="attachment-post-thumbnail wp-post-image" alt="" /></a>';
			
			echo $thumbnail;
		}
		
	// The Related Post Appearance
			
		function arixwp_relatedpost_display() {
					
			global $post;
			global $arixwp_sidebar_page;
			global $arixwp_sidebar;
			
			$title  	= limit_chars( get_the_title(), 25 );
			$excerpt 	= limit_chars( get_the_excerpt(), 80 );			
					
			echo '<li>';
									
				if (has_post_thumbnail()) {
											
				// Check if there is a per page option set
											
					if ( is_single() ) {
											
						if( $arixwp_sidebar_page ) {

							if( $arixwp_sidebar_page == 'none' ) {

								arixWP_thumbnail(362, 113, 'shcw', 'top', 100);
																	
							} else {
															
								arixWP_thumbnail(226, 70, 'shcw', 'top', 100);
										
							}
														
						} else {
												
							if( $arixwp_sidebar == 'none' ) {

								arixWP_thumbnail(362, 113, 'shcw', 'center', 100);
																	
							} else {
															
								arixWP_thumbnail(226, 70, 'shcw', 'center', 100);;
														
							}
														
						}
											
					} 
											
				} else {

					echo '<a href="' . get_permalink() . '" title="' . get_the_title() . '"><img src="'.get_template_directory_uri().'/images/none.png" class="noimg attachment-post-thumbnail wp-post-image" alt="no image" /></a>';
											
				} 
					
			echo '
				<h3 class="title"><a href="' . get_permalink() . '" title="' . get_the_title() . '">' . $title . '...</a></h3>
				<p>' . $excerpt . '...</p>
			</li>
					
			';	
				
		}

	// Prints out the rlated posts
		
		function arixwp_related() {
		
			global $post;
			
			$arixwp_related_title = get_option( 'arixwp_related_title', __('Read More') );
			
			if ( !$arixwp_related_title || $arixwp_related_title == '' )
				$arixwp_related_title = __('Related Posts', THEMENAME);
						
			echo '<div class="box2-style arixwp_related"><div class="bg-lightgrey"><div class="bg-darkgrey">';
			echo '<h2>' . $arixwp_related_title . '</h2>';					
			echo '<ul>';
				
			if( has_tag() ) { 
			
				//for use in the loop, list 3 post titles related to first tag on current post
					$backup = $post;  // backup the current object
					$tags = wp_get_post_tags($post->ID);
					$tagIDs = array();
					
					if ($tags) {
					
						$tagcount = count($tags);
						
						for ($i = 0; $i < $tagcount; $i++) {
							$tagIDs[$i] = $tags[$i]->term_id;
						}
						
						$args=array('tag__in' => $tagIDs, 'post__not_in' => array($post->ID), 'showposts'=>3, 'ignore_sticky_posts'=>1);
						$my_query = new WP_Query($args);
						
						if( $my_query->have_posts() ) {
						
							while ($my_query->have_posts()) {
								
								$my_query->the_post(); 

								arixwp_relatedpost_display();
						
							}
							
						} else {
			
							echo '<h4>' . __('No related posts found!', THEMENAME) . '</h4>';
							
						}
						
					}
			
					$post = $backup;  // copy it back
					wp_reset_query(); // to use the original query again
					
			} else {
			
				global $post;
				
				$tmp_post = $post;
				$args = array( 'numberposts' => 3 );
				$myposts = get_posts( $args );
			
				foreach( $myposts as $post ) {
					
					setup_postdata($post); 
					arixwp_relatedpost_display();
					
				}
				
				$post = $tmp_post; 
				
			} 

			echo '</ul></div></div></div>';	
			
		}
?>