<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
	<head>
		<title>
			<?php
				global $page, $paged;

				wp_title( '|', true, 'right' );

				// Add the blog name.
					bloginfo( 'name' );

				// Add the blog description for the home/front page.
					$site_description = get_bloginfo( 'description', 'display' );

					if ( $site_description && ( is_home() || is_front_page() ) )
						echo " | $site_description";

				// Add a page number if necessary:
					if ( $paged >= 2 || $page >= 2 )
						echo ' | ' . sprintf( __( 'Page %s', THEMENAME ), max( $paged, $page ) );
			?>
		</title>
		
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta name="viewport" content="width=1200px , user-scalable=yes, initial-scale=0" />
		<link rel="profile" href="http://gmpg.org/xfn/11" />
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
		
		<?php 
		
			$arixwp_favicon	 = get_option( 'arixwp_favicon' );
			
			if ( !$arixwp_favicon || $arixwp_favicon == '' )
				$arixwp_favicon = '';			
			
			if ( $arixwp_favicon )
				echo '<link rel="icon" type="image/png" href="' . $arixwp_favicon . '" />';
				
		?>
	  
		<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />	
	
		<!--[if IE 6]>
		<link href="<?php echo get_template_directory_uri(); ?>/css/ie6fix.css" rel="stylesheet" type="text/css" />
		<![endif]-->		
		
		<link href="http://fonts.googleapis.com/css?family=Yanone+Kaffeesatz" rel="stylesheet" type="text/css" />
		<link href="http://fonts.googleapis.com/css?family=Oswald" rel="stylesheet" type="text/css" />		
		
		<?php wp_head(); ?>
				
	
	</head>

	<body <?php body_class(); ?>>


	<div id="wrapper">
		<div id="header" class="container">
			<div id="logo">
				<h1><a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
			</div>
			<?php arixwp_menu(99); ?>
		</div>
		<div id="page" class="container">

			<?php 
			
			// Show or configure the featured posts area and sidebar.
			
				// Per page or post options
				
					$arixwp_featured_show_page 		= trim( get_post_meta( get_the_ID(),'_arixwp_featured_show_page',TRUE ) );
					$arixwp_sidebar_page			= trim( get_post_meta( get_the_ID(),'_arixwp_sidebar_page',TRUE ) );
					
					if ( !$arixwp_featured_show_page || $arixwp_featured_show_page == '' )
						$arixwp_featured_show_page = '';
						
					if ( !$arixwp_sidebar_page || $arixwp_sidebar_page == '' )
						$arixwp_sidebar_page = '';						
				
				// Global Option
				
					$arixwp_sidebar	 			= get_option( 'arixwp_sidebar' );
					$arixwp_featured_show		= get_option( '_arixwp_featured_show' );
					

					
				// Check to see if a per page option is set
				
					if ( !is_home() && !is_archive() ) {
					
						if ( $arixwp_featured_show_page  ) {
					
							if ( $arixwp_featured_show_page == 'yes' ) {
							
								arixwp_header_image();
								
							}
							
						} else {
						
							if ( $arixwp_featured_show == 'all' ) { 
							
								 arixwp_header_image();
								 
							}	
							
						}
					
				// If it is not set, check the global options.
				
					} else {
					
						if ( $arixwp_featured_show == 'all' ) { 
						
							 arixwp_header_image();
							 
						} elseif ( $arixwp_featured_show == 'home' ) { 
						
							if ( is_front_page() || is_home() || is_page_template( 'template-homepage.php' ) ) 
								 arixwp_header_image();
						}
					
					}
					

			// Figure out what to do with the sidebar
			
				// Check if there is a per page option set
				
					if ( !is_home() && !is_archive() ) {
				
						if( $arixwp_sidebar_page ) {

							if( $arixwp_sidebar_page == 'none' ) {

									echo '<div id="wide-content">';
										
							
							} else {
								
								echo '<div id="content">';
							
							}
							
						} else {
					
							if( $arixwp_sidebar == 'none' ) {

									echo '<div id="wide-content">';
										
							
							} else {
								
								echo '<div id="content">';
							
							}
							
						}
				
				// If not check the global value.
				
					} else {
					
						if( $arixwp_sidebar == 'none' ) {

								echo '<div id="wide-content">';
									
						
						} else {
							
							echo '<div id="content">';
						
						}
						
					}
				
			?>