<?php
/*
Template Name: Contact Form
*/

	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	get_header(); 
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	
	
	echo ARIXWP_LOOP_HEADER;
	
	echo '<div class="contactpage post">';

		if ( have_posts() ) { 
						
			while ( have_posts() ) {
							
				the_post();
				
			// Read in options
		
				$arixwp_mailto  				= trim( get_post_meta( get_the_ID(), '_arixwp_mailto', TRUE ) );
				$arixwp_mailtodept  			= trim( get_post_meta( get_the_ID(), '_arixwp_mailtodept', TRUE ) );
				$arixwp_mailsubject				= trim( get_post_meta( get_the_ID(), '_arixwp_mailsubject', TRUE ) );
				$arixwp_publickey  				= trim( get_post_meta( get_the_ID(), '_arixwp_publickey', TRUE ) );
				$arixwp_privatekey  			= trim( get_post_meta( get_the_ID(), '_arixwp_privatekey', TRUE ) );
				$arixwp_bizname  				= trim( get_post_meta( get_the_ID(), '_arixwp_bizname', TRUE ) );
				$arixwp_yourname  				= trim( get_post_meta( get_the_ID(), '_arixwp_yourname', TRUE ) );
				$arixwp_address1  				= trim( get_post_meta( get_the_ID(), '_arixwp_address1', TRUE ) );
				$arixwp_address2  				= trim( get_post_meta( get_the_ID(), '_arixwp_address2', TRUE ) );
				$arixwp_city  					= trim( get_post_meta( get_the_ID(), '_arixwp_city', TRUE ) );
				$arixwp_state  					= trim( get_post_meta( get_the_ID(), '_arixwp_state', TRUE ) );
				$arixwp_country  				= trim( get_post_meta( get_the_ID(), '_arixwp_country', TRUE ) );
				$arixwp_postal  				= trim( get_post_meta( get_the_ID(), '_arixwp_postal', TRUE ) );
				$arixwp_phone  					= trim( get_post_meta( get_the_ID(), '_arixwp_phone', TRUE ) );
				$arixwp_mobile  				= trim( get_post_meta( get_the_ID(), '_arixwp_mobile', TRUE ) );
				$arixwp_fax  					= trim( get_post_meta( get_the_ID(), '_arixwp_fax', TRUE ) );
				$arixwp_facebook				= trim( get_post_meta( get_the_ID(), '_arixwp_facebook', TRUE ) );
				$arixwp_twitter  				= trim( get_post_meta( get_the_ID(), '_arixwp_twitter', TRUE ) );
				$arixwp_googleplus  			= trim( get_post_meta( get_the_ID(), '_arixwp_googleplus', TRUE ) );
				$arixwp_linkedin  				= trim( get_post_meta( get_the_ID(), '_arixwp_linkedin', TRUE ) );

				$nameError      				= "";
				$emailError     				= "";
				$subjectError   				= "";
				$commentError   				= "";
				$urlError						= "";
				
			// See if form was submitted
				if ( isset( $_POST[ 'arixwp_mailform'] ) ) {
				
					// Validate URL (spambot)
						
						$url = filter_input( INPUT_POST, 'url', FILTER_SANITIZE_STRING );
						if ( !isset($url) ) { 
						
						} else {
							$emailSent = true;
						}				
					
					// Validate Department
						$deptEmail = filter_input(INPUT_POST, 'deptName', FILTER_SANITIZE_STRING);
					
					// Validate Name
						$contactName = filter_input(INPUT_POST, 'contactName', FILTER_SANITIZE_STRING); 
						if ($contactName == '') { 
							$nameError = 'Please enter a valid name.';  
							$hasError = true;	
						}  
		
					// Validate Email
						$email = filter_input( INPUT_POST, 'email', FILTER_SANITIZE_EMAIL ); 
						if (!filter_var( $email, FILTER_VALIDATE_EMAIL ) ) {  
							$emailError = '' . $email . ' is <strong>NOT</strong> a valid email address.';  
							$hasError = true;	
						}  

					// Validate Subject
						$subject = filter_input( INPUT_POST, 'subject' , FILTER_SANITIZE_STRING ); 
						if ($subject == '') { 
							$subjectError = 'Please enter a valid subject.';  
							$hasError = true;
						}  
		
					// Validate Message
						$message = filter_input( INPUT_POST, 'message', FILTER_SANITIZE_STRING); 	
						if ($message == '') {  
							$commentError = 'Please enter a message to send.<br/>';  
							$hasError = true;	
						}  
		
					// If we didn't hit an error, send the email
						if (!isset($hasError) ) {
		
							// Body:
								$body = '
									Name: ' . $contactName . ' 
									Email: ' . $email . '
									Comments: ' . $message . '	
								';
		
							// Headers
								$headers = 'From: ' . $email . "\r\n" .
										   'Reply-To: ' . $email . "\r\n";
		
							// Send it

								if ($deptEmail != "") {
									mail($deptEmail, $arixwp_mailsubject . ' : ' . $subject , $body, $headers);	
								} else {
									$arixwp_mailto = explode(',',$arixwp_mailto);
									mail($arixwp_mailto[0], $arixwp_mailsubject . ' : ' . $subject , $body, $headers);	
								}

								$emailSent = true;			
		
						}
				
				}
			
			// Output template
			
				if (isset($emailSent) && $emailSent == true) { 
								
					echo '
						<h2 class="title dateless">Thanks, ' . $contactName . '</h2>
						<div class="entry">
							<p>Your email was successfully sent. I will be in touch soon.</p>
						</div>
					';
		
				} else {
					?>
										
					<h2 class="title dateless"><?php the_title(); ?></h2>
					
					<div class="entry">
						
					<?php the_content(); ?>
					
						<div id="arixwp_contact_form">									
													
							<form action="<?php the_permalink(); ?>" id="arixwp_contactform" method="post">

								<?php
								$pos = strpos($arixwp_mailto, ',');
								
								if ($pos !== false && $arixwp_mailtodept != "") { 
								?>
									<?php if (isset($deptError) && $deptError != '') { ?>
										<p class="error"><?php echo $deptError; ?></p> 
									<?php } ?>
									<select name="deptName" id="deptName" title="Department" class="arixwp_select">
										<option value="" selected="selected"><?php _e('Send Mail To:', THEMENAME ); ?></option>
										<?php
										$emailArr = explode(',',$arixwp_mailto);
										$deptArr  = explode(',',$arixwp_mailtodept);
										$emailNum = 0;
										foreach($emailArr as $optEmail) {
											if (!isset($deptArr[$emailNum]) ) continue;
											
											if (isset($deptEmail) && $deptEmail == $optEmail) {
										?>
												<option value="<?php echo $optEmail; ?>"><?php echo $deptArr[$emailNum]; ?></option>
										<?php
											} else {
											?>	
												<option value="<?php echo $optEmail; ?>"><?php echo $deptArr[$emailNum]; ?></option>
											<?php
											}
											
											$emailNum++;
										}
										?>
									</select>
								<?php
								}
								?>
								
								<?php if ($nameError != '') { ?>
									<p class="error"><?php echo $nameError; ?></p> 
								<?php } ?>
																
								<input type="text" name="contactName" id="contactName" title="Name" value="<?php if (isset($contactName) ) echo $contactName;?>" class="requiredField arixwp_input" />
																	
								<?php if ($emailError != '') { ?>
									<p class="error"><?php echo $emailError; ?></p>
								<?php } ?>
																
								<input type="text" name="email" id="email" title="Email" value="<?php if (isset($email) )  echo $email;?>" class="requiredField email arixwp_input" />
																
								<?php if ($subjectError != '') { ?>
									<p class="error"><?php echo $subjectError; ?></p> 
								<?php } ?>							
																
									<input type="text" name="subject" id="subject" title="Subject" value="<?php if (isset($subject) ) echo $subject;?>" class="requiredField arixwp_input" />
															
								<?php if ($commentError != '') { ?>
									<p class="error"><?php echo $commentError; ?></p> 
								<?php } ?>
																
								<textarea name="message" id="message" title="Message" rows="20" cols="30" class="requiredField arixwp_textarea"><?php if (isset($message) ) { if (function_exists('stripslashes') ) { echo stripslashes($message); } else { echo $message; } } ?></textarea>
																															
								<input type="hidden" name="arixwp_mailform" id="arixwp_mailform" value="true" />
								<button type="submit" class="arixwp_button">Submit</button>
								<br class="clear" />								
							</form>
							
							<script type="text/javascript">
								jQuery('#arixwp_contactform').formerize();
							</script>				
														
						</div>

<!-- ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////					
 End Contact Form 
 /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// -->
					
					
						<div id="arixwp_contact_info">
							<?php
							// Show Contact Info
							
								echo '<ul class="contact_info">';
										
								if ( $arixwp_bizname )		
									echo '<li><strong>' . $arixwp_bizname . '</strong></li>';
									
								if ( $arixwp_yourname )		
									echo '<li>' . $arixwp_yourname . '</li>';	

								if ( $arixwp_address1 )		
									echo '<li>' . $arixwp_address1 . '</li>';
									
								if ( $arixwp_address2 )		
									echo '<li>' . $arixwp_address2 . '</li>';
									
								if ( $arixwp_city || $arixwp_state || $arixwp_postal )	{	
								
									echo '<li>'; 
									
									if ( $arixwp_city ) 
										echo $arixwp_city . '&nbsp;'; 
										
									if ( $arixwp_state ) 
										echo $arixwp_state . '&nbsp;';
										
									if ( $arixwp_postal ) 
										echo $arixwp_postal;
										
									echo '</li>';
									
								}
								

								if ( $arixwp_country )		
									echo '<li>' . $arixwp_country . '</li>';
									
								echo '</ul>';			
								
								if ( $arixwp_phone || $arixwp_mobile || $arixwp_fax )	{
								
									echo '<ul class="contact_info_icon_list">';

									if ( $arixwp_phone )		
										echo '<li class="contact_info_phone">' . $arixwp_phone . '</li>';

									if ( $arixwp_mobile )		
										echo '<li class="contact_info_mobile">' . $arixwp_mobile . '</li>';

									if ( $arixwp_fax )		
										echo '<li class="contact_info_fax">' . $arixwp_fax . '</li>';				
										
									echo '</ul>';
									
								}
								
							// Show Social Icons	
								
								if ( $arixwp_facebook || $arixwp_twitter || $arixwp_googleplus || $arixwp_linkedin )	{
								
									echo '<ul class="contact_info_social">';
									
									if ( $arixwp_facebook )		
										echo '<li class="contact_info_facebook"><a href="' . $arixwp_facebook . '" title="Facebook">Facebook</a></li>';			

									if ( $arixwp_twitter )		
										echo '<li class="contact_info_twitter"><a href="' . $arixwp_twitter . '" title="Twitter">Twitter</a></li>';

									if ( $arixwp_googleplus )		
										echo '<li class="contact_info_google"><a href="' . $arixwp_googleplus . '" title="Google Plus">Google Plus</a></li>';

									if ( $arixwp_linkedin )		
										echo '<li class="contact_info_linkedin"><a href="' . $arixwp_linkedin . '" title="LinkedIn">LinkedIn</a></li>';				
									
									echo '</ul><br class="clear" />';
									
								}						
							?>
						</div>
						<br class="clearfix" />
						
					</div>
					
<!-- ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////					
 End Contact Info 
 /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// -->					

					<?php 
				}
			}
			
		}

	echo '</div>';
	
	echo ARIXWP_LOOP_FOOTER;
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	get_footer();
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	

?>