<?php

/* RecentComments Widget */

class arixwp_recent_comments_widget extends WP_Widget {

    public $arixwp_recent_comments_title	= '';
    public $arixwp_recent_comments_total	= '';
	public $arixwp_recent_comments_avatar	= '';



	function arixwp_recent_comments_widget() {
		$widgets_opt = array( 'classname' => 'arixwp_recent_comments', 'description' => __( 'Shows the most recent comments along with the authors avatar.', THEMENAME ) );
		parent::WP_Widget(false,$name= "arixWP Comments",$widgets_opt);
	}
  
	// User Options Form
	function form($instance) {
		

		$this->arixwp_recent_comments_title		= ( !empty($instance['title'])) ? esc_attr($instance['title']) : '';
		$this->arixwp_recent_comments_total  	= ( !empty( $instance['arixwp_recent_comments_total'] ) ) ? esc_attr( $instance['arixwp_recent_comments_total'] ) : '';
		$this->arixwp_recent_comments_avatar  	= ( !empty( $instance['arixwp_recent_comments_avatar'] ) ) ? esc_attr( $instance['arixwp_recent_comments_avatar'] ) : '';
		
		?>

			<p>
				<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e( 'Widget Title' , THEMENAME ); ?></label>
				<input id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" class="widefat" value="<?php echo $this->arixwp_recent_comments_title; ?>" />
			</p>
			<p>
				<label for="<?php echo $this->get_field_id('arixwp_recent_comments_total'); ?>"><?php _e( 'Number of Comments to Show' , THEMENAME ); ?></label>
				<input id="<?php echo $this->get_field_id('arixwp_recent_comments_total'); ?>" name="<?php echo $this->get_field_name('arixwp_recent_comments_total'); ?>" type="text" class="widefat" value="<?php echo $this->arixwp_recent_comments_total; ?>" />
			</p>
			<!--
			<p>
				<label for="<?php echo $this->get_field_id('arixwp_recent_comments_avatar'); ?>"><?php _e( 'Size of the avatar Max is 512' , THEMENAME ); ?></label>
				<input id="<?php echo $this->get_field_id('arixwp_recent_comments_avatar'); ?>" name="<?php echo $this->get_field_name('arixwp_recent_comments_avatar'); ?>" type="text" class="widefat" value="<?php echo $this->arixwp_recent_comments_avatar; ?>" />
			</p>
			-->
		<?php
	} 
  
	function update($new_instance, $old_instance) {
		return $new_instance;
	}
  
	// Display Twitter Widget
	function widget( $args, $instance ) {
  
		extract($args);
        
		$this->arixwp_recent_comments_title		= ( !empty( $instance['title'] ) ) ? apply_filters( 'title',$instance['title'] ) : __(ARIXWP_RC_WIDGET_TITLE, THEMENAME);
		$this->arixwp_recent_comments_total		= ( !empty( $instance['arixwp_recent_comments_total'] ) ) ? apply_filters( 'arixwp_recent_comments_total',$instance['arixwp_recent_comments_total'] ) : ARIXWP_RC_WIDGET_NUM;
		$this->arixwp_recent_comments_avatar	= ( !empty( $instance['arixwp_recent_comments_avatar'] ) ) ? apply_filters( 'arixwp_recent_comments_avatar',$instance['arixwp_recent_comments_avatar'] ) : ARIXWP_RC_WIDGET_AVATAR_SIZE;
		
		echo $before_widget;
		$arixwp_recent_comments_title2 = preg_replace('/(^[A-z0-9_]+)\s/i', '$1 ', $this->arixwp_recent_comments_title);
		$title = $before_title.$arixwp_recent_comments_title2.$after_title;
		echo $title;

		$this->doWidgetLogic($args);
		
		wp_reset_query();    
		echo $after_widget;
	}
	
	function doWidgetLogic($args) {
		
		extract($args);
		
		$widget_id    = (!empty($widget_id)) ? $widget_id : '';
		
		$recent_comments = get_comments( array(
			'number'    => $this->arixwp_recent_comments_total,
			'status'    => 'approve'
		) );
		
		echo '<ul class="arixwp_recent_comments">';
		
		foreach ( $recent_comments as $comment ) {
		
			$author_url 	= get_comment_author_url( $comment->comment_ID );
			$commentcontent = limit_chars( $comment->comment_content , 70 );
		
			echo '<li>';
				
			echo '<a href="' . $author_url . '" title="" class="arixwp_recent_comments_avatar">' . get_avatar( $comment->comment_author_email, $this->arixwp_recent_comments_avatar ) . '</a>';
			echo '<p>' . $commentcontent . '... <a href="' . get_comment_link( $comment->comment_ID ) . '" title="" class="arixwp_recent_comments_more">More</a></p>';
			
			echo '
				<div class="arixwp_recent_comments_arrow_border"></div>
				<div class="arixwp_recent_comments_arrow"></div>
			';
			
			echo '</li>';
			
		}
			
		echo '</ul>';
		
	}
}

add_action('widgets_init', create_function('', 'return register_widget("arixwp_recent_comments_widget");'));

?>