<?php

/* Contact Widget */

class arixwp_contact_widget extends WP_Widget {
		
	public $arixwp_contact_title    = '';
	public $arixwp_mailto          = '';
	public $arixwp_mailto_dept      = '';
	public $arixwp_mail_subject     = '';


	function arixwp_contact_widget() {
		$widgets_opt = array( 'classname' => 'arixwp_contact_form', 'description' => __( 'Display a contact form in your sidebar.', THEMENAME ) );
		parent::WP_Widget(false,$name= "arixWP Contact Form",$widgets_opt);
	}
  
	// User Options Form
	function form($instance) {
		
		$this->arixwp_contact_title = ( !empty( $instance['title'] ) )         		 ? esc_attr( $instance['title'] )         		: '';
		$this->arixwp_mailto       	= ( !empty( $instance['arixwp_mailto'] ) )       ? esc_attr( $instance['arixwp_mailto'] )      	: '';
		$this->arixwp_mailto_dept   = ( !empty( $instance['arixwp_mailto_dept'] ) )  ? esc_attr( $instance['arixwp_mailto_dept'] )  : '';
		$this->arixwp_mail_subject  = ( !empty( $instance['arixwp_mail_subject'] ) ) ? esc_attr( $instance['arixwp_mail_subject'] ) : '';

			
		?>  
			<p>
				<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e( 'Widget Title' , THEMENAME ); ?></label>
				<input id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" class="widefat" value="<?php echo $this->arixwp_contact_title; ?>" />
			</p>
			<p>
				<label for="<?php echo $this->get_field_id('arixwp_mailto'); ?>"><?php _e( 'Mail To Email: (comma-separated)' , THEMENAME ); ?></label>
				<input id="<?php echo $this->get_field_id('arixwp_mailto'); ?>" name="<?php echo $this->get_field_name('arixwp_mailto'); ?>" type="text" class="widefat" value="<?php echo $this->arixwp_mailto; ?>" />
			</p>
			<p>
				<small><?php _e('Department is not required if single email used. When multiple emails, each entry matches corresponding Department below.', THEMENAME); ?></small>
			</p>
			<p>
				<label for="<?php echo $this->get_field_id('arixwp_mailto_dept'); ?>"><?php _e( 'Department: (comma-separated)' , THEMENAME ); ?></label>
				<input id="<?php echo $this->get_field_id('arixwp_mailto_dept'); ?>" name="<?php echo $this->get_field_name('arixwp_mailto_dept'); ?>" type="text" class="widefat" value="<?php echo $this->arixwp_mailto_dept; ?>" />
			</p>
			<p>
				<label for="<?php echo $this->get_field_id('arixwp_mail_subject'); ?>"><?php _e( 'Subject Prefix' , THEMENAME ); ?></label>
				<input id="<?php echo $this->get_field_id('arixwp_mail_subject'); ?>" name="<?php echo $this->get_field_name('arixwp_mail_subject'); ?>" type="text" class="widefat" value="<?php echo $this->arixwp_mail_subject; ?>" />
			</p>

		<?php    
	} 
  
	function update($new_instance, $old_instance) {
		return $new_instance;
	}
  
	// Display Contact Widget
	function widget( $args, $instance ) {
  
		extract($args);
		
		$this->arixwp_contact_title = ( !empty( $instance['title'] ) )         		 ? apply_filters( 'title',$instance['title'] )                 			   : __(ARIXWP_CONTACT_WIDGET_TITLE, THEMENAME);
		$this->arixwp_mailto       	= ( !empty( $instance['arixwp_mailto'] ) )       ? apply_filters( 'arixwp_mailto',$instance['arixwp_mailto'] )             : '';
		$this->arixwp_mailto_dept   = ( !empty( $instance['arixwp_mailto_dept'] ) )  ? apply_filters( 'arixwp_mailto_dept',$instance['arixwp_mailto_dept'] )   : '';
		$this->arixwp_mail_subject  = ( !empty( $instance['arixwp_mail_subject'] ) ) ? apply_filters( 'arixwp_mail_subject',$instance['arixwp_mail_subject'] ) : '';
		
		echo $before_widget;
		$arixwp_contact_title2 = preg_replace('/(^[A-z0-9_]+)\s/i', '<span>$1</span> ', $this->arixwp_contact_title);
		$title = $before_title.$arixwp_contact_title2.$after_title;
		echo $title;

		$this->doWidgetLogic($args);
		
		wp_reset_query();    
		echo $after_widget;
	}
	
	function doWidgetLogic($args) {
		
		extract($args);
        
		$arixwp_mailto  		= $this->arixwp_mailto;
		$arixwp_mailto_dept		= $this->arixwp_mailto_dept;
		$arixwp_mail_subject  	= $this->arixwp_mail_subject;

		$widget_id          	= ( !empty( $widget_id ) ) ? $widget_id : '';
		
        if ($arixwp_mailto == "") {
			_e('You must assign an Mail To: address in the Widget options to use the Contact Form.', THEMENAME);
            $passedAll = false;
        } else {
            $passedAll = true;    
        }
				
		if ($passedAll) {

            $form_instance = "_" . $widget_id;
            $name_error      = "";
			$deptError      = "";
            $emailError     = "";
            $subjectError   = "";
            $commentError   = "";	
        
        // See if form was submitted
            if ( isset( $_POST['arixwp_mail'.$form_instance] ) ) {
			
				// Validate URL (spambot)
						
					$url = filter_input( INPUT_POST, 'url', FILTER_SANITIZE_STRING );
					if ( !isset($url) ) { 
						
					} else {
						$emailSent = true;
					}			
          
                // Validate Department
                    $dept_email = filter_input(INPUT_POST, 'dept_name'.$form_instance, FILTER_SANITIZE_STRING); 
					
                // Validate Name
                    $contact_name = filter_input(INPUT_POST, 'contact_name'.$form_instance, FILTER_SANITIZE_STRING); 
                    if ( $contact_name == '' ) { 
                        $name_error = __('Please enter a valid name.', THEMENAME);
                        $has_error = true;	
                    }  
    
                // Validate Email
                    $email = filter_input( INPUT_POST, 'email'.$form_instance, FILTER_SANITIZE_EMAIL ); 
                    if ( !filter_var( $email, FILTER_VALIDATE_EMAIL ) ) {  
                        $emailError = $email . ' ' . __('is <strong>NOT</strong> a valid email address.', THEMENAME);  
                        $has_error = true;	
                    }				
    
                // Validate Subject
                    $subject = filter_input( INPUT_POST, 'subject'.$form_instance, FILTER_SANITIZE_STRING ); 
                    if ( $subject == '' ) { 
                        $subjectError = __('Please enter a valid subject.', THEMENAME);  
                        $has_error = true;
                    }  
    
                // Validate Message
                    $message = filter_input( INPUT_POST, 'message'.$form_instance, FILTER_SANITIZE_STRING); 	
                    if ( $message == '' ) {  
                        $commentError = __('Please enter a message to send.', THEMENAME) . '<br/>';  
                        $has_error = true;	
                    }  
    
                // If we didn't hit an error, send the email
                    if ( !isset( $has_error ) ) {
    
                        // Body:
                            $body = '
                                Name: ' . $contact_name . ' 
                                Email: ' . $email . '
                                Comments: ' . $message . '	
                            ';
    
                        // Headers
                            $headers = 'From: ' . $email . "\r\n" .
                                       'Reply-To: ' . $email . "\r\n";
    
                        // Send it
                          
							if ( $dept_email != "" ) {
								mail( $dept_email, $arixwp_mail_subject . ' : ' . $subject , $body, $headers );	
							} else {
								$arixwp_mailto = explode( ',',$arixwp_mailto );
								mail( $arixwp_mailto[0], $arixwp_mail_subject . ' : ' . $subject , $body, $headers );	
							}
                            
                            $emailSent = true;			
    
                    } else {
                        ?>
                        <script>
                        alert('<?php _e('Some contact form data failed validation. Please correct any issues by reviewing the form and try submitting again.', THEMENAME); ?>');
                        </script>
                        <?php
                    }
            
            }
            
            if ( isset( $emailSent ) && $emailSent == true ) { 
                            
                echo '
                    <p><strong>' . __( 'Thanks', THEMENAME ) . ', ' . $contact_name . '</strong></p>
                    <p>' . __( 'Your email was successfully sent. I will be in touch soon.', THEMENAME ) . '</p>
                ';
                ?>
                <script>
                    alert( '<?php _e('Thanks', THEMENAME); ?>, <?php echo $contact_name; ?>. <?php _e( 'Your email was successfully sent. We will be in touch soon.', THEMENAME); ?>' );
                </script>
                <?php
    
            } else {
    ?>
                                        
                <form action="" id="arixwp_contact_form<?php echo $form_instance; ?>" method="post">
				
					<input type="hidden" name="arixwp_mail<?php echo $form_instance; ?>" id="arixwp_mail<?php echo $form_instance; ?>" value="true" />
					
                    <?php
					$pos = strpos($arixwp_mailto, ',');
					
					if ($pos !== false && $arixwp_mailto_dept != "") { 
					?>
						<?php if ($deptError != '') { ?>
							<p class="error"><?php echo $deptError; ?></p> 
						<?php } ?>
						<select name="dept_name<?php echo $form_instance; ?>" id="dept_name<?php echo $form_instance; ?>" title="Department" class="arixwp_select">
							<option value="" selected="selected"><?php _e( 'Send Mail To:', THEMENAME ); ?></option>
							<?php
							$email_arr = explode( ',',$arixwp_mailto );
							$dept_arr  = explode( ',',$arixwp_mailto_dept );
							$email_num = 0;
							foreach( $email_arr as $opt_email ) {
								if ( !isset( $dept_arr[$email_num] ) ) continue;
								
								if (isset($dept_email) && $dept_email == $opt_email) {
							?>
									<option value="<?php echo $opt_email; ?>"><?php echo $dept_arr[$email_num]; ?></option>
							<?php
								} else {
								?>	
									<option value="<?php echo $opt_email; ?>"><?php echo $dept_arr[$email_num]; ?></option>
								<?php
								}
								
								$email_num++;
							}
							?>
						</select>
					<?php
					}
					?>
					
                    <?php if ($name_error != '') { ?>
                        <p class="error"><?php echo $name_error; ?></p> 
                    <?php } ?>
                                                    
                    <input type="text" name="contact_name<?php echo $form_instance; ?>" id="contact_name<?php echo $form_instance; ?>" title="Name" value="<?php if (isset($contact_name)) echo $contact_name;?>" class="requiredField arixwp_input" />
                                                        
                    <?php if ($emailError != '') { ?>
                        <p class="error"><?php echo $emailError; ?></p>
                    <?php } ?>
                                                    
                    <input type="text" name="email<?php echo $form_instance; ?>" id="email<?php echo $form_instance; ?>" title="Email" value="<?php if (isset($email))  echo $email;?>" class="requiredField email arixwp_input" />
                           									
					<input type="text" name="url" id="url" title="URL" value="<?php if (isset($url) )  echo $url;?>" class="url arixwp_input" />
								
                    <?php if ($subjectError != '') { ?>
                        <p class="error"><?php echo $subjectError; ?></p> 
                    <?php } ?>							
                                                    
                        <input type="text" name="subject<?php echo $form_instance; ?>" id="subject<?php echo $form_instance; ?>" title="Subject" value="<?php if (isset($subject)) echo $subject;?>" class="requiredField arixwp_input" />
                                                
                    <?php if ($commentError != '') { ?>
                        <p class="error"><?php echo $commentError; ?></p> 
                    <?php } ?>
                                                    
                    <textarea name="message<?php echo $form_instance; ?>" id="message<?php echo $form_instance; ?>" title="Message" rows="20" cols="30" class="requiredField arixwp_textarea"><?php if (isset($message)) { if (function_exists('stripslashes')) { echo stripslashes($message); } else { echo $message; } } ?></textarea>
                                                  
                                                    
                    <button type="submit" class="arixwp_button">Submit</button>
                    <br class="clear" />                                
                </form>
               
                <script type="text/javascript">
                    jQuery('#arixwp_contact_form<?php echo $form_instance; ?>').formerize();
					jQuery('#arixwp_contact_form<?php echo $form_instance; ?>').find('input[name=url]').remove();		
                </script>				
                                                
                <?php
            
            }
        }
	}
}

add_action('widgets_init', create_function('', 'return register_widget("arixwp_contact_widget");'));

?>