<?php

/* Gallery Widget */

class arixwp_gallery_widget extends WP_Widget {
  
    public $arixwp_gallery_title      = '';
	public $arixwp_gallery_id         = '';
	public $arixwp_gallery_width      = '';
	public $arixwp_gallery_height     = '';
	public $arixwp_gallery_total	    = '';
	public $arixwp_gallery_quality    = '';
	
	function arixwp_gallery_widget() {
		$widget_ops = array( 'classname' => 'arixwp_gallery', 'description' => 'Displays a small gallery in your sidebar. To use set a post or page id in the widget options.' );
		$this->WP_Widget( 'arixwp_gallery', 'arixWP Gallery', $widget_ops);
 
	}
  
	// User Options Form
	function form( $instance) {
  
		$this->arixwp_gallery_title    = ( !empty( $instance['title'] ) )                  ? esc_attr( $instance['title'] )                  : '';
		$this->arixwp_gallery_id       = ( !empty( $instance['arixwp_gallery_id'] ) )      ? esc_attr( $instance['arixwp_gallery_id'] )      : '';
		$this->arixwp_gallery_width    = ( !empty( $instance['arixwp_gallery_width'] ) )   ? esc_attr( $instance['arixwp_gallery_width'] )   : '';
		$this->arixwp_gallery_height   = ( !empty( $instance['arixwp_gallery_height'] ) )  ? esc_attr( $instance['arixwp_gallery_height'] )  : '';
		$this->arixwp_gallery_total    = ( !empty( $instance['arixwp_gallery_total'] ) )   ? esc_attr( $instance['arixwp_gallery_total'] )   : '';
		$this->arixwp_gallery_quality  = ( !empty( $instance['arixwp_gallery_quality'] ) ) ? esc_attr( $instance['arixwp_gallery_quality'] ) : '';
		$this->arixwp_gallery_crop	   = ( !empty( $instance['arixwp_gallery_crop'] ) )    ? esc_attr( $instance['arixwp_gallery_crop'] ) : '';
		$this->arixwp_gallery_anchor   = ( !empty( $instance['arixwp_gallery_anchor'] ) )  ? esc_attr( $instance['arixwp_gallery_anchor'] ) : '';
		?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Widget Title:', THEMENAME ); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" class="widefat" value="<?php echo $this->arixwp_gallery_title;?>" />
		</p>   
	  
		<p>
			<label for="<?php echo $this->get_field_id( 'arixwp_gallery_id' ); ?>"><?php _e( 'Post or Page ID:', THEMENAME ); ?></label>
			<input id="<?php echo $this->get_field_id( 'arixwp_gallery_id' ); ?>" name="<?php echo $this->get_field_name( 'arixwp_gallery_id' ); ?>" type="text" class="widefat" value="<?php echo $this->arixwp_gallery_id;?>" />
		</p> 	

		<p>
			<label for="<?php echo $this->get_field_id( 'arixwp_gallery_total' ); ?>"><?php _e( 'Amount of Images:', THEMENAME ); ?></label>
			<p><?php _e( 'If not set all images will be displayed.', THEMENAME ); ?></p>
			<input id="<?php echo $this->get_field_id( 'arixwp_gallery_total' ); ?>" name="<?php echo $this->get_field_name( 'arixwp_gallery_total' ); ?>" type="text" class="widefat" value="<?php echo $this->arixwp_gallery_total;?>" />
		</p> 
		
		<p>
			<label for="<?php echo $this->get_field_id( 'arixwp_gallery_width' ); ?>"><?php _e( 'Thumb Width:', THEMENAME ); ?></label>
			<input id="<?php echo $this->get_field_id( 'arixwp_gallery_width' ); ?>" name="<?php echo $this->get_field_name( 'arixwp_gallery_width' ); ?>" type="text" class="widefat" value="<?php echo $this->arixwp_gallery_width;?>" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'arixwp_gallery_height' ); ?>"><?php _e( 'Thumb Height:', THEMENAME ); ?></label>
			<input id="<?php echo $this->get_field_id( 'arixwp_gallery_height' ); ?>" name="<?php echo $this->get_field_name( 'arixwp_gallery_height' ); ?>" type="text" class="widefat" value="<?php echo $this->arixwp_gallery_height;?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'arixwp_gallery_crop' ); ?>"><?php _e( 'Crop Mode', THEMENAME ); ?></label>
			<select name="<?php echo $this->get_field_name('arixwp_gallery_crop'); ?>" id="<?php echo $this->get_field_id('arixwp_gallery_crop'); ?>" class="widefat arixwp_gallery_crop" >
				<option value="swsh" <?php if ( $this->arixwp_gallery_crop  == 'swsh' ) { echo ' selected="selected" '; }?>><?php _e( 'Scale Width, Scale Height' , THEMENAME ); ?></option>
				<option value="swch" <?php if ( $this->arixwp_gallery_crop  == 'swch' ) { echo ' selected="selected" '; }?>><?php _e( 'Scale Width, Crop Height' , THEMENAME ); ?></option>
				<option value="shcw" <?php if ( $this->arixwp_gallery_crop  == 'shcw' ) { echo ' selected="selected" '; }?>><?php _e( 'Scale Height, Crop Width' , THEMENAME ); ?></option>
				<option value="cc" <?php if ( $this->arixwp_gallery_crop  == 'cc' ) { echo ' selected="selected" '; }?>><?php _e( 'Crop Center' , THEMENAME ); ?></option>
			</select>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'arixwp_gallery_anchor' ); ?>"><?php _e( 'Crop From', THEMENAME ); ?></label>
			<select name="<?php echo $this->get_field_name('arixwp_gallery_anchor'); ?>" id="<?php echo $this->get_field_id('arixwp_gallery_crop'); ?>" class="widefat arixwp_gallery_crop" >
				<option value="left" <?php if ( $this->arixwp_gallery_anchor  == 'left' ) { echo ' selected="selected" '; }?>><?php _e( 'Left' , THEMENAME ); ?></option>
				<option value="right" <?php if ( $this->arixwp_gallery_anchor  == 'right' ) { echo ' selected="selected" '; }?>><?php _e( 'Right' , THEMENAME ); ?></option>
				<option value="top" <?php if ( $this->arixwp_gallery_anchor  == 'top' ) { echo ' selected="selected" '; }?>><?php _e( 'Top' , THEMENAME ); ?></option>
				<option value="bottom" <?php if ( $this->arixwp_gallery_anchor  == 'bottom' ) { echo ' selected="selected" '; }?>><?php _e( 'Bottom' , THEMENAME ); ?></option>
				<option value="center" <?php if ( $this->arixwp_gallery_anchor  == 'center' ) { echo ' selected="selected" '; }?>><?php _e( 'Center' , THEMENAME ); ?></option>
			</select>
		</p> 		
		<p>
			<label for="<?php echo $this->get_field_id( 'arixwp_gallery_quality' ); ?>"><?php _e( 'Thumb Quality: (0 to 100)', THEMENAME ); ?></label>
			<input id="<?php echo $this->get_field_id( 'arixwp_gallery_quality' ); ?>" name="<?php echo $this->get_field_name( 'arixwp_gallery_quality' ); ?>" type="text" class="widefat" value="<?php echo $this->arixwp_gallery_quality;?>" />
		</p> 
		<?php    
	} 
  
	function update( $new_instance, $old_instance ) {
		return $new_instance;
	}
  
	// Display Gallery Widget
	function widget( $args, $instance ) {
  
		extract( $args, EXTR_SKIP);
		
		$this->arixwp_gallery_title    	= ( !empty( $instance['title'] ) )            		? apply_filters( 'widget_title', $instance['title'] )                				: __( ARIXWP_GAL_WIDGET_TITLE, THEMENAME );
		$this->arixwp_gallery_id       	= ( !empty( $instance['arixwp_gallery_id'] ) )      ? apply_filters( 'arixwp_gallery_id', $instance['arixwp_gallery_id'] )           	: '';
		$this->arixwp_gallery_width    	= ( !empty( $instance['arixwp_gallery_width'] ) )   ? apply_filters( 'arixwp_gallery_width', $instance['arixwp_gallery_width'] )     	: ARIXWP_GAL_WIDGET_W;
		$this->arixwp_gallery_height   	= ( !empty( $instance['arixwp_gallery_height'] ) )  ? apply_filters( 'arixwp_gallery_height', $instance['arixwp_gallery_height'] )   	: ARIXWP_GAL_WIDGET_H;
		$this->arixwp_gallery_total  	= ( !empty( $instance['arixwp_gallery_total'] ) )   ? apply_filters( 'arixwp_gallery_total', $instance['arixwp_gallery_total'] )     	: ARIXWP_GAL_WIDGET_TTL;
		$this->arixwp_gallery_quality	= ( !empty( $instance['arixwp_gallery_quality'] ) ) ? apply_filters( 'arixwp_gallery_quality', $instance['arixwp_gallery_quality'] ) 	: ARIXWP_GAL_WIDGET_QUALITY;
		$this->arixwp_gallery_crop		= ( !empty( $instance['arixwp_gallery_crop'] ) ) 	? apply_filters( 'arixwp_gallery_crop', $instance['arixwp_gallery_crop'] ) 		    : ARIXWP_GAL_WIDGET_CROP;
		$this->arixwp_gallery_anchor	= ( !empty( $instance['arixwp_gallery_anchor'] ) ) 	? apply_filters( 'arixwp_gallery_anchor', $instance['arixwp_gallery_anchor'] ) 	    : ARIXWP_GAL_WIDGET_ANCHOR;
		
		echo $before_widget;
		$arixwp_gallery_title2 = preg_replace( '/(^[A-z0-9_]+)\s/i', '<b>$1</b> ', $this->arixwp_gallery_title);
		$title = $before_title.$arixwp_gallery_title2.$after_title;
		echo $title;
		
		$this->doWidgetLogic( $args );
	
		wp_reset_query();    
		echo $after_widget;	
	}
	
	function doWidgetLogic( $args ) {
		
		extract( $args );
		
		$widget_id    = ( !empty( $widget_id ) ) ? $widget_id : '';
		
	// Show Content
		global $wpdb;
		
		$numposts = 0;
		
		if ( $this->arixwp_gallery_id == '' ) {
		
			$numposts = 0;
			
		} else {
		
			$media_query = new WP_Query(
				array(
					'post_type'      => 'attachment',
					'post_status'    => 'inherit',
					'posts_per_page' => $this->arixwp_gallery_total,
					'post_parent'    => $this->arixwp_gallery_id,
				)
			);
			$numposts = $media_query->post_count;
		
		}

		if ( $numposts == 0 ) {			
	
			echo 'Insert a gallery id';
			
		} else {
			
			global $ALLOWED_SITES;
			
			echo '<ul class="' . $widget_id . '">';
	
			foreach ( $media_query->posts as $post ) {
				
				if ( is_multisite() ) {
					
					global $blog_id;
																				
					$string = '/files';
					$replace = '/wp-content/blogs.dir/' . $blog_id . '/files';
					$thumbnailSrc = str_replace( $string, $replace, $post->guid );
																				
				} else {
									
					$thumbnailSrc = $post->guid;
																			
				}
						
				$realThumb = get_template_directory_uri() . '/libs/resizurr.php?m=' . $this->arixwp_gallery_crop . '&amp;a=' . $this->arixwp_gallery_anchor . '&amp;w=' . $this->arixwp_gallery_width . '&amp;h=' . $this->arixwp_gallery_height . '&amp;q=' . $this->arixwp_gallery_quality . '&amp;src=' . $thumbnailSrc;
				
				echo '<li><a href="' . $post->guid . '" title="' . $post->post_title . '"><img src="' . $realThumb . '" title="' . $post->post_excerpt . '" height="' . $this->arixwp_gallery_height . '" width="' . $this->arixwp_gallery_width . '" alt="' . $post->post_title . '" class="arixwp_image" /></a></li>';
				
			}
	
			echo '</ul>'; 
			
			echo '<br class="clear" />';
			
		}
	?>
		<script type="text/javascript">
			jQuery( '.<?php echo $widget_id; ?>' ).poptrox({
					usePopupCaption: true,
					overlayOpacity: 0.80
				});
		</script>
	<?php
	}
  
}

add_action( 'widgets_init', create_function( '', 'return register_widget("arixwp_gallery_widget");' ) );