<?php

/* Recent Posts Widget */

class arixwp_login_widget extends WP_Widget {
  
	function arixwp_login_widget() {
		$widget_ops = array( 'classname' => 'arixwp_login', 'description' => __( 'Displays a login form in your sidebar.', THEMENAME ) );
		$this->WP_Widget( 'arixwp_login', 'arixwp Login', $widget_ops );
 
	}
  
	// User Options Form
	function form($instance) {
  
		global $post;
		
		$instance = wp_parse_args( (array) $instance, array( 'title' => '' ) );
		$title = $instance['title'];		

		?>

			<p>
				<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Widget Title:', THEMENAME ); ?></label>
				<input id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" class="widefat" value="<?php echo $title;?>" />
			</p>   
		  
		<?php    
	} 
  
	function update($new_instance, $old_instance) {
		$instance['title'] = $new_instance['title'];
		return $new_instance;
	}
  
	// Display Gallery Widget
	function widget( $args, $instance ) {
  
		global $post; 
		 extract($args, EXTR_SKIP);
		
		// Default values if no option set.	
		
		$title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
	
		if (empty($instance['title'])) { $title= ARIXWP_LOGIN_WIDGET_TITLE; }
		
		// Show Content
			global $wpdb;
			
			echo $before_widget;
			echo $before_title . $title . $after_title;
			

			if ( is_user_logged_in() ) {
													
				echo '<a href="' . wp_logout_url( home_url() ) . '" title="' . __('Logout',THEMENAME) . '" class="logout arixwp_button">' . __('Logout',THEMENAME) . '</a>';
				echo '<br class="clear" />';

			} else {												
			?>
												
				<form id="loginform" name="loginform" method="post" action="<?php echo home_url(); ?>/wp-login.php">
													
					<input type="text" id="user_login" name="log" title="<?php _e( 'Your Username' , THEMENAME ); ?>" size="15" class="arixwp_input" />
					<input type="password" id="user_pass" name="pwd" title="<?php _e( 'Your Password' , THEMENAME ); ?>" size="15" class="arixwp_input" />
														
					<p>
						<input type="submit" value="<?php _e( 'Sign In' , THEMENAME ); ?>" class="arixwp_button" />
						<a href="<?php echo home_url(); ?>/wp-login.php?action=lostpassword" class="lostpass"><?php _e( 'Lost Password' , THEMENAME ); ?></a><br />
						<a href="<?php echo home_url(); ?>/wp-login.php?action=register" class="lostpass"><?php _e( 'Register' , THEMENAME ); ?></a>
					</p>
					
					

					<input type="hidden" name="redirect_to" value="<?php echo $_SERVER['REQUEST_URI']; ?>" />
					
				</form>
				<script type="text/javascript">
					jQuery('#loginform').formerize();
				</script>
												
			<?php 
			} 

			echo $after_widget;
			
	} 
  
}

add_action('widgets_init', create_function('', 'return register_widget("arixwp_login_widget");'));

?>