<?php

/* Recent Posts Widget */

class arixwp_recent_posts_widget extends WP_Widget {
  
	function arixwp_recent_posts_widget() {
		$widget_ops = array('classname' => 'arixwp_recent_posts', 'description' => 'Displays stylized recent posts in the sidebar.' );
		$this->WP_Widget('arixwp_recent_posts', 'arixWP Recent Posts', $widget_ops);
 
	}
  
	// User Options Form
	function form($instance) {
  
		global $post;
		
		$instance = wp_parse_args( (array) $instance, array( 'title' => '' ) );
		$title = $instance['title'];		

		if ( isset( $instance['arixwp_recent_posts_count']) ) { $arixwp_post_count = esc_attr( $instance['arixwp_recent_posts_count'] ); }  else { $arixwp_post_count = ''; }
	
		?>

			<p>
				<label for="<?php echo $this->get_field_id('title'); ?>">Widget Title:</label>
				<input id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" class="widefat" value="<?php echo $title;?>" />
			</p>   
		  
			<p>
				<label for="<?php echo $this->get_field_id('arixwp_recent_posts_count'); ?>">Post Count:</label>
				<input id="<?php echo $this->get_field_id('arixwp_recent_posts_count'); ?>" name="<?php echo $this->get_field_name('arixwp_recent_posts_count'); ?>" type="text" class="widefat" value="<?php echo $arixwp_post_count;?>" />
			</p> 	

		<?php    
	} 
  
	function update($new_instance, $old_instance) {
		$instance['title'] = $new_instance['title'];
		return $new_instance;
	}
  
	// Display Gallery Widget
	function widget( $args, $instance ) {
  
		global $post; 
		 extract($args, EXTR_SKIP);
		

		if ( isset( $instance['arixwp_recent_posts_count']) ) { 
			$arixwp_post_count = apply_filters('arixwp_recent_posts_count',$instance['arixwp_recent_posts_count']); 
		} else { 
			$arixwp_post_count = ARIXWP_RP_WIDGET_NUM; 
		}
		
		$offset = 0; 
		
		$title = empty($instance['title']) ? ' ' : apply_filters( 'widget_title', $instance['title'] );
		
		if ( empty( $instance['title'] ) )
			$title= ARIXWP_RP_WIDGET_TITLE;
		
		// Default values if no option set.
	
		echo $before_widget;
		echo $before_title . $title . $after_title;	
		
		// Show Content
			global $wpdb;

			echo '<ul class="style1">';
									
			arixwp_latest_posts($arixwp_post_count, $offset, 'sidebar');
									
			echo '</ul>';
			
			wp_reset_query();
		
			echo $after_widget;
	} 
  
}

add_action('widgets_init', create_function('', 'return register_widget("arixwp_recent_posts_widget");'));

?>