<?php

/* Twitter Widget */

class arixwp_tweet_widget extends WP_Widget {
  
	function arixwp_tweet_widget() {
		$widgets_opt = array( 'description' => __( 'Displays your most recent tweets in your sidebar.', THEMENAME ) );
		parent::WP_Widget( false, $name= "arixWP Twitter", $widgets_opt );
	}
  
	// User Options Form
	function form($instance) {
  
		global $post;
		
		if ( isset( $instance['title']) ) { $ttitle = esc_attr($instance['title']); }  else { $ttitle = ''; }
		if ( isset( $instance['arixwp_tweet_user']) ) { $tname = esc_attr($instance['arixwp_tweet_user']); } else { $tname = ''; }
		if ( isset( $instance['arixwp_tweet_type']) ) { $ttype = esc_attr($instance['arixwp_tweet_type']); } else { $ttype = ''; }
		if ( isset( $instance['arixwp_tweet_width']) ) { $twidth = esc_attr($instance['arixwp_tweet_width']); } else { $twidth = ''; }
		if ( isset( $instance['arixwp_tweet_height']) ) { $theight = esc_attr($instance['arixwp_tweet_height']); } else { $theight = ''; }
		if ( isset( $instance['arixwp_tweet_number']) ) { $tnumber = esc_attr($instance['arixwp_tweet_number']); } else { $tnumber = ''; }
		if ( isset( $instance['arixwp_tweet_scrollbar']) ) { $tscroll = esc_attr($instance['arixwp_tweet_scrollbar']); } else { $tscroll = ''; }
		if ( isset( $instance['arixwp_tweet_avatar']) ) { $tavatar = esc_attr($instance['arixwp_tweet_avatar']); } else { $tavatar = ''; }
		if ( isset( $instance['arixwp_tweet_timestamp']) ) { $ttimes = esc_attr($instance['arixwp_tweet_timestamp']); } else { $ttimes = ''; }
		if ( isset( $instance['arixwp_tweet_hashtag']) ) { $thasht = esc_attr($instance['arixwp_tweet_hashtag']); } else { $thasht = ''; }
		if ( isset( $instance['arixwp_tweet_search']) ) { $tsearch = esc_attr($instance['arixwp_tweet_search']); } else { $tsearch = ''; }
		if ( isset( $instance['title2']) ) { $ttitle2 = esc_attr($instance['title2']); } else { $ttitle2 = ''; }
		if ( isset( $instance['arixwp_tweet_caption']) ) { $tcaption = esc_attr($instance['arixwp_tweet_caption']); } else { $tcaption = ''; }
		if ( isset( $instance['arixwp_tweet_list_user']) ) { $tlistuser = esc_attr($instance['arixwp_tweet_list_user']); } else { $tlistuser = ''; }
		if ( isset( $instance['arixwp_tweet_list']) ) { $tlist = esc_attr($instance['arixwp_tweet_list']); } else { $tlist = ''; }
	
		?>
		
			<script type="text/javascript">   
	
				var widgetType = '<?php echo $ttype; ?>';
			
				jQuery(document).ready(function($) {
					
					
					if ( widgetType == 'search' ) {
						$('.arixwp_tweet_list').hide();
						$('.arixwp_tweet_fave').show();
						$('.arixwp_tweet_search').show()
					}					
					else if ( widgetType == 'faves' ) {
						$('.arixwp_tweet_list').hide();
						$('.arixwp_tweet_fave').show();
						$('.arixwp_tweet_search').hide()
					}		
					else if ( widgetType == 'list' ) {
						$('.arixwp_tweet_list').show();
						$('.arixwp_tweet_fave').show();
						$('.arixwp_tweet_search').hide()
					} else  {
						$('.arixwp_tweet_list').hide();
						$('.arixwp_tweet_fave').hide();
						$('.arixwp_tweet_search').hide()
					}
					
					
					$(".arixwp_tweet_type").live('change',function(){
						if ( $(this).val() == "search" ) {
							$('.arixwp_tweet_search').show();
							$('.arixwp_tweet_fave').show();
							$('.arixwp_tweet_list').hide();
						} 
						if ( $(this).val() == "faves" ) {	
							$('.arixwp_tweet_fave').show();
							$('.arixwp_tweet_list').hide();
							$('.arixwp_tweet_search').hide();	
						}
						if ( $(this).val() == "list" ) {
							$('.arixwp_tweet_list').show();
							$('.arixwp_tweet_fave').show();
							$('.arixwp_tweet_search').hide();
						}
						if ( $(this).val() == "profile" ) {
							$('.arixwp_tweet_list').hide();
							$('.arixwp_tweet_fave').hide();
							$('.arixwp_tweet_search').hide();
						}
					});	
				});
			</script>		

  
			<p>
				<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e( 'Widget Title' , THEMENAME ); ?></label>
				<input id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" class="widefat" value="<?php echo $ttitle;?>" />
			</p>   
		  
			<p>
				<label for="<?php echo $this->get_field_id('arixwp_tweet_user'); ?>"><?php _e( 'Twitter Username' , THEMENAME ); ?></label>
				<input id="<?php echo $this->get_field_id('arixwp_tweet_user'); ?>" name="<?php echo $this->get_field_name('arixwp_tweet_user'); ?>" type="text" class="widefat" value="<?php echo $tname;?>" />
			</p> 
			
			<p>
				<label for="<?php echo $this->get_field_id('arixwp_tweet_type'); ?>"><?php _e( 'Widget Type' , THEMENAME ); ?></label>
				<select name="<?php echo $this->get_field_name('arixwp_tweet_type'); ?>" id="<?php echo $this->get_field_id('arixwp_tweet_type'); ?>" class="widefat arixwp_tweet_type" >
				
					<option value="profile" <?php if ( $ttype  == 'profile' ) { echo ' selected="selected" '; }?>><?php _e( 'Profile' , THEMENAME ); ?></option>
					<option value="search" <?php if ( $ttype  == 'search' ) { echo ' selected="selected" '; }?>><?php _e( 'Search' , THEMENAME ); ?></option>
					<option value="list" <?php if ( $ttype  == 'list' ) { echo ' selected="selected" '; }?>><?php _e( 'List' , THEMENAME ); ?></option>
					<option value="faves" <?php if ( $ttype  == 'faves' ) { echo ' selected="selected" '; }?>><?php _e( 'Favorites' , THEMENAME ); ?></option>
					
				</select>
			</p> 

			<p>
				<label for="<?php echo $this->get_field_id('arixwp_tweet_width'); ?>"><?php _e( 'Width' , THEMENAME ); ?></label>
				<input id="<?php echo $this->get_field_id('arixwp_tweet_width'); ?>" name="<?php echo $this->get_field_name('arixwp_tweet_width'); ?>" type="text" class="widefat" value="<?php echo $twidth; ?>" />
			</p> 

			<p>
				<label for="<?php echo $this->get_field_id('arixwp_tweet_height'); ?>"><?php _e( 'Height' , THEMENAME ); ?>:</label>
				<input id="<?php echo $this->get_field_id('arixwp_tweet_height'); ?>" name="<?php echo $this->get_field_name('arixwp_tweet_height'); ?>" type="text" class="widefat" value="<?php echo $theight; ?>" />
			</p> 
			
			<p class="arixwp_tweet_search">
				<label for="<?php echo $this->get_field_id('arixwp_tweet_search'); ?>"><?php _e( 'Search Term' , THEMENAME ); ?></label>
				<input id="<?php echo $this->get_field_id('arixwp_tweet_search'); ?>" name="<?php echo $this->get_field_name('arixwp_tweet_search'); ?>" type="text" class="widefat" value="<?php echo $tsearch; ?>" />
			</p> 
			
			<p class="arixwp_tweet_fave">
				<label for="<?php echo $this->get_field_id('title2'); ?>"><?php _e( 'Title' , THEMENAME ); ?></label>
				<input id="<?php echo $this->get_field_id('title2'); ?>" name="<?php echo $this->get_field_name('title2'); ?>" type="text" class="widefat" value="<?php echo $ttitle2; ?>" />
			</p> 		
			
			<p class="arixwp_tweet_fave">
				<label for="<?php echo $this->get_field_id('arixwp_tweet_caption'); ?>"><?php _e( 'Caption' , THEMENAME ); ?></label>
				<input id="<?php echo $this->get_field_id('arixwp_tweet_caption'); ?>" name="<?php echo $this->get_field_name('arixwp_tweet_caption'); ?>" type="text" class="widefat" value="<?php echo $tcaption; ?>" />
			</p> 		
			
			<p class="arixwp_tweet_list">
				<label for="<?php echo $this->get_field_id('arixwp_tweet_list_user'); ?>"><?php _e( 'List Username' , THEMENAME ); ?></label>
				<input id="<?php echo $this->get_field_id('arixwp_tweet_list_user'); ?>" name="<?php echo $this->get_field_name('arixwp_tweet_list_user'); ?>" type="text" class="widefat" value="<?php echo $tlistuser; ?>" />
			</p> 	
			
			<p class="arixwp_tweet_list">
				<label for="<?php echo $this->get_field_id('arixwp_tweet_list'); ?>"><?php _e( 'List Name' , THEMENAME ); ?></label>
				<input id="<?php echo $this->get_field_id('arixwp_tweet_list'); ?>" name="<?php echo $this->get_field_name('arixwp_tweet_list'); ?>" type="text" class="widefat" value="<?php echo $tlist; ?>" />
			</p> 

			<p>
				<label for="<?php echo $this->get_field_id('arixwp_tweet_number'); ?>"><?php _e( 'Number of Tweets to Show' , THEMENAME ); ?></label>
				<input id="<?php echo $this->get_field_id('arixwp_tweet_number'); ?>" name="<?php echo $this->get_field_name('arixwp_tweet_number'); ?>" type="text" value="<?php echo $tnumber; ?>" size="3" />
			</p>
			
			<p>
				
				<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('arixwp_tweet_avatar'); ?>" name="<?php echo $this->get_field_name('arixwp_tweet_avatar'); ?>"  value="true" <?php if ( !empty( $tavatar )  ) { echo 'checked="checked"'; } ?> />
				<label for="<?php echo $this->get_field_id('arixwp_tweet_avatar'); ?>"><?php _e( 'Display Avatars' , THEMENAME ); ?></label><br />

				<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('arixwp_tweet_timestamp'); ?>" name="<?php echo $this->get_field_name('arixwp_tweet_timestamp'); ?>"  value="true" <?php if ( !empty( $ttimes )  ) { echo 'checked="checked"'; } ?> />
				<label for="<?php echo $this->get_field_id('arixwp_tweet_timestamp'); ?>"><?php _e( 'Display Timestamps' , THEMENAME ); ?></label><br />

				<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('arixwp_tweet_hashtag'); ?>" name="<?php echo $this->get_field_name('arixwp_tweet_hashtag'); ?>"  value="true" <?php if ( !empty( $thasht )  ) { echo 'checked="checked"'; } ?> />
				<label for="<?php echo $this->get_field_id('arixwp_tweet_hashtag'); ?>"><?php _e( 'Display Hashtags' , THEMENAME ); ?></label><br />
			

			</p>	

		<?php    
	} 
  
	function update($new_instance, $old_instance) {
		return $new_instance;
	}
  
	// Display Twitter Widget
	function widget( $args, $instance ) {
  
		global $post; 
		extract($args);
		
		$tweetTitle = '';
		$tweetUser = '' ;
		$tweetType = '' ;
		$tweetWidth = '';
		$tweetHeight = '';	
		$tweetNumber = '';		
		$tweetScroll = '';
		$tweetAvatar = '';
		$tweetTime = '';
		$tweetHash = '';
		$tweetSearch = '';
		$tweetTitle2 = '';
		$tweetCaption = '';
		$tweetListUser = '';
		$tweetList = '';		
	
		// Options set in the widget control panel
		if ( isset( $instance['title']) ) { $tweetTitle = apply_filters('title',$instance['title']); } 
		
		if ( isset( $instance['arixwp_tweet_user']) ) { $tweetUser = apply_filters('arixwp_tweet_user',$instance['arixwp_tweet_user']); } 
		
		if ( isset( $instance['arixwp_tweet_type']) ) { $tweetType = apply_filters('arixwp_tweet_type',$instance['arixwp_tweet_type']); } 
		
		if ( isset( $instance['arixwp_tweet_width']) ) { $tweetWidth = apply_filters('arixwp_tweet_width',$instance['arixwp_tweet_width']); } 
		
		if ( isset( $instance['arixwp_tweet_height']) ) { $tweetHeight = apply_filters('arixwp_tweet_height',$instance['arixwp_tweet_height']); }
		
		if ( isset( $instance['arixwp_tweet_number']) ) { $tweetNumber = apply_filters('arixwp_tweet_number',$instance['arixwp_tweet_number']); } 
		
		if ( isset( $instance['arixwp_tweet_scrollbar']) ) { $tweetScroll = apply_filters('arixwp_tweet_scrollbar',$instance['arixwp_tweet_scrollbar']); }
		
		if ( isset( $instance['arixwp_tweet_avatar']) ) { $tweetAvatar = apply_filters('arixwp_tweet_avatar',$instance['arixwp_tweet_avatar']); }
		
		if ( isset( $instance['arixwp_tweet_timestamp']) ) { $tweetTime = apply_filters('arixwp_tweet_timestamp',$instance['arixwp_tweet_timestamp']); }
		
		if ( isset( $instance['arixwp_tweet_hashtag']) ) { $tweetHash = apply_filters('arixwp_tweet_hashtag',$instance['arixwp_tweet_hashtag']); }
		
		if ( isset( $instance['arixwp_tweet_search']) ) { $tweetSearch = apply_filters('arixwp_tweet_search',$instance['arixwp_tweet_search']); }
		
		if ( isset( $instance['title2']) ) { $tweetTitle2 = apply_filters('title2',$instance['title2']); }
		
		if ( isset( $instance['arixwp_tweet_caption']) ) { $tweetCaption = apply_filters('arixwp_tweet_caption',$instance['arixwp_tweet_caption']); }
		
		if ( isset( $instance['arixwp_tweet_list_user']) ) { $tweetListUser = apply_filters('arixwp_tweet_list_user',$instance['arixwp_tweet_list_user']); }
		
		if ( isset( $instance['arixwp_tweet_list']) ) { $tweetList = apply_filters('arixwp_tweet_list',$instance['arixwp_tweet_list']); }
		
		// Default values if no option set.
		if ( $tweetTitle == '' ) 	$tweetTitle 	= __( ARIXWP_TWITTER_WIDGET_TITLE, THEMENAME );
		if ( $tweetUser == '' ) 	$tweetUser	 	= ARIXWP_TWITTER_WIDGET_USER;
		if ( $tweetType == '' ) 	$tweetType 		= ARIXWP_TWITTER_WIDGET_TYPE;
		if ( $tweetWidth == '' ) 	$tweetWidth 	= ARIXWP_TWITTER_WIDGET_W;
		if ( $tweetHeight == '' ) 	$tweetHeight 	= ARIXWP_TWITTER_WIDGET_H;	
		if ( $tweetNumber == '' ) 	$tweetNumber 	= ARIXWP_TWITTER_WIDGET_NUM;		
		if ( $tweetScroll == '' ) 	$tweetScroll 	= ARIXWP_TWITTER_WIDGET_SCROLL;
		if ( $tweetAvatar == '' ) 	$tweetAvatar 	= ARIXWP_TWITTER_WIDGET_AVATAR;
		if ( $tweetTime == '' ) 	$tweetTime 		= ARIXWP_TWITTER_WIDGET_TIME;
		if ( $tweetHash == '' ) 	$tweetHash 		= ARIXWP_TWITTER_WIDGET_HASH;
		if ( $tweetSearch == '' ) 	$tweetSearch 	= ARIXWP_TWITTER_WIDGET_SEARCH;
		if ( $tweetTitle2 == '' ) 	$tweetTitle2 	= ARIXWP_TWITTER_WIDGET_TITLE2;
		if ( $tweetCaption == '' ) 	$tweetCaption 	= ARIXWP_TWITTER_WIDGET_CAPTION;
		if ( $tweetListUser == '' )	$tweetListUser	= ARIXWP_TWITTER_WIDGET_LIST_USER;
		if ( $tweetList == '' )		$tweetList 		= ARIXWP_TWITTER_WIDGET_LIST;
	
		echo $before_widget;
		$tweetTitle2 = preg_replace('/(^[A-z0-9_]+)\s/i', '$1 ', $tweetTitle);
		$title = $before_title.$tweetTitle2.$after_title;
		echo $title;
	
		?>
	
			<script type="text/javascript">
				var templateDir 	= '<?php echo get_template_directory_uri(); ?>';
				var widgetType 		= '<?php echo $tweetType; ?>';
				var widgetUser 		= '<?php echo $tweetUser; ?>';
				var widgetWidth 	= '<?php echo $tweetWidth; ?>';
				var widgetHeight 	= '<?php echo $tweetHeight; ?>';
				var widgetNumber 	= '<?php echo $tweetNumber; ?>';
				var widgetScroll 	= <?php echo $tweetScroll; ?>;
				var widgetAvatar 	= <?php echo $tweetAvatar; ?>;
				var widgetTime 		= <?php echo $tweetTime; ?>;
				var widgetHash 		= <?php echo $tweetHash; ?>;
				var widgetSearch 	= '<?php echo $tweetSearch; ?>';
				var widgetTitle2 	= '<?php echo $tweetTitle2; ?>';
				var widgetCaption 	= '<?php echo $tweetCaption; ?>';
				var widgetListUser 	= '<?php echo $tweetListUser; ?>';
				var widgetList 		= '<?php echo $tweetList; ?>';
				widgetList			= widgetList.replace(" ", "-");
			</script>
			<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/widgets/widget-twitter/twitter-widget.js"></script>
			<script type="text/javascript">
			
				var twtrWidget = new TWTR.Widget({
									version: 2,
									type: widgetType,
									rpp: widgetNumber,
									width: widgetWidth,
									height: widgetHeight,
									interval: 6000,
									search: widgetSearch,
									title: widgetTitle2,
									subject: widgetCaption,
									theme: {
									  shell: {
										background: '',
										color: '#ffffff'
									  },
									  tweets: {
										background: '#000000',
										color: '#ffffff',
										links: '#4aed05'
									  }
									},
									features: {
										scrollbar: widgetScroll,
										loop: false,
										live: true,
										hashtags: widgetHash,
										timestamp: widgetTime,
										avatars: widgetAvatar,
										behavior: 'all'
									}
								});
				
				switch (widgetType) {
					case 'profile':
					case 'faves':
						twtrWidget.render().setUser(widgetUser).start();
						break;
					case 'search':
						twtrWidget.render().start();
						break;
					case 'list':
						twtrWidget.render().setList(widgetListUser, widgetList).start();
						break;
					default:
						twtrWidget.render().start();
						break;
				}

			</script>
		<?php		

		wp_reset_query();    
		echo $after_widget;
	} 
  
}

add_action('widgets_init', create_function('', 'return register_widget("arixwp_tweet_widget");'));

?>